# Generated by Makefile. Do not edit.

commit 161c5e4cf09bd630e320eeeaecf9bafda5102031
Author: Curtis Gedak <gedakc@gmail.com>
Date:   Mon Mar 8 09:27:39 2010 -0700

    ==========   gparted-0.5.2   ==========

 NEWS         |   37 ++++++++++++++++++++++++++++++++++++-
 configure.in |    2 +-
 2 files changed, 37 insertions(+), 2 deletions(-)

commit 7e021c796abe7d5f8f195a79041d58b41177b6f9
Author: Petr Kovar <pknbe@volny.cz>
Date:   Mon Mar 8 12:57:28 2010 +0100

    Update Czech translation by Adrian Gunis

 po/cs.po |  376 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 199 insertions(+), 177 deletions(-)

commit 9a48b24e32ffd375d61d70a6157d229a0cf013ed
Author: Peteris Krisjanis <pecisk@gmail.com>
Date:   Mon Mar 8 00:21:04 2010 +0200

    Updated Latvian translation.

 po/lv.po |  133 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 67 insertions(+), 66 deletions(-)

commit 227724f8b3cb6850bc83e19de9203234e57055e5
Author: Peteris Krisjanis <pecisk@gmail.com>
Date:   Sun Mar 7 17:24:36 2010 +0200

    Updated Latvian translation.

 po/lv.po |  168 ++++++++++++++++++++++++++-----------------------------------
 1 files changed, 72 insertions(+), 96 deletions(-)

commit fc8cafea06affafa93f2110711aca6f6ed09bf17
Author: Peteris Krisjanis <pecisk@gmail.com>
Date:   Sun Mar 7 15:50:09 2010 +0200

    Updated Latvian translation.

 po/lv.po | 1269 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 676 insertions(+), 593 deletions(-)

commit a11c9ffbc39ed48febc1a5a7da162e047cf12565
Author: Fran Diéguez <frandieguez@ubuntu.com>
Date:   Fri Mar 5 14:50:45 2010 +0100

    Updated Galician translation

 po/gl.po |  434 ++++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 236 insertions(+), 198 deletions(-)

commit 6ce69c51ba98bafe0dcd3ec869c886f5d30aabd7
Author: António Lima <amrlima@gmail.com>
Date:   Fri Mar 5 00:39:17 2010 +0000

    Updated Portuguese translation

 po/pt.po |  430 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 232 insertions(+), 198 deletions(-)

commit 5bbaae6eea362607fc2fe42aae1d384608741d10
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   Wed Mar 3 18:18:32 2010 +0100

    Updated Spanish translation

 po/es.po |  275 +++++++++++++++++++++++++++-----------------------------------
 1 files changed, 121 insertions(+), 154 deletions(-)

commit 4647b795ddd44772d5bd4f96b665504103e0b3e5
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   Wed Mar 3 18:18:29 2010 +0100

    Updated Spanish translation

 help/es/es.po | 1713 +++++++++++++++------------------------------------------
 1 files changed, 432 insertions(+), 1281 deletions(-)

commit 10d811f537b37c12c5c06546dbc8f98ee4c0af82
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Wed Mar 3 16:29:02 2010 +0100

    Updated Polish translation

 po/pl.po |  883 ++++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 479 insertions(+), 404 deletions(-)

commit b5912ceece5b12b790bcc4693ffb91c376721fd2
Author: Djavan Fagundes <djavan@comum.org>
Date:   Tue Mar 2 21:32:07 2010 -0300

    Updated Brazilian Portuguese translation

 po/pt_BR.po |  370 +++++++++++++++++++++++++++++++----------------------------
 1 files changed, 197 insertions(+), 173 deletions(-)

commit a40ed964b39f242e44a503bb97bef72b5c437e6c
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   Wed Mar 3 00:14:04 2010 +0100

    Updated Spanish translation

 help/es/es.po |   36 ++++++++++++++++++++++++++++++++++--
 1 files changed, 34 insertions(+), 2 deletions(-)

commit 7475008d3f7bd1066370682ad5d4044f6c81ba91
Author: Alexander Shopov <ash@contact.bg>
Date:   Tue Mar 2 20:51:27 2010 +0200

    Updated Bulgarian translation

 po/bg.po |  369 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 196 insertions(+), 173 deletions(-)

commit c4ea398b4e82062cc0ebdce60d6b5b3a1ee6b80b
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   Tue Mar 2 08:15:37 2010 +0100

    Updated Spanish translation

 help/es/es.po |   23 +++++++++++++++++++----
 1 files changed, 19 insertions(+), 4 deletions(-)

commit 4801c8f51767b3494e8b1f22741be8d5c224315a
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   Mon Mar 1 23:50:21 2010 +0100

    Updated Spanish translation

 help/es/es.po |   28 +++++++++++++++++++++++++++-
 1 files changed, 27 insertions(+), 1 deletions(-)

commit 2622b9bd8bc5c466aa66a7673da753f3506ec5ac
Author: Claude Paroz <claude@2xlibre.net>
Date:   Mon Mar 1 23:41:17 2010 +0100

    Updated French translation

 po/fr.po |  359 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 190 insertions(+), 169 deletions(-)

commit b0b519d0dbc30bd360f62ac96f0e6ed1dfbfd9a5
Author: Daniel Nylander <po@danielnylander.se>
Date:   Mon Mar 1 23:28:23 2010 +0100

    Updated Swedish translation

 po/sv.po |  386 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 203 insertions(+), 183 deletions(-)

commit 83df2867450d087a36a18f107e2c06fed795cddf
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   Mon Mar 1 22:24:28 2010 +0100

    Updated Hungarian translation

 po/hu.po |  378 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 200 insertions(+), 178 deletions(-)

commit a80f32fcb10d6757829735d99fb3b852f04f6e46
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   Mon Mar 1 22:16:23 2010 +0100

    Updated Spanish translation

 help/es/es.po |   28 +++++++++++++++++++++++++---
 1 files changed, 25 insertions(+), 3 deletions(-)

commit 260e0ea1902e066bfe233e4a505ae800755572bc
Author: Curtis Gedak <gedakc@gmail.com>
Date:   Mon Mar 1 13:56:05 2010 -0700

    Fix bug when copying huge NTFS partition never finishes (#575324)
    
    Improved logic in cleanup_cursor method to minimize the number of
    string erase operations performed.
    
    Previously when the NTFS copy finished, GParted would take an
    exceptionally long time to clean up the output.  This was due to
    the huge number of small string erase operations performed on a
    extremely large string.

 src/Utils.cc |   18 +++++++++++++-----
 1 files changed, 13 insertions(+), 5 deletions(-)

commit 39208ba2afb576980cae5a27a6cf75b1f71c7d7f
Author: Curtis Gedak <gedakc@gmail.com>
Date:   Mon Mar 1 11:04:17 2010 -0700

    Add check if partition table re-read work around code is needed
    
    A patch to alleviate the "failure to inform kernel of partition
    changes problem" (bug #604298) has been included in parted-2.2.
    Hence when parted-2.2 or higher is used, the work around code in
    GParted is not required.

 configure.in        |   51 +++++++++++++++++++++++++++++++++++++++++++++++++++
 src/GParted_Core.cc |    5 +++--
 2 files changed, 54 insertions(+), 2 deletions(-)

commit 19317b9c4a89788a47346c3df2e779f4580b419b
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   Mon Mar 1 00:13:53 2010 +0100

    Updated Spanish translation

 help/es/es.po |   46 ++++++++++++++++++++++++++++++++++++----------
 1 files changed, 36 insertions(+), 10 deletions(-)

commit c4e58e037ce175809398a7f1084f7b2bb8d9041a
Author: Curtis Gedak <gedakc@gmail.com>
Date:   Sat Feb 27 16:28:34 2010 -0700

    Improve logic for libparted minimum version check

 configure.in |   38 ++++++++++++++++++--------------------
 1 files changed, 18 insertions(+), 20 deletions(-)

commit 4e2be4047cb9b7d190dda401b618f5838b70fb40
Author: Curtis Gedak <gedakc@gmail.com>
Date:   Fri Feb 26 10:33:57 2010 -0700

    Remove comment about wrong identifier for HFS/HFS+ (#568867)
    
    With parted-2.2 the partition identifier for HFS and HFS+ is set to 0xAF.
    With previous versions of parted this was incorrectly set to 0x83.

 src/GParted_Core.cc |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit cf0b1dde213b1d55b60dc95c4ae0eeff84f27eba
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   Thu Feb 25 23:51:42 2010 +0100

    Updated Spanish translation

 help/es/es.po |   24 ++++++++++++++++++++++--
 1 files changed, 22 insertions(+), 2 deletions(-)

commit f2c18124f81b869d0c56b7c412aa36883886e4a0
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   Thu Feb 25 20:56:10 2010 +0100

    Updated Spanish translation

 help/es/es.po |   22 ++++++++++++++++------
 1 files changed, 16 insertions(+), 6 deletions(-)

commit 6a3c0662cf673adcc712118b7ab79444249c7fd1
Author: Mario Blättermann <mariobl@gnome.org>
Date:   Thu Feb 25 11:45:39 2010 +0100

    Updated German translation

 po/de.po |  172 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 92 insertions(+), 80 deletions(-)

commit 70584176de46dc1cd5a99fc2f1d3834a1b68cba6
Author: Curtis Gedak <gedakc@gmail.com>
Date:   Wed Feb 24 11:39:42 2010 -0700

    Disable extended option for non-MSDOS and non-DVH disk types (#583906)
    
    According to parted documentation, only "msdos" and "dvh" disk
    types (or partition table types) support extended partitions.
    All other disk types support primary partitions only.

 include/Dialog_Partition_New.h |    5 +++--
 src/Dialog_Partition_New.cc    |   13 ++++++++++---
 src/Win_GParted.cc             |    3 ++-
 3 files changed, 15 insertions(+), 6 deletions(-)

commit 253175df89e02d4b040ac277435934ccbe3ad848
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   Tue Feb 23 20:55:17 2010 +0100

    Updated Spanish translation

 help/es/es.po |   22 +++++++++++++++++-----
 1 files changed, 17 insertions(+), 5 deletions(-)

commit 21a8384b5111cee7c4f82cec9cc92a6e4a29a894
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Tue Feb 23 15:53:15 2010 +0100

    Updated Slovenian translation

 po/sl.po |  168 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 89 insertions(+), 79 deletions(-)

commit e7b2b76aaae370cc8d765041be7485e8c8fe7844
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   Mon Feb 22 21:02:03 2010 +0100

    Updated Spanish translation

 po/es.po |  168 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 89 insertions(+), 79 deletions(-)

commit ed6d8f0ceef5b92d3aa1d460849990ae082f2198
Author: Curtis Gedak <gedakc@gmail.com>
Date:   Mon Feb 22 10:30:14 2010 -0700

    Make partition "New" label available for translation (#610540)

 src/Win_GParted.cc |   12 +++++++++---
 1 files changed, 9 insertions(+), 3 deletions(-)

commit 78bcf0b88a3ea03ef5edf169b503d65bd266fc73
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Mon Feb 22 15:26:41 2010 +0100

    Updated Slovenian translation

 po/sl.po |  314 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 162 insertions(+), 152 deletions(-)

commit 59ad59629801252f1b14212b26f6ec6927fd6964
Author: Mario Blättermann <mariobl@gnome.org>
Date:   Sun Feb 21 17:28:13 2010 +0100

    Updated German translation

 po/de.po |  299 ++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 157 insertions(+), 142 deletions(-)

commit 9a67775c87a5457023d19b97f7e811085426ba91
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   Sun Feb 21 11:23:04 2010 +0100

    Updated Spanish translation

 po/es.po |  299 ++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 157 insertions(+), 142 deletions(-)

commit 19d8f0dfc830e09f2861ecffd756cc3c2b7e9ccc
Author: Curtis Gedak <gedakc@gmail.com>
Date:   Sat Feb 20 15:12:26 2010 -0700

    Add sector size to device display pane
    
    Also add sector_size to Device class.  This is the start of an
    enhancement to add support for devices with sector sizes other
    than 512 bytes (#607165).

 include/Device.h    |    4 +++-
 src/Device.cc       |    3 ++-
 src/GParted_Core.cc |    1 +
 src/Win_GParted.cc  |   11 ++++++++++-
 4 files changed, 16 insertions(+), 3 deletions(-)

commit af8601f5a2b27eedc9f2dbccfd4bf14e3b035e58
Author: Bruce Cowan <bcowan@fastmail.co.uk>
Date:   Sat Feb 20 19:01:21 2010 +0000

    Update British English translation
    
    Fixes #610547

 po/en_GB.po |  177 +++++++++++++++++++++++++++++++----------------------------
 1 files changed, 94 insertions(+), 83 deletions(-)

commit eba0c88da56707aa8d21610658eab42d2a3090b2
Author: Curtis Gedak <gedakc@gmail.com>
Date:   Sat Feb 20 11:25:55 2010 -0700

    Indicate required software packages if unable to read file system (#576908)

 src/GParted_Core.cc |   21 +++++++++++++++------
 1 files changed, 15 insertions(+), 6 deletions(-)

commit c7693f40bc64cf5f6f1895cfc874c405040633ff
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   Sat Feb 20 16:38:00 2010 +0100

    Updated Spanish translation

 help/es/es.po |  119 +++++++++++++++++++++++++++++++++++++++++++++++----------
 1 files changed, 99 insertions(+), 20 deletions(-)

commit 27da95ef0ec19a261ce221fd3b5c495488503a91
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   Sat Feb 20 16:37:52 2010 +0100

    Updated Spanish translation

 po/es.po |   43 +++++++++++++++++++++----------------------
 1 files changed, 21 insertions(+), 22 deletions(-)

commit ce3b55bffe8739fbb266ddb72b2b065da048a79a
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   Sat Feb 20 10:08:08 2010 +0100

    Updated Spanish translation

 help/es/es.po |   39 +++++++++++++++++++++++----------------
 1 files changed, 23 insertions(+), 16 deletions(-)

commit d5d1fd46829e4c63700f7c785e719f1f378f5084
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   Sat Feb 20 10:08:04 2010 +0100

    Updated Spanish translation

 po/es.po | 3255 +++++++++++++++++++++++++++-----------------------------------
 1 files changed, 1422 insertions(+), 1833 deletions(-)

commit 4a6eac04546f0fc79eb1a9446a05598f0afe0b21
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   Sat Feb 20 10:06:55 2010 +0100

    Updated Spanish translation

 po/es.po | 3255 +++++++++++++++++++++++++++++++++++---------------------------
 1 files changed, 1833 insertions(+), 1422 deletions(-)

commit 2f51f8fe1cad56bb78c5d7d35a52e90dbfe63994
Author: Henrique P. Machado <hpmachado@gnome.org>
Date:   Thu Feb 4 17:23:46 2010 -0300

    Updated Brazilian Portuguese Translation

 po/pt_BR.po |   12 ++++++------
 1 files changed, 6 insertions(+), 6 deletions(-)

commit 4f7e87c64c6b21b252c5aae9a6ed5e1bc45cc07e
Author: Marek Černocký <marek@manet.cz>
Date:   Tue Feb 2 13:21:02 2010 +0100

    Update Czech translation

 po/cs.po |  230 ++++++++++++++++++++++++++++---------------------------------
 1 files changed, 106 insertions(+), 124 deletions(-)

commit 32ab5f0ec0319d0f1dc9e880b594c579851af54c
Author: Curtis Gedak <gedakc@gmail.com>
Date:   Wed Jan 27 16:33:21 2010 -0700

    Increase required gtkmm-2.4 version 2.16.0 for gtk_show_uri (#608065)
    
    Building GParted with gtkmm-2.4 version 2.14.0 would fail with:
         error: ‘gtk_show_uri’ was not declared in this scope.
    This problem does not occur with version 2.16.0.

 configure.in |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit c9ab7f26cb3d73f80aa3175339981c8c74bfbddf
Author: Curtis Gedak <gedakc@gmail.com>
Date:   Mon Jan 25 10:10:27 2010 -0700

    Append -git to version for continuing development

 configure.in |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 569c7b647c5fae142491fa76b108983415ba5676
Author: Curtis Gedak <gedakc@gmail.com>
Date:   Mon Jan 25 09:05:00 2010 -0700

    ==========   gparted-0.5.1   ==========

 NEWS         |   34 ++++++++++++++++++++++++++++++++++
 configure.in |    2 +-
 2 files changed, 35 insertions(+), 1 deletions(-)

commit de611184bf42f6602bc7ca65890b27a487a642db
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:   Mon Jan 25 16:59:12 2010 +0100

    Updated Basque language

 po/eu.po |  685 ++++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 372 insertions(+), 313 deletions(-)

commit 0019ead7f06fa48d4f34a6495c794eaa025eac68
Author: Ask H. Larsen <asklarsen@gmail.com>
Date:   Sun Jan 24 23:23:08 2010 +0100

    Updated Danish translation

 po/da.po |  242 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 126 insertions(+), 116 deletions(-)

commit 1eac22d5b9d8c39868a46827744944d5fb22a268
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   Thu Jan 21 19:56:03 2010 +0100

    Updated Hungarian translation

 po/hu.po |  254 ++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 133 insertions(+), 121 deletions(-)

commit a8090c01eadefbb77c2af6b0db97e0ac4bfccaad
Author: Djavan Fagundes <djavan@comum.org>
Date:   Wed Jan 20 11:26:59 2010 -0500

    Updated Brazilian Portuguese translation.

 po/pt_BR.po |  227 +++++++++++++++++++++++++++++++----------------------------
 1 files changed, 118 insertions(+), 109 deletions(-)

commit 70258d0f331bcb4d4b9b189d59d93cbd85e25620
Author: Milo Casagrande <milo@ubuntu.com>
Date:   Tue Jan 19 21:46:09 2010 +0100

    Updated Italian translation

 po/it.po |  234 +++++++++++++++++++++++++++++++------------------------------
 1 files changed, 119 insertions(+), 115 deletions(-)

commit f786239cbd0d8ec8305657b213fd751128445b15
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Mon Jan 18 17:01:25 2010 +0100

    Updated Slovenian translation

 po/sl.po |  207 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 106 insertions(+), 101 deletions(-)

commit 2cd2a2c093183ddf849ee7e82dae858b2afd9ac4
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   Mon Jan 18 06:18:23 2010 +0100

    Updated Spanish translation

 po/es.po |  225 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 116 insertions(+), 109 deletions(-)

commit 75032d42079a9777925bf2821db91224f5a0174f
Author: Bruce Cowan <bcowan@fastmail.co.uk>
Date:   Mon Jan 18 00:50:28 2010 +0000

    Updated British English translation

 po/en_GB.po |  633 +++++++++++++++++++++++++++++++----------------------------
 1 files changed, 331 insertions(+), 302 deletions(-)

commit 804f89487c36579bf61046583688771fd7d911a9
Author: Petr Kovar <pknbe@volny.cz>
Date:   Sun Jan 17 21:41:23 2010 +0100

    Add Czech help translation by Marek Cernocky

 help/Makefile.am                   |    2 +-
 help/cs/cs.po                      | 1304 ++++++++++++++++++++++++++++++++++++
 help/cs/figures/gparted_window.png |  Bin 0 -> 42158 bytes
 3 files changed, 1305 insertions(+), 1 deletions(-)

commit 35f719ae3a12c3d1a91ee63de737430d2d5ed8fb
Author: Claude Paroz <claude@2xlibre.net>
Date:   Sun Jan 17 21:08:26 2010 +0100

    Updated French translation

 po/fr.po |  241 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 124 insertions(+), 117 deletions(-)

commit 6efd46d322bae316bc641b675f8fe4cc5b04fc46
Author: Alexander Shopov <ash@contact.bg>
Date:   Sun Jan 17 20:14:51 2010 +0200

    Updated Bulgarian translation

 po/bg.po |  331 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 172 insertions(+), 159 deletions(-)

commit 9b256d276f56c07031c65128f19d6305ed8bd55c
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:   Mon Jan 4 00:51:47 2010 +0200

    Updated Arabic translation

 po/ar.po |  637 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 333 insertions(+), 304 deletions(-)

commit 45ee4fb1b5912c5e4566878145a21af072a3bae0
Author: Mario Blättermann <mariobl@gnome.org>
Date:   Sun Jan 17 18:42:45 2010 +0100

    Updated German translation

 po/de.po |  219 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 114 insertions(+), 105 deletions(-)

commit ba4ae068a66de0b7b3ae89d413c5ce47cec2c460
Author: Daniel Nylander <po@danielnylander.se>
Date:   Sun Jan 17 17:35:34 2010 +0100

    Updated Swedish translation

 help/sv/sv.po |   74 +++++++++++++++++++++-----------------------------------
 1 files changed, 28 insertions(+), 46 deletions(-)

commit c0bc80765bfe79a090fe7ede9939d4122331eefd
Author: Daniel Nylander <po@danielnylander.se>
Date:   Sun Jan 17 17:28:27 2010 +0100

    Updated Swedish translation

 po/sv.po |  207 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 106 insertions(+), 101 deletions(-)

commit 3dd34af909907577227341437fd33fea0c37cce4
Author: Curtis Gedak <gedakc@gmail.com>
Date:   Sat Jan 16 11:45:29 2010 -0700

    Avoid crashes by ignoring devices with sector size > 512 bytes (#595309)
    
    This is not an ideal solution because devices with sector sizes
    greater than 512 bytes are silently ignored from a graphical interface
    perspective.  Only if the user starts gparted from the command line
    will the "ignoring device" message be seen.
    
    In my opinion this short term solution of ignoring these devices is
    still better than a gparted crash which might also result in data
    loss.
    
    A bug report requesting support for devices with sector sizes > 512
    bytes has been created.
    https://bugzilla.gnome.org/show_bug.cgi?id=607165
    
    Thanks go to Jan Claeys for the initial small patch.

 src/GParted_Core.cc |   18 ++++++++++++++----
 1 files changed, 14 insertions(+), 4 deletions(-)

commit bf86fd3f9ceb0096dfe87a8c9a38403c13b13f00
Author: Curtis Gedak <gedakc@gmail.com>
Date:   Fri Jan 15 15:30:50 2010 -0700

    Work around: retry ped_disk_commit_to_os() after sleep(1) (#604298)
    
    Bug #604298 involves a problem that can occur when GParted uses
    libparted to manipulate a partition table, but the
    ped_disk_commit_to_os() function fails to inform the Linux kernel of
    these changes to the partition table.  This problem is intermittent in
    nature and is difficult to reliably reproduce.
    
    This change is an attempt at a work around.  If the first call to
    ped_disk_commit_to_os() fails, then we sleep for 1 second to allow the
    system to settle before invoking the function call again.  My testing
    has shown that this greatly improves the chances of successfully
    informing the kernel of partition changes.
    
    Thanks go to François Dupoux and Steven Shiau for their suggestions
    and help to resolve this problem.

 src/GParted_Core.cc |   11 +++++++++++
 1 files changed, 11 insertions(+), 0 deletions(-)

commit 9c2d70e1d641cde0b539e75fe9cd511577b86f8b
Author: Mario Blättermann <mariobl@gnome.org>
Date:   Fri Jan 15 18:43:06 2010 +0100

    Updated German translation

 po/de.po |   90 +++++++++++++++++++++++++++-----------------------------------
 1 files changed, 39 insertions(+), 51 deletions(-)

commit cf22c99424af89d8eb755a545689b3628233ad65
Author: Curtis Gedak <gedakc@gmail.com>
Date:   Thu Jan 14 10:59:30 2010 -0700

    Update copyright years in fat16.cc and fat32.cc

 src/fat16.cc |    2 +-
 src/fat32.cc |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 1155fa6dabf93f9d305f16241a122b1954852514
Author: Curtis Gedak <gedakc@gmail.com>
Date:   Thu Jan 14 10:47:21 2010 -0700

    Fix problem reading some FAT32 partitions (#605175)
    
    This problem was introduced with GParted 0.4.7 when the "-a"
    option was removed from the dosfsck command.  The dosfsck command
    is used to read the number of used sectors.  Instead we will now
    use the "-n" option which does not write any changes to the file
    system, and allows non-interactive operation.

 src/fat16.cc |    2 +-
 src/fat32.cc |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 89f62578b4aa9333d889a75e9bb257388d34f3c1
Author: Petr Kovar <pknbe@volny.cz>
Date:   Tue Jan 12 02:15:20 2010 +0100

    Updated Czech translation by Adrian Gunis and Marek Cernocky

 po/cs.po |  338 +++++++++++++++++++++++++++++++------------------------------
 1 files changed, 172 insertions(+), 166 deletions(-)

commit dde4baa568a835d7a1d492b4993f7aeed497c10d
Author: Daniel Nylander <po@danielnylander.se>
Date:   Mon Jan 11 03:46:59 2010 +0100

    Updated Swedish translation

 po/sv.po |  248 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 124 insertions(+), 124 deletions(-)

commit 51d1c4c552c7020e87b5566973574539168ef712
Author: Curtis Gedak <gedakc@gmail.com>
Date:   Fri Jan 8 10:59:04 2010 -0700

    Ensure commit_to_os() return code is passed up through commit() method
    
    This problem was discovered while investigating bug #604298

 src/GParted_Core.cc |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 5ff0b9d91d52db0c18f27c395675f0d4e3703bad
Author: Anton Méixome <meixome@certima.net>
Date:   Fri Jan 8 17:56:14 2010 +0100

    Updated Galician Translation

 po/gl.po |  983 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 529 insertions(+), 454 deletions(-)

commit 50ebf8d0a522e63d375f21f35501888d23051c67
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Tue Jan 5 16:54:59 2010 +0100

    Updated Slovenian translation

 po/sl.po | 2980 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 1483 insertions(+), 1497 deletions(-)

commit 2f9bf9188334d5344cb913749bd7b9d311446ea3
Author: Curtis Gedak <gedakc@gmail.com>
Date:   Sat Jan 2 15:07:03 2010 -0700

    Update copyright year

 src/Win_GParted.cc |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 20f5c6f83b94c42d1a7b49727c0477a1235d4477
Author: Curtis Gedak <gedakc@gmail.com>
Date:   Sat Jan 2 15:04:30 2010 -0700

    Clean up code for old bug #157871
    
    Remove commented code and boolean use-C-lang parameter for
    Utils::num_to_str() method because this bug was fixed in
    gcc-4.0.3.  The GNU gcc compiler versions 4 and up are now
    commonly in use.  Also due to previous partial commenting and
    removal of the code, the code was non-functional
    
    Thanks goes to Jan Claeys for pointing out this clean up
    opportunity.

 include/Utils.h |    4 ++--
 src/Utils.cc    |    6 ++----
 src/ext2.cc     |    4 ++--
 src/ext3.cc     |    4 ++--
 src/ext4.cc     |    4 ++--
 src/ntfs.cc     |    4 ++--
 src/reiserfs.cc |    4 ++--
 7 files changed, 14 insertions(+), 16 deletions(-)

commit 4cdc86b4bff26cae732608f5c747dd64c259be92
Author: Jan Janssen <medhefgo@web.de>
Date:   Tue Dec 29 00:03:16 2009 +0100

    Fixed Bug #595141 in German translation

 po/de.po |  736 +++++++++++++++++++++++++++++++++++---------------------------
 1 files changed, 411 insertions(+), 325 deletions(-)

commit 112e74ebf4ec60b3ad56f16d3998b9dd6613f539
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   Sat Dec 19 14:55:51 2009 +0100

    Updated Spanish translation

 po/es.po |  186 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 92 insertions(+), 94 deletions(-)

commit 765f8005eecf2b055d442b44a1c63fa5f8fdca54
Author: Antonio Fernandes C. Neto <fernandes@pelivre.org>
Date:   Sat Dec 19 08:19:35 2009 -0200

    Updated Brazilian Portuguese translation

 po/pt_BR.po |  201 ++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 101 insertions(+), 100 deletions(-)

commit 9be9d4602757303a47c0b692f484bf243e5deb02
Author: Lucian Adrian Grijincu <lucian.grijincu@gmail.com>
Date:   Sat Dec 19 09:37:18 2009 +0200

    Update Romanian translation

 po/ro.po |   32 +++++++++++++++++---------------
 1 files changed, 17 insertions(+), 15 deletions(-)

commit e81e6c5b76c9cb4c6e61670bbfb44ad0cac2ed91
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   Sun Dec 13 09:59:08 2009 +0100

    Updated Spanish translation

 po/es.po |  201 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 103 insertions(+), 98 deletions(-)

commit 1ef489fcd8db8b84276881a04a3076fdbbc57e6c
Author: Curtis Gedak <gedakc@gmail.com>
Date:   Wed Dec 9 13:16:18 2009 -0700

    Clear libparted kernel re-read messages when scanning devices
    
    When calling commit_to_os() with newer Linux kernels,
    parted-1.9.0, and at least one partition mounted on the device,
    the following error message is displayed:
    
        The kernel was unable to re-read the partition table on
        /dev/sda (Device or resource busy).  This means Linux won't
        know anything about the modifications you made until you
        reboot.  You should reboot your computer before doing
        anything with /dev/sda.
    
    If this message is not cleared then it will remain in the
    libparted_message array and could potentially be displayed along
    with an error message for a subsequent scanned disk device.

 src/GParted_Core.cc |    5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)

commit 098cb0cddfd752c5c533f78f8e564fc497e136bd
Author: Curtis Gedak <gedakc@gmail.com>
Date:   Sun Dec 6 14:36:39 2009 -0700

    Change field labels to sentence capitalization
    
    Change is to align with GNOME Human Interface Guidelines 2.2.
    http://library.gnome.org/devel/hig-book/stable/design-text-labels.html.en

 src/Win_GParted.cc |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit 906b969ecdaddb83cbbe11038e2eb3b7b5085394
Author: Curtis Gedak <gedakc@gmail.com>
Date:   Sun Dec 6 14:32:12 2009 -0700

    Change wording from disk label type to more common partition table

 src/Win_GParted.cc |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit b1bdb04e2bdadcb2738dcf650164b9074095017f
Author: Curtis Gedak <gedakc@gmail.com>
Date:   Sun Dec 6 13:58:27 2009 -0700

    Update optional list of commands used

 README |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit 5a43d644861df052686546fcc0a2f06242dfc578
Author: Curtis Gedak <gedakc@gmail.com>
Date:   Sun Dec 6 13:39:09 2009 -0700

    Update list of optional commands used by gparted

 README |    9 +++++++++
 1 files changed, 9 insertions(+), 0 deletions(-)

commit e22d1c9a04a7b9a2423f80f7e41e3e46c1b47ffd
Author: Adi Roiban <adi@roiban.ro>
Date:   Sat Dec 5 13:11:07 2009 +0200

    Update Romanian translation

 po/LINGUAS |    1 +
 po/ro.po   | 1449 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 1450 insertions(+), 0 deletions(-)

commit 0fba953cd918a6e5c9ac100027f53446023de573
Author: Curtis Gedak <gedakc@gmail.com>
Date:   Thu Dec 3 15:59:49 2009 -0700

    Capture libparted messages when invalid partition table found #337244
    
    When libparted reports a problem with the partition table, capture
    this message and attach it to the "unallocated" partition that spans
    the entire disk.
    
    Examples of these types of problems encountered are:
         /dev/sda: unrecognised disk label
         Can't have overlapping partitions.

 src/GParted_Core.cc |    5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)

commit abc8bf9876874220f507f1243a396f547e2a559f
Author: Curtis Gedak <gedakc@gmail.com>
Date:   Wed Dec 2 10:10:00 2009 -0700

    Append -git to version for continuing development

 configure.in |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 05cf6da4d66e06a5ce5fded0b4f4c51ca077781f
Author: Curtis Gedak <gedakc@gmail.com>
Date:   Wed Dec 2 09:12:06 2009 -0700

    ==========   gparted-0.5.0   ==========

 NEWS         |   36 ++++++++++++++++++++++++++++++++++++
 configure.in |    2 +-
 2 files changed, 37 insertions(+), 1 deletions(-)

commit f7994c116c1b2c2e8e017ebfea1b6da012623cf4
Author: Ask H. Larsen <asklarsen@gmail.com>
Date:   Tue Dec 1 00:20:52 2009 +0100

    Updated Danish translation

 po/da.po |  761 +++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 412 insertions(+), 349 deletions(-)

commit d8ece549b8ab6eaa95b1d2a87ad9bcbe8a22f019
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   Sun Nov 29 23:46:39 2009 +0100

    Updated Spanish translation

 po/es.po |  583 +++++++++++++++++++++++++++++++------------------------------
 1 files changed, 296 insertions(+), 287 deletions(-)

commit ffa3026c0572540d3cac67b8ae5cd63a9741a663
Author: António Lima <amrlima@gmail.com>
Date:   Sat Nov 28 22:57:34 2009 +0000

    Updated Portuguese translation

 po/pt.po |  615 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 317 insertions(+), 298 deletions(-)

commit 61907eddd4e82dba5aab721fb4bd7d311f50b71b
Author: Curtis Gedak <gedakc@gmail.com>
Date:   Fri Nov 27 09:58:24 2009 -0700

    Remove extra line feed from NEWS file

 NEWS |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit 0842a7be15eebfce7f5061f5732cecf4795e48c0
Author: Djavan Fagundes <dnoway@gmail.com>
Date:   Fri Nov 27 08:40:49 2009 -0200

    Updated Brazilian Portuguese translation

 po/pt_BR.po |  101 ++++++++++++++++++++++++++++++++---------------------------
 1 files changed, 55 insertions(+), 46 deletions(-)

commit f4c8b5eb7b34ea5648e2856c12f17920744f80e4
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Thu Nov 26 19:46:25 2009 +0100

    Updated Slovenian translation

 po/sl.po | 2718 ++++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 1497 insertions(+), 1221 deletions(-)

commit 9872dba812b2c521af22c43a00217d33e4713466
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   Wed Nov 25 23:41:14 2009 +0100

    Updated Hungarian translation

 po/hu.po |  685 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 368 insertions(+), 317 deletions(-)

commit 08c4cdd2f35e2a5b4ffc923f5af88e0a29a73d8c
Author: Milo Casagrande <milo@ubuntu.com>
Date:   Wed Nov 25 21:50:04 2009 +0100

    Updated Italian translation

 po/it.po |  617 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 318 insertions(+), 299 deletions(-)

commit d6054cde072f3d4b28cc907ab6ba0b9eb6b8d6b0
Author: Daniel Nylander <po@danielnylander.se>
Date:   Wed Nov 25 21:34:55 2009 +0100

    Updated Swedish translation

 po/sv.po |  645 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 327 insertions(+), 318 deletions(-)

commit 7a9cdad8ee06fdb45cdcb6445de4b21df3b00211
Author: Claude Paroz <claude@2xlibre.net>
Date:   Wed Nov 25 21:28:06 2009 +0100

    Updated French translation

 po/fr.po |  623 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 322 insertions(+), 301 deletions(-)

commit ef2fc4919cab87437f15bec93c6de5a80c2975dd
Author: Curtis Gedak <gedakc@gmail.com>
Date:   Wed Nov 25 12:36:43 2009 -0700

    Re-enable ability to paste into an existing partition (#582101)
    
    The ability to paste into an existing partition was disabled in
    v0.4.0.  This ability has been re-enabled along with a warning
    dialog that indicates the data in the existing partition will be
    lost if the copy and paste operation is applied.

 src/Win_GParted.cc |   15 +++++++++++++--
 1 files changed, 13 insertions(+), 2 deletions(-)

commit 0eabe1d72bb4999ce98c81313cf0986bed80eb1c
Author: Djavan Fagundes <dnoway@gmail.com>
Date:   Wed Nov 25 17:32:19 2009 -0200

    Updated Brazilian Portuguese translation.

 po/pt_BR.po |  620 ++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 315 insertions(+), 305 deletions(-)

commit cb2bb3ef9b393b390dde807a7a0c1a657bc68d31
Author: Curtis Gedak <gedakc@gmail.com>
Date:   Mon Nov 23 12:19:14 2009 -0700

    Add mdadm requirement to README for Linux software RAID

 README |    5 ++++-
 1 files changed, 4 insertions(+), 1 deletions(-)

commit 3b69ff7835de11b1027ba4e0670c9499a614587b
Author: Krasimir Chonov <mk2616@abv.bg>
Date:   Sun Nov 15 20:53:33 2009 +0200

    Updated Bulgarian translation

 po/bg.po | 1563 ++++++++++++++++++++++++++++++++++++++++++--------------------
 1 files changed, 1067 insertions(+), 496 deletions(-)

commit d1c16de43aa33851e62a30f8d939ce132b11b243
Author: Adrian Guniš <andygun@seznam.cz>
Date:   Fri Nov 13 17:39:12 2009 +0100

    Update Czech translation.

 po/cs.po |  699 ++++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 380 insertions(+), 319 deletions(-)

commit 8cfb27b71839e9e5fa24fca1cab951ffd5240bc0
Author: Curtis Gedak <gedakc@gmail.com>
Date:   Thu Nov 5 11:08:32 2009 -0700

    Cleanup file copyright entries
    
    Restore copyright entries by original author to those of his last
    known repository commit titled "released gparted-0.3.4 on
    LarryT's request." on Feb 25, 2007.
    
    Add my own copyright entries for files in which I changed source
    code.  Files in which I only made spelling changes do not have my
    copyright entry added.

 AUTHORS                         |    2 +-
 include/DialogFeatures.h        |    3 ++-
 include/Dialog_Base_Partition.h |    3 ++-
 include/Dialog_Partition_New.h  |    3 ++-
 include/Dialog_Progress.h       |    1 +
 include/FileSystem.h            |    3 ++-
 include/GParted_Core.h          |    3 ++-
 include/Operation.h             |    3 ++-
 include/OperationDetail.h       |    1 +
 include/Partition.h             |    3 ++-
 include/Utils.h                 |    3 ++-
 include/Win_GParted.h           |    3 ++-
 include/ext2.h                  |    3 ++-
 include/ext3.h                  |    3 ++-
 include/fat16.h                 |    3 ++-
 include/fat32.h                 |    3 ++-
 include/hfs.h                   |    3 ++-
 include/hfsplus.h               |    3 ++-
 include/jfs.h                   |    3 ++-
 include/linux_swap.h            |    3 ++-
 include/ntfs.h                  |    3 ++-
 include/reiser4.h               |    3 ++-
 include/reiserfs.h              |    3 ++-
 include/ufs.h                   |    3 ++-
 include/xfs.h                   |    3 ++-
 src/DialogFeatures.cc           |    3 ++-
 src/Dialog_Base_Partition.cc    |    3 ++-
 src/Dialog_Disklabel.cc         |    3 ++-
 src/Dialog_Partition_Copy.cc    |    3 ++-
 src/Dialog_Partition_Info.cc    |    3 ++-
 src/Dialog_Partition_New.cc     |    3 ++-
 src/Dialog_Progress.cc          |    3 ++-
 src/GParted_Core.cc             |    3 ++-
 src/OperationResizeMove.cc      |    1 +
 src/Partition.cc                |    3 ++-
 src/TreeView_Detail.cc          |    3 ++-
 src/Utils.cc                    |    3 ++-
 src/Win_GParted.cc              |    5 +++--
 src/ext2.cc                     |    3 ++-
 src/ext3.cc                     |    3 ++-
 src/fat16.cc                    |    3 ++-
 src/fat32.cc                    |    3 ++-
 src/hfs.cc                      |    3 ++-
 src/hfsplus.cc                  |    3 ++-
 src/jfs.cc                      |    3 ++-
 src/linux_swap.cc               |    3 ++-
 src/main.cc                     |    2 +-
 src/ntfs.cc                     |    3 ++-
 src/reiser4.cc                  |    3 ++-
 src/reiserfs.cc                 |    3 ++-
 src/ufs.cc                      |    3 ++-
 src/xfs.cc                      |    3 ++-
 52 files changed, 100 insertions(+), 50 deletions(-)

commit 7e98c34df9437ef2129324ee6a36aecd115ca6bc
Author: Daniel Nylander <po@danielnylander.se>
Date:   Thu Nov 5 07:30:05 2009 +0100

    Updated Swedish translation

 po/sv.po |  300 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 155 insertions(+), 145 deletions(-)

commit b873b3ce7cbe0ff54cdcdcc926c925ebd9363610
Author: Curtis Gedak <gedakc@gmail.com>
Date:   Wed Nov 4 09:53:48 2009 -0700

    Update AUTHORS file for Linux software RAID functionality

 AUTHORS |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit ff734746f578f17ed4216505d104a8cf6a95f8f0
Author: Curtis Gedak <gedakc@gmail.com>
Date:   Tue Nov 3 14:44:55 2009 -0700

    Remove MAINTAINERS file since no longer needed with git

 MAINTAINERS |   12 ------------
 1 files changed, 0 insertions(+), 12 deletions(-)

commit 0972ef31334e31729bc348b1c590cae026c25606
Author: Curtis Gedak <gedakc@gmail.com>
Date:   Tue Nov 3 14:37:31 2009 -0700

    Add some entries to gparted.doap file

 gparted.doap |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit 1607d13a069574de3f6bde625ce3f94c1147aecd
Author: Curtis Gedak <gedakc@gmail.com>
Date:   Tue Nov 3 13:25:40 2009 -0700

    Added auto detection of Linux software RAID devices
    
    Auto detection of Linux software RAID devices was lost in GParted
    0.3.8.  This was because device scanning by the libparted device
    call ped_device_probe_all() was replaced with custom code within
    GParted to scan /proc/partitions for devices.
    
    The reason the libparted call was replaced was due to a long
    scanning problem with ped_device_probe_all(), a non-existent
    physical floppy device, and a BIOS setting indicating a floppy
    drive existed.  See bug #351753:
    https://bugzilla.gnome.org/show_bug.cgi?id=351753

 include/Makefile.am |    1 +
 include/SWRaid.h    |   55 +++++++++++++++++++++++++++
 src/GParted_Core.cc |   12 ++++++
 src/Makefile.am     |    1 +
 src/SWRaid.cc       |  104 +++++++++++++++++++++++++++++++++++++++++++++++++++
 5 files changed, 173 insertions(+), 0 deletions(-)

commit c571fa47c47116696a245661ff64f53eeee71b1d
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   Tue Nov 3 21:14:37 2009 +0100

    Updated Spanish translation

 po/es.po |  114 ++++++++++++++++++++++++++++---------------------------------
 1 files changed, 52 insertions(+), 62 deletions(-)

commit e2ef2ca6717790d114a85ef7c3e4742ce0726e20
Author: Curtis Gedak <gedakc@gmail.com>
Date:   Tue Nov 3 10:57:15 2009 -0700

    Rename NO_DOC to HAVE_DISABLE_DOC for consistency sake

 configure.in       |    4 ++--
 src/Win_GParted.cc |    2 +-
 2 files changed, 3 insertions(+), 3 deletions(-)

commit c2d19a8ab4eb9e8a9875a7bd7dd0802b9f8303b2
Author: Curtis Gedak <gedakc@gmail.com>
Date:   Tue Nov 3 10:27:35 2009 -0700

    Replace gnome-open with gtk_show_uri (#600046)
    
    This change was performed to align with a GNOME goal:
    http://live.gnome.org/GnomeGoals/RemoveGnomeOpenGnomeHelp
    
    For backwards compatibility, the gnome-open command is used
    when gtkmm < 2.14.0.

 configure.in          |    6 ++++
 include/Win_GParted.h |    2 +-
 src/Win_GParted.cc    |   69 +++++++++++++++++++++---------------------------
 3 files changed, 37 insertions(+), 40 deletions(-)

commit f1df2e18bc936a306a80edee450e588013e290c1
Author: Curtis Gedak <gedakc@gmail.com>
Date:   Mon Nov 2 13:57:25 2009 -0700

    Correct desktop files for name and generic name entries (#600048)
    
    This change was performed to align with a GNOME goal:
    http://live.gnome.org/GnomeGoals/CorrectDesktopFiles

 gparted.desktop.in.in |    4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)

commit 9e18f0fdf6108d9c90df6db2df7e37f31856cab2
Author: Curtis Gedak <gedakc@gmail.com>
Date:   Mon Nov 2 09:40:13 2009 -0700

    Append -git to version for continuing development

 configure.in |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 3c33c95ccc38a6578e2a871c831e90802982e315
Author: Curtis Gedak <gedakc@gmail.com>
Date:   Mon Nov 2 09:08:16 2009 -0700

    ==========   gparted-0.4.8   ==========

 NEWS         |   36 ++++++++++++++++++++++++++++++++++++
 configure.in |    2 +-
 2 files changed, 37 insertions(+), 1 deletions(-)

commit dbc701c7b2839a87e2a5f7d1532af595a4d70136
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   Mon Nov 2 12:12:03 2009 +0100

    Updated Spanish translation

 po/es.po |  442 +++++++++++++++++++++++++++++++++++---------------------------
 1 files changed, 249 insertions(+), 193 deletions(-)

commit cfc484528b8c71193a8007828672cd38461efeea
Author: Milo Casagrande <milo@ubuntu.com>
Date:   Sun Nov 1 15:09:31 2009 +0100

    Removed obsoletes from Italian translation

 po/it.po |   24 ------------------------
 1 files changed, 0 insertions(+), 24 deletions(-)

commit 0dc4164070f2af38efd573093bc3b6536808590f
Author: Milo Casagrande <milo@ubuntu.com>
Date:   Sun Nov 1 15:08:43 2009 +0100

    Updated Italian translation

 po/it.po |  442 +++++++++++++++++++++++++++++++++++---------------------------
 1 files changed, 247 insertions(+), 195 deletions(-)

commit ca84b3f02dc9ba9511c11ca261bb8818f82e4d22
Author: Djavan Fagundes <dnoway@gmail.com>
Date:   Sat Oct 31 12:47:51 2009 -0200

    Updated Brazilian Portuguese translation

 po/pt_BR.po |  451 +++++++++++++++++++++++++++++++++--------------------------
 1 files changed, 251 insertions(+), 200 deletions(-)

commit b2d106462443709abe458e3e470804d413ba6c15
Author: António Lima <amrlima@gmail.com>
Date:   Sat Oct 31 14:38:05 2009 +0000

    Updated Portuguese translation

 po/pt.po |  670 ++++++++++++++++++++++++++++++++++++--------------------------
 1 files changed, 390 insertions(+), 280 deletions(-)

commit abe2166b8a42d583748316978d225d4b19d25ca3
Author: Bruce Cowan <bcowan@fastmail.co.uk>
Date:   Thu Oct 29 23:25:25 2009 +0000

    Updated British English translation
    
    Changed back to original units, I don't think this sort of thing should
    be changed in en_GB.

 po/en_GB.po |  462 +++++++++++++++++++++++++++++++++--------------------------
 1 files changed, 258 insertions(+), 204 deletions(-)

commit 732f459c5a3fc92e03941b08174264be5c0f0fae
Author: Daniel Nylander <po@danielnylander.se>
Date:   Wed Oct 28 09:46:37 2009 +0100

    Updated Swedish translation

 po/sv.po |  463 ++++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 252 insertions(+), 211 deletions(-)

commit 6e36dc77ba1f50bc21c7b0c4b6cd7d82128f69e7
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:   Mon Oct 26 23:58:42 2009 +0200

    Updated Arabic translation

 po/ar.po |  442 ++++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 245 insertions(+), 197 deletions(-)

commit d37d987adc2e475171197e776f1c03f76844a5b8
Author: Claude Paroz <claude@2xlibre.net>
Date:   Mon Oct 26 22:48:25 2009 +0100

    Updated French translation
    
    Contributed by Julien Hardelin and Claude Paroz

 po/fr.po |  438 +++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 237 insertions(+), 201 deletions(-)

commit 33d7e31d3c2aa6cc17cc526c6901fbfb5eaf39b1
Author: Curtis Gedak <gedakc@gmail.com>
Date:   Mon Oct 26 15:19:04 2009 -0600

    Change em dashes to period with new sentence
    
    With the em dashes in the translatable strings, a 'make distcheck'
    would fail.  Hence these have been change to be a period followed by a
    new sentence.

 src/GParted_Core.cc        |    6 +++---
 src/OperationResizeMove.cc |    2 +-
 2 files changed, 4 insertions(+), 4 deletions(-)

commit c85de03ee31c9577ecbfeae33bd66cd254d23fbe
Author: Curtis Gedak <gedakc@gmail.com>
Date:   Mon Oct 26 14:48:22 2009 -0600

    Remove unable to re-read partition table warning (#599078)
    
    When used with parted-2.0, GParted would display a warning
    message indicating "kernel unable to re-read partition table" on
    every device scan for each device with at least one partition
    mounted.  Device scans occur when GParted starts up, immediately
    after a series of actions are applied, and upon manually invoked
    device refreshes.  This, I believe, is excessive notification to
    the user and would be annoying.

 src/Win_GParted.cc |   22 ----------------------
 1 files changed, 0 insertions(+), 22 deletions(-)

commit 83381f85f13a0f3421a3b0eee98e498961db6119
Author: Curtis Gedak <gedakc@gmail.com>
Date:   Sun Oct 25 14:33:36 2009 -0600

    Ensure no pending operations before creating partition table (#583896)
    
    This fixes a situation where GParted would crash if a user queued
    up some operations, created a new partition table, and then
    applied the operations.

 src/Win_GParted.cc |   28 ++++++++++++++++++++++++++++
 1 files changed, 28 insertions(+), 0 deletions(-)

commit 0723c82f30486361c90c98aaec08fe23b6b1c369
Author: Curtis Gedak <gedakc@gmail.com>
Date:   Sat Oct 24 15:17:13 2009 -0600

    Update copyright year for Win_GParted class

 include/Win_GParted.h |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 73471032c9dd2401f3155dd604260c7180f8238f
Author: Curtis Gedak <gedakc@gmail.com>
Date:   Sat Oct 24 14:16:40 2009 -0600

    Improve feedback when creating or pasting partition (#579266)
    
    Improve the feedback to the user when creating or pasting a
    partition on a device with no partition table found.
    
    Prior to this enhancement if a user tried to create or paste a
    partition onto a device with no partition table found, GParted
    would present the user with a Create Partition Table dialog.
    
    When creating a new partition this could cause confusion for
    users who were trying to format the disk.  The user could
    mistakenly believe the choice of an MS-DOS file system was being
    presented.
    
    Similarly on a paste operation it could be confusing to be
    presented with a dialog to create a partition table without any
    explanation of why a partition table was suddenly required in the
    midst of the paste operation.
    
    Neither the new partition creation, nor the partition paste
    actions were performed after the Create Partition Table dialog
    was displayed.

 include/Win_GParted.h |    1 +
 src/Win_GParted.cc    |   29 ++++++++++++++++++++++++-----
 2 files changed, 25 insertions(+), 5 deletions(-)

commit 0af42af3d0b2515f09895149ce3e689799db8693
Author: Curtis Gedak <gedakc@gmail.com>
Date:   Thu Oct 22 10:19:47 2009 -0600

    Add padding to progress dialog window

 include/Dialog_Progress.h |    1 +
 src/Dialog_Progress.cc    |   27 +++++++++++++++------------
 2 files changed, 16 insertions(+), 12 deletions(-)

commit a960d280d8f32f13ab3027aa569ea07d318b4266
Author: Curtis Gedak <gedakc@gmail.com>
Date:   Sun Oct 18 13:25:35 2009 -0600

    Change field labels to sentence capitalization (#583885)
    
    This change done to align with the GNOME Human Interface Guidelines.
    http://library.gnome.org/devel/hig-book/stable/design-text-labels.html.en

 src/Dialog_Base_Partition.cc |   10 +++++-----
 src/Dialog_Partition_Info.cc |   10 +++++-----
 src/Dialog_Partition_New.cc  |    2 +-
 3 files changed, 11 insertions(+), 11 deletions(-)

commit 4a8ecdc6133777a3c51e0f8602f09efffb066c7f
Author: Curtis Gedak <gedakc@gmail.com>
Date:   Sun Oct 18 13:06:40 2009 -0600

    Remove repeated titles in progress dialog (#589558)

 src/Dialog_Progress.cc |    8 ++------
 1 files changed, 2 insertions(+), 6 deletions(-)

commit acdddc07702d7029fc1a9cf9ae5e9db353edbcca
Author: Curtis Gedak <gedakc@gmail.com>
Date:   Sat Oct 17 15:43:20 2009 -0600

    Add help dialog when configured with --disable-doc

 configure.in       |    2 ++
 src/Win_GParted.cc |   18 ++++++++++++++++++
 2 files changed, 20 insertions(+), 0 deletions(-)

commit 3e12b3b20244f36632fd147f30641c2e9ef9481b
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   Sat Oct 17 11:39:56 2009 +0200

    Updated Spanish translation

 po/es.po |  262 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 138 insertions(+), 124 deletions(-)

commit d9b892a73f2f078ae6314c4925b438e43fe4392e
Author: Curtis Gedak <gedakc@gmail.com>
Date:   Fri Oct 16 10:49:31 2009 -0600

    Use both devkit-disks and hal-lock if available
    
    During the transition period from HAL to devicekit-disks some
    distributions might require both methods to prevent device
    auto-mounting.  See Ubuntu launchpad bug link:
    https://bugs.launchpad.net/ubuntu/+source/gparted/+bug/428133

 gparted.in |   17 ++++++++++++-----
 1 files changed, 12 insertions(+), 5 deletions(-)

commit 4fea82af2ed432234610185e12b2b195b847ce66
Author: Mario Blättermann <mariobl@gnome.org>
Date:   Fri Oct 16 17:46:10 2009 +0200

    Updated German translation

 po/de.po |  246 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 122 insertions(+), 124 deletions(-)

commit ce34e0f0ed4adacc6b1820bf6c8ec405655b265d
Author: Sveinn í Felli <sveinki@nett.is>
Date:   Thu Oct 15 23:17:12 2009 +0000

    Added IS translation

 po/LINGUAS |    1 +
 po/is.po   | 1398 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 1399 insertions(+), 0 deletions(-)

commit b1667d4f6dac1c1a0da0d6aed528ebdd48c02de4
Author: Curtis Gedak <gedakc@gmail.com>
Date:   Thu Oct 15 10:32:29 2009 -0600

    Add support for devicekit-disks device automount prevention

 gparted.in |   30 ++++++++++++++++++++++--------
 1 files changed, 22 insertions(+), 8 deletions(-)

commit cf4a962c73556a0b00bd48ba11b12e1923eb23fb
Author: Curtis Gedak <gedakc@gmail.com>
Date:   Wed Oct 14 11:09:23 2009 -0600

    Further improve dmraid device and name recognition

 src/DMRaid.cc |   28 ++++++++++++++++++++++++++++
 1 files changed, 28 insertions(+), 0 deletions(-)

commit 22988406409e311f86aa2b7cc7ca6426fbda877c
Author: Curtis Gedak <gedakc@gmail.com>
Date:   Wed Oct 14 10:37:01 2009 -0600

    Update URL for bug reporting link

 configure.in |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 5f6301d1b05bb51a7604a350dea52fb6580fdfaa
Author: Curtis Gedak <gedakc@gmail.com>
Date:   Tue Oct 13 17:45:04 2009 -0600

    Rework logic to resolve real path for symbolic link devices (#582687)

 src/GParted_Core.cc |   24 +++++++++++++-----------
 1 files changed, 13 insertions(+), 11 deletions(-)

commit 8f857692e031c7f67baf6d98c24b833aa2263da1
Author: Curtis Gedak <gedakc@gmail.com>
Date:   Tue Oct 13 12:44:26 2009 -0600

    Add adjective to indicate size of patch and fix spacing

 NEWS |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit b44516a9d495fa7c679af5a766470c2657f8fed6
Author: Bruce Cowan <bcowan@fastmail.co.uk>
Date:   Wed Oct 7 14:19:35 2009 +0100

    Minor string fixes (#597686)

 src/Dialog_Disklabel.cc    |    2 +-
 src/GParted_Core.cc        |   12 ++++++------
 src/OperationResizeMove.cc |    2 +-
 3 files changed, 8 insertions(+), 8 deletions(-)

commit d0eb2695faf14264290b1ab7b13a9fbc101d97c9
Author: André Gondim <andregondim@ubuntu.com>
Date:   Sat Oct 10 11:08:45 2009 -0300

    Updated Brazilian Portuguese translation and corrected a incorrect translation

 po/pt_BR.po |  202 ++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 102 insertions(+), 100 deletions(-)

commit be7e2d77ae693a334b6264a399899025b04a3a5e
Author: Curtis Gedak <gedakc@gmail.com>
Date:   Fri Oct 9 11:02:20 2009 -0600

    Append -git to version for continuing development

 configure.in |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 6f94d0ddfc8b922d2aa656b33f65a1f626883083
Author: Curtis Gedak <gedakc@gmail.com>
Date:   Fri Oct 9 09:34:32 2009 -0600

    ==========   gparted-0.4.7   ==========

 NEWS         |   27 +++++++++++++++++++++++++++
 configure.in |    2 +-
 2 files changed, 28 insertions(+), 1 deletions(-)

commit cba485357d01b455816930fbeff3de097046ef17
Author: Bruce Cowan <bcowan@fastmail.co.uk>
Date:   Wed Oct 7 14:04:37 2009 +0100

    Updated British English translation

 po/en_GB.po | 1150 +++++++++++++++++++++++++++++++++++------------------------
 1 files changed, 692 insertions(+), 458 deletions(-)

commit f042f21d6525a3f3023dbe886ecb68f962260376
Author: Curtis Gedak <gedakc@gmail.com>
Date:   Tue Oct 6 16:12:54 2009 -0600

    Enhance configure to work with libparted two digit version number

 configure.in |   14 +++++++++++---
 1 files changed, 11 insertions(+), 3 deletions(-)

commit 0810792f0223e2963248811b5fe86b6a4f108e3e
Author: Curtis Gedak <gedakc@gmail.com>
Date:   Wed Sep 30 16:32:32 2009 -0600

    Ensure dmraid devices created for devices passed on command line

 src/GParted_Core.cc |   14 ++++++++++++++
 1 files changed, 14 insertions(+), 0 deletions(-)

commit fa0b88c701af2efbbae35608b2db65ef005ac18f
Author: Curtis Gedak <gedakc@gmail.com>
Date:   Wed Sep 30 16:25:19 2009 -0600

    Improve logic for retrieval of device udev name

 src/DMRaid.cc |    7 ++++++-
 1 files changed, 6 insertions(+), 1 deletions(-)

commit 78c31746947b9fc76ffdbe98eb33c00f0582dbb3
Author: Curtis Gedak <gedakc@gmail.com>
Date:   Wed Sep 30 16:16:27 2009 -0600

    Improve logic to recognize dmraid devices

 src/DMRaid.cc |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit d63c97ef426b5045be7a102fdc449cce8dd4574f
Author: Curtis Gedak <gedakc@gmail.com>
Date:   Wed Sep 30 16:08:03 2009 -0600

    Simplify logic to ensure dmraid_devices cleared before populating

 src/DMRaid.cc |    8 +++-----
 1 files changed, 3 insertions(+), 5 deletions(-)

commit df541b898623a74c000e84d8535215468232f2e0
Author: Seth Hunter <hunter@ll.mit.edu>
Date:   Mon Sep 28 16:32:04 2009 -0600

    Fix problem with create new partition size off by one sector (#596552)
    
    With "Round to cylinders" deactivated, creating a new partition would
    create a partition that was one sector too large.
    
    Closes GParted bug #596552

 src/Dialog_Partition_New.cc |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit d72a662925945f126b0a4a49f2df021d65b10c24
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Wed Sep 9 02:30:32 2009 +0200

    Updated Polish translation

 po/pl.po |  466 ++++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 257 insertions(+), 209 deletions(-)

commit fbbc2a67acba7aeec0ea514c8471dc23b06770d4
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:   Fri Sep 4 11:26:55 2009 +0200

    Updated Basque language

 po/eu.po |  243 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 128 insertions(+), 115 deletions(-)

commit e0a690c774a56b39ebd4b6443654652f929c1b16
Author: Adrian Guniš <andygun696@gmail.com>
Date:   Thu Aug 20 22:10:33 2009 +0200

    Update Czech translation

 po/cs.po |  288 ++++++++++++++++++++++++++++++++++++--------------------------
 1 files changed, 169 insertions(+), 119 deletions(-)

commit 6fa8ad48183aca2873b325e6195bfd50eae86c3b
Author: Curtis Gedak <gedakc@gmail.com>
Date:   Tue Aug 11 15:33:59 2009 -0600

    Made set_used_sectors method less meddlesome for FAT16/32
    
    Removed the "-a" flag from the dosfsck command that is used to
    determine the number of used sectors in FAT16 and FAT32 file systems.
    
    Related to GParted bug #569921

 src/fat16.cc |    4 ++--
 src/fat32.cc |    4 ++--
 2 files changed, 4 insertions(+), 4 deletions(-)

commit 6d90d0fbcd75bec938d63bd4fb6ba585a51dcb05
Author: Curtis Gedak <gedakc@gmail.com>
Date:   Sun Aug 9 14:26:07 2009 -0600

    Resolve real path for symbolic link devices in mount files (#582687)
    
    In order to find a match between the device paths in mount files and
    partitions as found by libparted, the mount device must be a real path
    and not a symbolic link.
    
    Closes GParted bug #582687

 src/GParted_Core.cc |   17 +++++++++++------
 1 files changed, 11 insertions(+), 6 deletions(-)

commit a505363f087e7ffc2b7ab590d705a943c7f74532
Author: Curtis Gedak <gedakc@gmail.com>
Date:   Wed Aug 5 16:54:07 2009 -0600

    Append -git to version for continuing development

 configure.in |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit d69e6acaba47e586189b70e5d863147e732c5536
Author: Curtis Gedak <gedakc@gmail.com>
Date:   Wed Aug 5 09:11:11 2009 -0600

    ==========   gparted-0.4.6   ==========

 NEWS         |   34 +++++++++++++++++++++++++++++++++-
 configure.in |    2 +-
 2 files changed, 34 insertions(+), 2 deletions(-)

commit 125338241707bfd1aab57db3d2fb38115348078c
Author: Denis Arnaud <darnaud@src.gnome.org>
Date:   Mon Aug 3 12:47:43 2009 +0200

    Updated breton translation, added br in LINGUAS file

 po/LINGUAS |    1 +
 po/br.po   | 1324 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 1325 insertions(+), 0 deletions(-)

commit 676f82da9396977ced6a1b572d5d212edcf5dc76
Author: António Lima <amrlima@gmail.com>
Date:   Sun Aug 2 16:51:49 2009 +0100

    Updated Portuguese translation

 po/pt.po |  258 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 139 insertions(+), 119 deletions(-)

commit b02ad4fc35eafcb5066cee62896d5b076cad4d26
Author: Ask Hjorth Larsen <asklarsen@gmail.com>
Date:   Sun Aug 2 16:56:43 2009 +0200

    Updated Danish Translation by Ask Hjorth Larsen

 po/da.po |  261 ++++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 144 insertions(+), 117 deletions(-)

commit b3bfa25c30507e379747648a765fea81fbb2312a
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:   Sun Aug 2 16:06:11 2009 +0800

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

 po/zh_HK.po |  433 +++++++++++++++++++++++++++++++++--------------------------
 po/zh_TW.po |  435 +++++++++++++++++++++++++++++++++--------------------------
 2 files changed, 489 insertions(+), 379 deletions(-)

commit d7c633b7259826aabf5d8722ff71f1c2802ab01e
Author: Djavan Fagundes <dnoway@gmail.com>
Date:   Sat Aug 1 14:55:28 2009 -0400

    Updated Brazilian Portuguese translation.

 po/pt_BR.po |  260 +++++++++++++++++++++++++++++++----------------------------
 1 files changed, 138 insertions(+), 122 deletions(-)

commit 3076fd8e60e43b4b4079c917f7a9a66c2ce46cab
Author: Mattias Põldaru <mahfiaz gmail com>
Date:   Sat Aug 1 15:01:04 2009 +0300

    Updating Estonian translation

 po/et.po |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 9592e51dfc1d20c3feb9740c795acee273fcdc67
Author: Milo Casagrande <milo@ubuntu.com>
Date:   Sat Aug 1 11:59:26 2009 +0200

    Updated Italian translation:
     * Updated translation of the documentation
     * Updated translation of the application

 help/it/it.po |   28 ++++---
 po/it.po      |  250 ++++++++++++++++++++++++++++++++-------------------------
 2 files changed, 157 insertions(+), 121 deletions(-)

commit 5e07fb434da55e40cc7550d1da7922111421d6c6
Author: Curtis Gedak <gedakc@gmail.com>
Date:   Fri Jul 31 18:56:31 2009 -0600

    Place translator comment in proper location (#590415)

 src/GParted_Core.cc |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit cc0ce0e301c9cc8c3d0831627a2843cbebbf1664
Author: Claude Paroz <claude@2xlibre.net>
Date:   Fri Jul 31 22:58:58 2009 +0200

    Updated French manual translation

 help/fr/fr.po | 1864 ++++++++++++++++++++++++++++++++++++++++++++-------------
 1 files changed, 1455 insertions(+), 409 deletions(-)

commit 0bccd1df73cafc33a4fecd432cb4ef826e175bfe
Author: Claude Paroz <claude@2xlibre.net>
Date:   Fri Jul 31 22:53:30 2009 +0200

    Updated French translation

 po/fr.po |  249 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 132 insertions(+), 117 deletions(-)

commit ba33133e7f39aa4c210e50354672316c34478d0f
Author: Mattias Põldaru <mahfiaz gmail com>
Date:   Fri Jul 31 18:41:04 2009 +0300

    Updating Estonian translation

 po/et.po |   68 +++++++++++++++++++++++++++++++++++++++++++++++++------------
 1 files changed, 54 insertions(+), 14 deletions(-)

commit b0f85a789689836146b440bbff1d606c22b3d5b6
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   Fri Jul 31 00:15:20 2009 +0200

    Hungarian translation updated

 po/hu.po |  239 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 128 insertions(+), 111 deletions(-)

commit 0a8dd71cafb1e3c6d241947d92e22f2d61408409
Author: Žygimantas Beručka <zygis@gnome.org>
Date:   Thu Jul 30 13:03:34 2009 +0300

    Updated Lithuanian translation

 po/lt.po |  903 +++++++++++++++++++++++++++++++++++---------------------------
 1 files changed, 509 insertions(+), 394 deletions(-)

commit 4f8706fa394730cd815561590908154fc52a464f
Author: Daniel Nylander <po@danielnylander.se>
Date:   Wed Jul 29 23:11:36 2009 +0200

    Updated Swedish translation

 help/sv/sv.po | 1361 ++++++++++++++++++++++++++++++++++++++++++++++++++++++---
 1 files changed, 1299 insertions(+), 62 deletions(-)

commit 8aa941204c42c17507fe13aa0720346b1b78ae36
Author: Curtis Gedak <gedakc@gmail.com>
Date:   Tue Jul 28 15:38:30 2009 -0600

    Enhance to use new linux-swap "filesystem" types added in parted-1.9.0
    
    Excerpt from parted-1.9.0 release notes follows:
      In libparted, the linux-swap "filesystem" types are now called
      "linux-swap(v0)" and "linux-swap(v1)" rather than "linux-swap(old)"
      and "linux-swap(new)" as in parted 1.8, or "linux-swap" as in older
      versions; "old" and "new" generally make poor names, and v1 is the
      only format supported by current Linux kernels. Aliases for all
      previous names are available.

 src/GParted_Core.cc |    6 ++++++
 1 files changed, 6 insertions(+), 0 deletions(-)

commit 5f3c806561ff55a1a89f0dbdc1d1ac5020af127f
Author: Curtis Gedak <gedakc@gmail.com>
Date:   Thu Jul 23 16:03:42 2009 -0600

    Enhance file parsing to handle tabs properly (#582687)
    
    Previously the read_mountpoints_from_file() method only expected
    a space between arguments in files such as /etc/fstab.  Valid
    delimiters are now space and tab.
    
    Related to GParted bug #582687

 src/GParted_Core.cc |   28 ++++++++++++++--------------
 1 files changed, 14 insertions(+), 14 deletions(-)

commit ae912379cccc2a208482dad9476237ea54b9fd80
Author: Curtis Gedak <gedakc@gmail.com>
Date:   Wed Jul 8 14:23:32 2009 -0600

    Cleanup white space in read_mountpoints_from_file method

 src/GParted_Core.cc |   17 +++++++++--------
 1 files changed, 9 insertions(+), 8 deletions(-)

commit 98f7470b2549316f48e6cc58453c19a3d027829d
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:   Tue Jul 21 07:09:03 2009 +0300

    Updated Arabic translation

 po/ar.po |  977 +++++++++++++++++++++++++++++++++++---------------------------
 1 files changed, 547 insertions(+), 430 deletions(-)

commit 1144f41974cf9ab1b8d61e45a6b9bdefb742e271
Author: Mario Blättermann <mariobl@gnome.org>
Date:   Tue Jul 14 19:16:14 2009 +0200

    Updated German doc translation

 help/de/de.po |   28 ++++++++++++++++++----------
 1 files changed, 18 insertions(+), 10 deletions(-)

commit f1dbb9987668a1aa69d7cce2dfa063f534c39221
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   Sun Jul 12 13:17:28 2009 +0200

    Updated Spanish translation

 help/es/es.po |   55 ++++++++++++++++++++++++++++++++++++++++++++-----------
 1 files changed, 44 insertions(+), 11 deletions(-)

commit e2bccae3b4c9d0635008d96dace39de44410e4d8
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   Wed Jul 8 23:05:28 2009 +0200

    Updated Spanish translation

 help/es/es.po |   23 +++++++++++++----------
 1 files changed, 13 insertions(+), 10 deletions(-)

commit 0899b72dd3952a0fc09da3a8ddc2ad68d9033a17
Author: Curtis Gedak <gedakc@gmail.com>
Date:   Mon Jul 6 16:23:02 2009 -0600

    Remove extra blank line accidentally added in last commit

 src/Dialog_Disklabel.cc |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit 8e8bf7e5440f003d1a4f9658761d8673d1062860
Author: Curtis Gedak <gedakc@gmail.com>
Date:   Mon Jul 6 15:58:08 2009 -0600

    Change button create to apply for partition table creation (#576374)
    
    To further minimize the chance of accidentally creating a new partition
    table, the following steps have been taken:
    
    1)  Rename non-standard Create button to stock Apply button.
    2)  Remove extra warning about erasing entire disk device.
    3)  Update GParted Manual accordingly.
    
    Closes GParted bug #576374

 help/C/gparted.xml      |    8 ++++----
 src/Dialog_Disklabel.cc |   13 ++-----------
 src/Win_GParted.cc      |    4 ++--
 3 files changed, 8 insertions(+), 17 deletions(-)

commit bbe8bf547946a207a729c06163204113fde76538
Author: David Planella <david.planella@gmail.com>
Date:   Mon Jul 6 20:30:36 2009 +0200

    Updated Catalan translation

 po/ca.po |  206 +++++++++++++++++++++++++++++++++++---------------------------
 1 files changed, 116 insertions(+), 90 deletions(-)

commit dff060365ca19cadf4941cc0237b005a19f383d5
Author: Curtis Gedak <gedakc@gmail.com>
Date:   Sat Jul 4 09:29:16 2009 -0600

    Make .gitignore gparted* mask more specific (#587065)

 .gitignore |    6 +++++-
 1 files changed, 5 insertions(+), 1 deletions(-)

commit a2fcabc193c834ccef1f47c98dbcf5f4fad44d37
Author: Priit Laes <plaes@plaes.org>
Date:   Fri Jun 26 22:45:00 2009 +0300

    Added Estonian translation.

 po/LINGUAS |    1 +
 po/et.po   | 1030 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 1031 insertions(+), 0 deletions(-)

commit c06e13d83584955d5f84d2be0193d7c32b1f816c
Author: Claude Paroz <claude@2xlibre.net>
Date:   Fri Jun 26 18:30:39 2009 +0200

    Add French manual translation
    
    Contributed by Julien Hardelin and Claude Paroz.

 help/Makefile.am                   |    4 +-
 help/fr/figures/gparted_window.png |  Bin 0 -> 37663 bytes
 help/fr/fr.po                      | 1289 ++++++++++++++++++++++++++++++++++++
 3 files changed, 1291 insertions(+), 2 deletions(-)

commit c704b6fd5080b89c2993d36944e0b0361526c6d2
Author: Mario Blättermann <mariobl@gnome.org>
Date:   Mon Jun 22 22:16:53 2009 +0200

    Updated German translation

 po/de.po |   47 ++++++++++++++++++++++++++++++++++++-----------
 1 files changed, 36 insertions(+), 11 deletions(-)

commit 61e95b78039aa9718b11f541e3f5a07278bd4914
Author: Daniel Nylander <po@danielnylander.se>
Date:   Sat Jun 13 10:26:10 2009 +0200

    Updated sv translation (Daniel Nylander)

 po/sv.po |  243 +++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 131 insertions(+), 112 deletions(-)

commit d627d295562dd3446fcfa1c36b173bdb0f51327a
Author: A S Alam <aalam@users.sf.net>
Date:   Fri Jun 12 06:02:25 2009 +0530

    updating translation for Punjabi (Gurmukhi) pa.po

 po/pa.po |  326 +++++++++++++++++++++++++-------------------------------------
 1 files changed, 130 insertions(+), 196 deletions(-)

commit c43142210015eb8e8098b6d401763dad002a8fd1
Author: Jorge Gonzalez <jorgegonz@svn.gnome.org>
Date:   Sun May 24 14:02:03 2009 +0200

    Updated Spanish translation

 help/es/es.po |   28 ++++++++++++++++++++++++----
 1 files changed, 24 insertions(+), 4 deletions(-)

commit f016c1533154e36cdd63e3778c3b8478576251d7
Author: Jorge Gonzalez <jorgegonz@svn.gnome.org>
Date:   Mon May 18 20:52:13 2009 +0200

    Updated Spanish translation

 po/es.po |  230 ++++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 127 insertions(+), 103 deletions(-)

commit 746a2f2f0946a270091c118efd5f403ff6f2aca9
Author: Curtis Gedak <gedakc@gmail.com>
Date:   Sat May 16 12:45:43 2009 -0600

    Improve error messages and translator comments
    
    Provide translator sample text, and add more detail to error messages
    when updating the ntfs boot sector.

 src/GParted_Core.cc |   23 ++++++++++++++++++++---
 1 files changed, 20 insertions(+), 3 deletions(-)

commit dd8a57a8fec3abfa8b1b5399a73aa6a5845aed23
Author: Curtis Gedak <gedakc@gmail.com>
Date:   Sat May 16 12:15:14 2009 -0600

    Remove requirement for xxd and dd for NTFS move or paste action
    
    Perform direct update of Number of Hidden Sectors in NTFS boot record.
    This change removes the need for /usr/bin/xxd and /bin/dd.
    Related to GParted bug #574389

 README              |    2 +-
 src/GParted_Core.cc |   57 ++++++++++++++++++++++++++++++++++++++------------
 src/Utils.cc        |    2 +-
 src/ntfs.cc         |   11 +--------
 4 files changed, 47 insertions(+), 25 deletions(-)

commit 9fa7486b7cbfad290feb56e9daf68af0a2fc00e4
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   Fri May 15 01:46:31 2009 +0200

    Hungarian translation updated

 po/hu.po |  226 ++++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 123 insertions(+), 103 deletions(-)

commit f164e78153db069c9af757391b7297152ba9c36c
Author: Curtis Gedak <gedakc@gmail.com>
Date:   Thu May 14 14:59:49 2009 -0600

    Require xxd and dd for NTFS move or paste action
    
    Related to GParted bug #574389

 README       |    2 +-
 src/Utils.cc |    2 +-
 src/ntfs.cc  |   13 ++++++++++---
 3 files changed, 12 insertions(+), 5 deletions(-)

commit 9238e47bc2df297149e2f8ebb3f0a0a05754659a
Author: Curtis Gedak <gedakc@gmail.com>
Date:   Thu May 14 14:45:11 2009 -0600

    Remove absolute paths from /usr/bin/xxd and /bin/dd

 src/GParted_Core.cc |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 51969b33e808224457fa656d7b70278336d7108a
Author: Curtis Gedak <gedakc@gmail.com>
Date:   Fri May 8 10:55:40 2009 -0600

    Append -git to version for continuing development

 configure.in |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit ca426d411eff0373eb55df24b4aef1a56884484e
Author: Curtis Gedak <gedakc@gmail.com>
Date:   Fri May 8 09:55:00 2009 -0600

    ==========   gparted-0.4.5   ==========

 NEWS         |   27 +++++++++++++++++++++++++++
 configure.in |    2 +-
 2 files changed, 28 insertions(+), 1 deletions(-)

commit 1570c9cc6551ae8224ac5a1e59ebf2f6f0eb0f60
Author: Christian Kirbach <Christian.Kirbach@googlemail.com>
Date:   Mon May 4 00:22:07 2009 +0200

    [master] Updated German translation.

 po/de.po |  237 ++++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 129 insertions(+), 108 deletions(-)

commit e7352a5000ddfc7666861e3e8ef56b88510b449d
Author: Curtis Gedak <gedakc@gmail.com>
Date:   Sat May 2 10:53:36 2009 -0600

    Ensure /dev file system device entries created before adding device

 src/GParted_Core.cc |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 301bd77312917934a9f195b527daee7d389413a5
Author: Curtis Gedak <gedakc@gmail.com>
Date:   Sat May 2 10:49:49 2009 -0600

    Refactor some logic into separate settle_device method

 include/GParted_Core.h |    1 +
 src/GParted_Core.cc    |   11 ++++++++---
 2 files changed, 9 insertions(+), 3 deletions(-)

commit 22b6b2770314b15c4bf2b3b6529f0e3d980b7653
Author: Curtis Gedak <gedakc@gmail.com>
Date:   Sat May 2 10:36:57 2009 -0600

    Improve file system detection with fall back to vol_id

 src/FS_Info.cc |    9 +++++++++
 1 files changed, 9 insertions(+), 0 deletions(-)

commit 835f7dc21b8eadef8f15837ae7fad26330e99d4b
Author: David Planella <david.planella@gmail.com>
Date:   Sat May 2 15:20:46 2009 +0200

    Updated Catalan translation by David Planella

 po/ca.po |  372 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 200 insertions(+), 172 deletions(-)

commit 2a89d936d6f0f5d8d70c87d0191696faf3fa4b12
Author: Curtis Gedak <gedakc@gmail.com>
Date:   Wed Apr 29 16:34:30 2009 -0600

    Remove get_dmraid_prefix method used to specify a single device
    
    It appears that different dmraid versions handle specifying a
    single dmraid device differently.
    
    dmraid-1.0.0.rc14 uses a partial name only,
      such as "isw" or "isw_cjbdddajhi".
    dmriad-1.0.0.rc15 uses a full name only,
      such as "isw_cjbdddajhi_Vol0".
    
    To maintain compatibility with the broadest range of dmraid versions,
    the ability to specify a single dmraid device is being removed.

 include/DMRaid.h |    1 -
 src/DMRaid.cc    |   28 +++-------------------------
 2 files changed, 3 insertions(+), 26 deletions(-)

commit 3f773c3ae8be1e85fd39f8e5745244a46667ac25
Author: Curtis Gedak <gedakc@gmail.com>
Date:   Wed Apr 29 16:23:28 2009 -0600

    Ensure kpartx is executed even if dmraid fails

 src/DMRaid.cc |   10 ++++++++--
 1 files changed, 8 insertions(+), 2 deletions(-)

commit 301f58c9770ce2304e197357d7c91ca542efac1f
Author: Curtis Gedak <gedakc@gmail.com>
Date:   Tue Apr 28 14:23:09 2009 -0600

    Remove temporary debugging information accidentally committed

 src/DMRaid.cc |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit 58c9336e9d912b832caaa8d8859542f5501a3447
Author: Curtis Gedak <gedakc@gmail.com>
Date:   Tue Apr 28 14:21:56 2009 -0600

    Enhance get_dmraid_name to also check udev information if needed

 src/DMRaid.cc |   12 +++++++++++-
 1 files changed, 11 insertions(+), 1 deletions(-)

commit 9816f5c18ac089aead6a550ad97cbfae56a86ee0
Author: Curtis Gedak <gedakc@gmail.com>
Date:   Tue Apr 28 13:42:47 2009 -0600

    Refactor some logic into separate get_udev_name method

 include/DMRaid.h |    1 +
 src/DMRaid.cc    |   40 ++++++++++++++++++++++++++--------------
 2 files changed, 27 insertions(+), 14 deletions(-)

commit 63980c0def0324ca2087ce89c220ba2baca21609
Author: Curtis Gedak <gedakc@gmail.com>
Date:   Mon Apr 27 15:17:45 2009 -0600

    Minor style change to place braces on a separate line

 src/DMRaid.cc |    6 ++++--
 1 files changed, 4 insertions(+), 2 deletions(-)

commit ce4de8b51e9ffd91ba192863eff4de652a4946dc
Author: Curtis Gedak <gedakc@gmail.com>
Date:   Sun Apr 26 16:45:53 2009 -0600

    Improve dmraid device detection with checking udev if needed
    
    Some distros appear to display /dev/dm-# device names with
    libparted.  Since this fails a pattern match with the dmraid
    device name, check with udev to see if a pattern match is
    possible with the name returned from udevinfo or udevadm info.
    
    For example:
         /dev/mapper/isw_cjbdddajhi_Vol0 is the device name
         /dev/dm-0 is a symbolic link pointing to the above device name

 include/DMRaid.h |    2 ++
 src/DMRaid.cc    |   26 ++++++++++++++++++++++++++
 2 files changed, 28 insertions(+), 0 deletions(-)

commit 5112e4181581d95d02d5c041ac63f05ddb9d45af
Author: Curtis Gedak <gedakc@gmail.com>
Date:   Sun Apr 26 15:49:30 2009 -0600

    Update copyright year for FS_Info class

 include/FS_Info.h |    2 +-
 src/FS_Info.cc    |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 47f0d6bd5dc840ef060eda73d21740bf99b373e5
Author: Curtis Gedak <gedakc@gmail.com>
Date:   Fri Apr 24 17:46:05 2009 -0600

    Enhance UUID detection to fallback to vol_id if available
    
    Normally, the blkid command will detect the UUID for a file system.
    In cases where blkid fails to detect the UUID and the vol_id command
    is available, then try using the vol_id command.

 include/FS_Info.h |    1 +
 src/FS_Info.cc    |   13 +++++++++++++
 2 files changed, 14 insertions(+), 0 deletions(-)

commit 8d024d86dfc4529589fc0e25ff5896591b7c1164
Author: Curtis Gedak <gedakc@gmail.com>
Date:   Fri Apr 24 17:18:36 2009 -0600

    Improve initialization logic for FS_Info class
    
    Ensure that fs_info_cache is populated in any first instantiation in
    a program, even for an instantiation such as:
        FS_Info A(false);

 include/FS_Info.h |    3 +++
 src/FS_Info.cc    |   27 ++++++++++++++++++++++++---
 2 files changed, 27 insertions(+), 3 deletions(-)

commit a05751ea952724a6bcbf0adffd67c34ac1f08bfa
Author: Curtis Gedak <gedakc@gmail.com>
Date:   Fri Apr 24 11:12:29 2009 -0600

    Enhance to try udevadm if udevsettle is not found
    
    Newer systems might not have udevsettle.  It has been replaced by
    "udevadm settle".
    Thanks to Lorenzo Cogotti aka Micia for this knowledge, and for a
    proposed solution.

 src/GParted_Core.cc |    8 +++++---
 1 files changed, 5 insertions(+), 3 deletions(-)

commit c2cd718bb5fd24ca02a01388ca81714c530e6f8b
Author: Curtis Gedak <gedakc@gmail.com>
Date:   Thu Apr 23 11:30:03 2009 -0600

    Fix typo in gparted short description

 gparted.doap |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit f548eed2c8334ab6737664172e68243a73a8c139
Author: Curtis Gedak <gedakc@gmail.com>
Date:   Wed Apr 22 17:10:01 2009 -0600

    Append -git to version for continuing development

 configure.in |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 7c2c77126675ca96697481e8de6b1535ca97f325
Author: Curtis Gedak <gedakc@gmail.com>
Date:   Wed Apr 22 16:55:47 2009 -0600

    Minor cosmetic fix to reorder Reiser4 detection code
    
    Now the Reiser4 detection code better matches the detection code for
    other file systems.

 src/GParted_Core.cc |    3 +--
 1 files changed, 1 insertions(+), 2 deletions(-)

commit 7695593d21a51422c230001083858e738b94c5e5
Author: Curtis Gedak <gedakc@gmail.com>
Date:   Wed Apr 22 16:47:13 2009 -0600

    Improve crypt-luks detection (#578300)
    
    Move crypt-luks detection prior to libparted file system detection.
    If libparted file system detection is performed first, then encrypted
    file systems such as ext3 will be incorrectly detected by libparted as
    plain 'ext3' when in fact these file systems are encrypted.

 src/GParted_Core.cc |   38 +++++++++++++++++++++-----------------
 1 files changed, 21 insertions(+), 17 deletions(-)

commit 543139893a72d240fcde2606776e7a9f24b3381e
Author: Curtis Gedak <gedakc@gmail.com>
Date:   Wed Apr 22 15:53:07 2009 -0600

    Add entries used by eclipse projects

 .gitignore |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 759aadffd50109810341366210389ee135933f6a
Author: Baurzhan Muftakhidinov <baurthefirst@gmail.com>
Date:   Tue Apr 21 16:44:43 2009 +0200

    Added Kazakh translation

 po/LINGUAS |    1 +
 po/kk.po   | 1354 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 1355 insertions(+), 0 deletions(-)

commit 25423960fcb07d779b6b25e3f75d0375c6bf217d
Author: Curtis Gedak <gedakc@gmail.com>
Date:   Mon Apr 20 16:36:20 2009 -0600

    Minor update to one line intro for gparted

 doc/gparted.8 |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit a76f8bad84164522ddf1b4fba06e2886cff85414
Author: Curtis Gedak <gedakc@gmail.com>
Date:   Mon Apr 20 15:45:33 2009 -0600

    Add gparted.doap to provide short description for git web interface

 gparted.doap |   25 +++++++++++++++++++++++++
 1 files changed, 25 insertions(+), 0 deletions(-)

commit 428c1cb18f1f5a7059aff68f6ded121323007b4e
Author: Mario Blättermann <mariobl@gnome.org>
Date:   Mon Apr 20 21:48:11 2009 +0200

    Updated German translation

 help/ChangeLog |    4 +
 help/de/de.po  |  183 ++++++++++++++++++++++++++++++++++++++++++++++++++-----
 2 files changed, 170 insertions(+), 17 deletions(-)

commit 3fdf17b68ee1766d72bf5f34f4c555d6cf3bc3dc
Author: Curtis Gedak <gedakc@gmail.com>
Date:   Sun Apr 19 15:44:31 2009 -0600

    Update HACKING notes with git specific comments

 HACKING |   17 +++++++++--------
 1 files changed, 9 insertions(+), 8 deletions(-)

commit 94d92cf7fd341278ef7507ca33e7a23c6d6257cf
Author: Curtis Gedak <gedakc@gmail.com>
Date:   Sun Apr 19 15:19:15 2009 -0600

    Add note that ChangeLogs are no longer used
    
    Enhance Makefile.am to add 'git log' entries to the ChangeLog
    after the release of gparted-0.4.4.  This is performed by a dist-hook
    target only on release.  E.g., make dist

 ChangeLog      |   13 +++++++++++++
 Makefile.am    |   16 ++++++++++++++++
 help/ChangeLog |   10 ++++++++++
 po/ChangeLog   |   10 ++++++++++
 4 files changed, 49 insertions(+), 0 deletions(-)

commit 8c7527c85a7e7d152d30a4b1fff662d2c60f928c
Author: Curtis Gedak <gedakc@gmail.com>
Date:   Sat Apr 18 15:11:27 2009 -0600

    Create list of file patterns for git to ignore

 .gitignore |   34 ++++++++++++++++++++++++++++++++++
 1 files changed, 34 insertions(+), 0 deletions(-)

commit e078f7ed975a3c3eaad62bad6a05fc126eb42a22
Author: Curtis Gedak <gedakc@gmail.com>
Date:   Sat Apr 18 14:47:32 2009 -0600

    Ensure that m4 directory exists

 autogen.sh |    5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)

commit 45c3f43e68090f34c470638360df1c1f2254714f
Author: Jorge Gonzalez Gonzalez <jorgegonz@src.gnome.org>
Date:   Sun Apr 12 15:15:44 2009 +0000

    Updated Spanish translation
    
    svn path=/trunk/; revision=1123

 po/ChangeLog |    4 ++++
 po/es.po     |   10 ++++------
 2 files changed, 8 insertions(+), 6 deletions(-)
2009-04-17  Curtis Gedak  <gedakc@gmail.com>

        * *: This ChangeLog is no longer used.

	     ChangeLog entries after 2009-04-17 are auto-generated when
	     releasing.
	
	     On April 17, 2009, the source code repository was converted
	     from svn to git.  ChangeLogs are seldom used with git.
	
	     For a detailed list of changes in the entire project,
	     use 'git log' from the top level source directory.

2009-04-02  Curtis Gedak  <gedakc@gmail.com>

	* configure.in: gparted-0.4.4
	  ===================================================

2009-03-27  Curtis Gedak  <gedakc@gmail.com>

	* src/DMRaid.cc: Updated translation and code comments.
	  - Closes GParted bug #576956

2009-03-26  Curtis Gedak  <gedakc@gmail.com>

	* README: Updated requirements for dmraid support.

2009-03-23  Curtis Gedak  <gedakc@gmail.com>

	* src/linux_swap.cc: Maintained label and uuid when resizing swap.
	  - Closes GParted bug #575585

	* src/DMRaid.cc: Fixed error when resizing an extended partition.

2009-03-16  Curtis Gedak  <gedakc@gmail.com>

	* include/DMRaid.h: Enhanced dmraid partition deletion.
	  - Handle partition names with or without a 'p' between the
	    device name and the partition number.

	* include/GParted_Core.h,
	  src/GParted_Core.cc: Improved swap and dmraid mountpoint detection.

2009-03-14  Curtis Gedak  <gedakc@gmail.com>

	* src/GParted_Core.cc: Added initial support for dmraid devices.
	  - Closes GParted bug #317262

	* include/DMRaid.h,
	  include/Makefile.am,
	  src/DMRaid.cc,
	  src/Makefile.am: Added new class for dmraid support.

	* README: Added note about requirements for dmraid support.
	  - added note that xxd command also needed for NTFS support.

2009-03-13  Curtis Gedak  <gedakc@gmail.com>

	* include/Utils.h,
	  src/Utils.cc: Removed file_exists() method.
	  - Glib::file_test() already exists and is available for use.

2009-03-12  Curtis Gedak  <gedakc@gmail.com>

	* include/Utils.h,
	  src/Utils.cc: Added tokenize() and file_exists() methods.

2009-02-27  Curtis Gedak  <gedakc@gmail.com>

	* src/GParted_Core.cc: Enabled type checking (const instead of #define)

2009-02-25  Curtis Gedak  <gedakc@gmail.com>

	* src/GParted_Core.cc: Added recognition of /dev/mmcblk* SD/MMC devices.
	  - Closes GParted bug #564985

2009-02-23  Curtis Gedak  <gedakc@gmail.com>

	* include/Utils.h,
	  src/Dialog_Partition_New.cc,
	  src/DialogFeatures.cc,
	  src/GParted_Core.cc,
	  src/Utils.cc,
	  src/Win_GParted.cc: Added detection of btrfs file system.
	  - Thanks to Luca Bruno for the original btrfs patch that I adapted.
	  - Related to GParted bug #571170

2009-02-20  Curtis Gedak  <gedakc@gmail.com>

	* src/Win_GParted.cc: Fixed compiler warning regarding parentheses.

2009-02-18  Curtis Gedak  <gedakc@gmail.com>

	* include/Utils.h,
	  src/Dialog_Partition_New.cc,
	  src/DialogFeatures.cc,
	  src/GParted_Core.cc,
	  src/Utils.cc,
	  src/Win_GParted.cc: Added detection of LUKS encrypted partitions.
	  - Closes GParted bug #490740

2009-02-16  Curtis Gedak  <gedakc@gmail.com>

	* src/Dialog_Base_Partition.cc,
	  src/GParted_Core.cc: Enhanced move/resize functionality.
	  - Only move start sector if dialog space before value is changed.
	  - Closes GParted bug #571151

	* include/Partition.h,
	  src/Partition.cc: Added strict_start indicator.

2009-02-13  Curtis Gedak  <gedakc@gmail.com>

	* configure.in: Append -svn to version for continuing development

2009-02-12  Curtis Gedak  <gedakc@gmail.com>

	* configure.in: gparted-0.4.3
	  ===================================================

2009-02-11  Curtis Gedak  <gedakc@gmail.com>

	* gparted.in: Fixed typo of "freedeskdesktop" in hal-lock name.
	  - Thanks to Alain Kalker for discovering this mistake.
	  - Thanks to Jonas Pedersen for reporting this mistake upstream.
	  - Closes GParted bug #571347

2009-02-09  Curtis Gedak  <gedakc@gmail.com>

	* src/Win_GParted.cc: Fixed crash on startup with Russian language.
	  - Thanks to Dmitriy Motitskiy for small patch.
	  - Closes GParted bug #570855

	* README: Added note blkid is used for ext4 detection.

2009-02-06  Curtis Gedak  <gedakc@gmail.com>

	* configure.in: Append -svn to version for continuing development

2009-02-05  Curtis Gedak  <gedakc@gmail.com>

	* configure.in: gparted-0.4.2
	  ===================================================

2009-01-28  Curtis Gedak  <gedakc@gmail.com>

	* src/GParted_Core.cc: Fixed partition type for linux-swap(new).
	  - Related to GParted bug #419515

2009-01-24  Curtis Gedak  <gedakc@gmail.com>

	* gparted.desktop.in.in: Added additional Filesystem category.
	  - Closes GParted bug #568937

	* src/Dialog_Partition_Copy.cc,
	  src/Win_GParted.cc: Enhanced copy/paste checks when MBR/EBR involved.
	  - Related to GParted bug #567402

2009-01-20  Curtis Gedak  <gedakc@gmail.com>

	* doc/gparted.8: Updated manual page.

2009-01-19  Curtis Gedak  <gedakc@gmail.com>

	* src/Win_GParted.cc: Reworded message when applying operations.
	  - Closes GParted bug #564952

2009-01-13  Curtis Gedak  <gedakc@gmail.com>

	* src/Win_GParted.cc: Removed space between menu entry and periods.

2009-01-07  Curtis Gedak  <gedakc@gmail.com>

	* src/ntfs.cc: Removed redundant command flag options.

2009-01-06  Curtis Gedak  <gedakc@gmail.com>

	* src/GParted_Core.cc: Actually commit this file, and
	                       remove src/Partition.o.

	* src/Win_GParted.cc: Redo update copyright year range, again.
	  - Updated copyright year in Help -> About.

	* src/GParted_Core.cc: Added two FS types to recognition as linux-swap.
	  - The GIT version of libparted returns types of linux-swap(new)
	    and linux-swap(old), previously only linux-swap was returned.
	  - Closes GParted bug #419515

	* src/Win_GParted.cc: Redo update copyright year range.
	  - In a recent upgrade to eclipse 3.4.0, I did not realize that
	    the default save option was to remove trailing whitespace, and
	    ensure newline at end of file.  This resulted in way too many
	    differences showing up in the file.

2009-01-03  Curtis Gedak  <gedakc@gmail.com>

	* src/Win_GParted.cc: Update copyright year range.

2009-01-02  Curtis Gedak  <gedakc@gmail.com>

	* configure.in: Improved text for libparted not found error message.
	  - Closes GParted bug #565682

2008-12-31  Curtis Gedak  <gedakc@gmail.com>

	* src/Utils.cc: Added e2fsprogs version required for ext4 support.

2008-12-21  Curtis Gedak  <gedakc@gmail.com>

	* src/Utils.cc: Fixed application crash.
	  - GParted would crash when saving details if locale was not set.

2008-12-20  Curtis Gedak  <gedakc@gmail.com>

	* src/ext4.cc: Add flags to create journal and use extent option.

2008-12-18  Curtis Gedak  <gedakc@gmail.com>

	* include/Utils.h,
	  src/GParted_Core.cc,
	  src/Utils.cc: Added support for ext4 file systems.
	  - Closes GParted bug #503112

	* include/ext4.h,
	  include/Makefile.am,
	  src/ext4.cc,
	  src/Makefile.am: Created 2 files to support ext4 operations.
	  - Support for ext4 is planned for version 2.6.28 of the Linux kernel.
	  - e2fsprogs version 1.41.0 or higher is required.

	* include/FS_Info.h,
	  src/FS_Info.cc: Added get_fs_type() method

2008-12-08  Curtis Gedak  <gedakc@gmail.com>

	* include/FS_Info.h,
	  src/FS_Info.cc
	  src/GParted_Core.cc: Reduced FS_Info cache disk reads.

2008-12-07  Curtis Gedak  <gedakc@gmail.com>

	* include/Utils.h,
	  src/Dialog_Partition_New.cc,
	  src.DialogFeatures.cc,
	  src/GParted_Core.cc,
	  src/Utils.cc,
	  src/Win_GParted.cc: Added lvm2 physical volume detection.

2008-12-03  Curtis Gedak  <gedakc@gmail.com>

	* src/Dialog_Partition_Info.cc,
	  src/Win_GParted.cc: Made text by field labels selectable.
	  - Useful for copy/paste of UUID or volume label

	* include/Utils.h,
	  src/Utils.cc: Added text selectable parameter to mk_label()

2008-12-02  Curtis Gedak  <gedakc@gmail.com>

	* configure.in: Append -svn to version for continuing development

2008-11-29  Curtis Gedak  <gedakc@gmail.com>

	* configure.in: gparted-0.4.1
	  ===================================================

	* src/GParted.cc: Removed code to recognize /dev/mapper/* devices.
	  - Too many /dev/mapper/* devices listed (including LVM partitions)
	  - Roll back patch applied on 2008-10-15
	  - Reopens GParted bug #556114

	* include/FS_Info.h,
	  src/FS_Info.cc: Moved common code into new get_device_entry() method.

	* configure.in: Append -svn to version for continuing development

2008-11-28  Curtis Gedak  <gedakc@gmail.com>

	* configure.in: gparted-0.4.0
	  ===================================================

2008-11-20  Curtis Gedak  <gedakc@gmail.com>

	* gparted.desktop.in.in: Added %f to Exec line.
	  - Enables device passing with gnome-desktop-item-launch
	  - Closes GParted bug #561495

2008-11-19  Curtis Gedak  <gedakc@gmail.com>

	* src/Win_GParted.cc: Fixed dangerous copy and paste problem.
	  - Prevent a copied partition from being pasted into an existing
	    partition.

	* src/Win_GParted.cc: Added language length conditional Undo display.
	  - If translated language is relatively long, then
	      split the "Resize/Move" toolbar button text into two lines, and
	      do not display the "Undo" button.
	  - Permits all languages to see a full toolbar at default window size.
	  - Closes GParted bug #561068

2008-11-18  Curtis Gedak  <gedakc@gmail.com>

	* include/Partition.h,
	  include/Utils.h,
	  src/Dialog_Partition_Info.cc,
	  src/Dialog_Partition_New.cc,
	  src/Dialog_Partition_Resize_Move.cc,
	  src/ext2.cc,
	  src/ext3.cc,
	  src/fat16.cc,
	  src/fat32.cc,
	  src/GParted_Core.cc,
	  src/jfs.cc,
	  src/linux_swap.cc,
	  src/ntfs.cc,
	  src/OperationCheck.cc,
	  src/reiserfs.cc,
	  src/TreeView_Detail.cc,
	  src/Win_GParted.cc,
	  src/xfs.cc: Fixed incorrect spelling of filesystem and mountpoint.

	* src/DialogFeatures.cc: Added translator comment.
	  - Renamed button to improve clarity of meaning.
	  - Closes GParted bug #561350

2008-11-14  Curtis Gedak  <gedakc@gmail.com>

	* include/DialogFeatures.h,
	  src/DialogFeatures.cc: Improved dialog readability.
	  - Changed title Features to File System Support.
	  - Renamed button Refresh to Rescan Support.
	  - Created expander for legend and added narrative.
	  - Removed columns detect and read.
	  - Added column for Required Software.
	  - Closes GParted bugs #342682, and #353104

	* include/Utils.h, 
	  src/Utils.cc: Created method get_filesystem_software().

	* src/Win_GParted.cc: Moved menu entry
	- "Gparted->Show Features" moved to "View->File System Support".

2008-11-13  Curtis Gedak  <gedakc@gmail.com>

	* include/FS_Info.h,
	  src/FS_Info.cc,
	  src/GParted_Core.cc,
	  README: Improved read label performance with blkid cached results.
	  - When possible use blkid cached results to determine volume label.

2008-11-12  Curtis Gedak  <gedakc@gmail.com>

	* README: Updated directories and dependencies.

2008-11-11  Curtis Gedak  <gedakc@gmail.com>

	* src/Dialog_Partition_Info.cc,
	  src/GParted_Core.cc:  Added read and display UUID.

	* include/Partition.h,
	  src/Partition.h: Added UUID.

	* include/FS_Info.h,
	  include/Makefile.am,
	  src/FS_Info.cc,
	  src/Makefile.am:  Created class to read file system UUIDs.

2008-11-10  Curtis Gedak  <gedakc@gmail.com>

	* src/fat16.cc,
	  src/fat32.cc:  Enforced fat compliant label before writing.
	  - Trimmed trailing spaces from label upon reading.

	* include/Utils.h,
	  src/Utils.cc:  Created new method fat_compliant_label().
	  - Limit volume label to 11 characters.

2008-11-08  Curtis Gedak  <gedakc@gmail.com>

	* include/ext2.h,
	  include/ext3.h,
	  include/fat16.h,
	  include/fat32.h,
	  include/hfs.h,
	  include/hfsplus.h,
	  include/jfs.h,
	  include/linux_swap.h,
	  include/ntfs.h,
	  include/reiser4.h,
	  include/reiserfs.h,
	  include/xfs.h,
	  include/ufs.h: Renamed set_label and get_label methods.

	* src/ext2.cc,
	  src/ext3.cc,
	  src/fat16.cc,
	  src/fat32.cc,
	  src/hfs.cc,
	  src/hfsplus.cc,
	  src/jfs.cc,
	  src/linux_swap.cc,
	  src/ntfs.cc,
	  src/reiser4.cc,
	  src/reiserfs.cc,
	  src/ufs.cc,
	  src/xfs.cc: Renamed set_label and get_label methods.
	
	* include/FileSystem.h,
	  include/GParted_Core.h,
	  include/Utils.h: Renamed set_label and get_label methods.
	
	* src/DialogFeatures.cc
	  src/FileSystem.cc,
	  src/GParted_Core.cc: Renamed set_label and get_label methods.
	  - Renamed set_label to write_label, renamed get_label to read_label.
	  - Preference is to reserve set/get for object attribute handling.

2008-11-05  Curtis Gedak  <gedakc@gmail.com>

	* src/Dialog_Partition_Copy.cc: Fixed copy and paste partition problem.
	  - Resolved destination partition too small on copy and paste.
	  - Added exclusion for primary partitions at the start of the disk.
	  - Closes GParted bug #556058

2008-11-04  Curtis Gedak  <gedakc@gmail.com>

	* src/Dialog_Progress.cc,
	  src/GParted_Core.cc,
	  src/Win_GParted.cc: Fixed some spelling mistakes

	* src/Win_GParted.cc: Added label update for paste to existing partition

2008-10-31  Curtis Gedak  <gedakc@gmail.com>

	* src/reiser4.cc,
	  README: Changed get_label() to use vol_id instead of debugfs.reiser4

	* src/GParted_Core.cc: Changed thread status messages to be unique

2008-10-30  Curtis Gedak  <gedakc@gmail.com>

	* src/GParted_Core.cc: Added translator comments
	  - Removed ellipses from status messages in set_devices()

	* src/Win_GParted.cc: Added thread status message update to pulsebar

	* include/GParted_Core.h,
	  src/GParted_Core.cc: Added set and get thread status message methods
	  - Added thread status message updates in set_devices()

2008-10-28  Curtis Gedak  <gedakc@gmail.com>

	* src/GParted_Core.cc: Remove std:: prefix from llabs()
	  - Fixes problem where gparted failed to build in debian on arm,
	    armel, mips, and mipsel (debian bug#499722)
	  - Thanks to Thiemo Seufer for small patch

	* src/reiser4.cc: Removed warning reading mounted reiser4 volume label
	  - Closes GParted bug #380546

2008-10-24  Curtis Gedak  <gedakc@gmail.com>

	* src/Utils.cc: Increased robustness of get_lang() function
	  - Assists with GParted bug #556965

2008-10-17  Curtis Gedak  <gedakc@gmail.com>

	* src/Dialog_Progress.cc: Converted more words for translation

2008-10-16  Curtis Gedak  <gedakc@gmail.com>

	* src/Dialog_Progress.cc: Added call to get_lang() for lang tags

	* include/Utils.h,
	  src/Utils.cc: Created function get_lang()

	* src/main.cc: Update copyright years

2008-10-15  Curtis Gedak  <gedakc@gmail.com>

	* src/GParted_Core.cc: Enhanced to recognize /dev/mapper/* devices
	  - The move away from libparted device recognition broke
	    recognition of /dev/mapper/* devices.  Problem now fixed.
	  - Thanks to Colin Watson for the patch.
	  - Closes GParted bug #556114

2008-10-14  Curtis Gedak  <gedakc@gmail.com>

	* src/Dialog_Progress.cc: Enhanced detail log to pass as XHTML
	  - gparted_details.htm now passes as XHTML 1.0 Transitional
	    in the validator found at http://validator.w3.org/
	  - Thanks to Markus Elfring for the small patch.
	  - Closes GParted bug #525347

2008-10-08  Curtis Gedak  <gedakc@gmail.com>

	* autogen.sh,
	  HACKING: Changed text CVS to SVN.
	  - Thanks to Martin Capitanio

	* README: Added a dependency.
	  - Thanks to Martin Capitanio

2008-10-06  Curtis Gedak  <gedakc@gmail.com>

	* Makefile.am: Removed m4 from EXTRA_DIST
	  - 'make distcheck' fails if m4 directory is in EXTRA_DIST

2008-09-26  Curtis Gedak  <gedakc@gmail.com>

	* autogen.sh: Added check for gnome-doc-utils.make

2008-09-25  Curtis Gedak  <gedakc@gmail.com>

	* src/GParted_Core.cc,
	  src/linux_swap.cc,
	  src/OperationResizeMove.cc,
	  src/xfs.cc: Add translator comments and fix spelling mistake.

2008-09-24  Curtis Gedak  <gedakc@gmail.com>

	* src/Dialog_Progress.cc: Added proper HTML start and finish.
	  - gparted_details.htm now passes as HTML 4.0 Transitional
	    in the validator found at http://validator.w3.org/
	  - Closes GParted bug #525347

2008-09-22  Curtis Gedak  <gedakc@gmail.com>

	* configure.in,
	  src/Win_GParted.cc,
	  src/Makefile.am,
	  makefile.am: Enabled GParted to use themed app icon (Tango theme).
	  - Thanks to Sebastian Kraft for designing the icons.
	  - Thanks to Michael Monreal for the small patch to make use of themed
	    app icon from hicolor.
	  - Closes GParted bug #350894

	* data/Makefile.am,
	  data/icons/Makefile.am,
	  data/icons/hicolor_apps_16x16_gparted.png,  
 	  data/icons/hicolor_apps_22x22_gparted.png,
	  data/icons/hicolor_apps_24x24_gparted.png,
	  data/icons/hicolor_apps_32x32_gparted.png,
	  data/icons/hicolor_apps_48x48_gparted.png,
	  data/icons/hicolor_apps_scalable_gparted.svg,
	  data/icons/svg/gparted.svg: Created files.
	  - Icons by Sebastian Kraft
	  - Small patch by Michael Monreal.

	* data,
	  data/icons,
	  data/icons/svg:  Created directories.
	  - Small patch by Michael Monreal.

	* pixmaps,
	  pixmaps/Makefile.am,
	  pixmaps/gparted.png: Removed directory and files.
	  - This directory and its contents are no longer required - see above notes.

2008-09-15  Curtis Gedak  <gedakc@gmail.com>

	* configure.in,
	  Makefile.am: Added --disable-doc flag to prevent building help docs

	* README: Added note about --disable-doc flag

2008-09-13  Curtis Gedak  <gedakc@gmail.com>

	* configure.in: Append -svn to version for continuing development

2008-09-12  Curtis Gedak  <gedakc@gmail.com>

	* configure.in: gparted-0.3.9
	  ===================================================

	* src/GParted_Core.cc: Added pattern recognition for HP RAID drives
	  - E.g., device = /dev/cciss/c0d0, partition = /dev/cciss/c0d0p1

2008-09-04  Curtis Gedak  <gedakc@gmail.com>

	* include/Utils.h,
	  src/Utils.cc: Fixed display problem with percent complete messages.
	  - Some commands use cursor repositioning to display progress.
	    This cursoring does not display well within the tracking of
	    gparted details.  A newly added function will cleanup the output.
	  - Closes GParted bug #532574

2008-09-01  Curtis Gedak  <gedakc@gmail.com>

	* COPYING-DOCS: Added new file containing GFDL 1.2 license
	  - Closes GParted bug #550047

2008-08-06  Curtis Gedak  <gedakc@gmail.com>

	* src/GParted_Core.cc: Enhanced optimal block size copy algorithm.
	  - Changed algorithm to try all block size possibilities instead of
	    stopping as soon as next larger block size took longer to copy than
	    the prior block size.  Due to anomalies in benchmark times, the
	    previous algorithm would favour smaller block sizes.
	  - Closes GParted bug #546423

	* README: Updated with new directories for GParted Manual

2008-08-05  Curtis Gedak  <gedakc@gmail.com>

	* src/Win_GParted.h: Created show_help_dialog function to display help

	* src/Win_GParted.cc: Created show_help_dialog function to display help
	  - Replaced help dialog box with call to show_help_dialog function.
	    Initial concept for the show_help_dialog function comes from the
	    file-roller project.  The advantage to this code is that it does
	    not create a dependency on libgnomeui.
	  - Changed menu Help->Help CTRL+H to help->Contents F1

	* src/Makefile.am: Added GPARTED_DATADIR define to INCLUDES

	* autogen.sh: Added USE_COMMON_DOC_BUILD
	
	* configure.in: Added help and m4 directories, and GNOME_DOC_INIT
	
	* Makefile.am: Added help and m4 directories, and gnome-doc-utils

	* help: Created directory for future GParted Manual

	* m4: Created directory as advised for gnome-doc-util
	  - *********************************
	    Prepare for future GParted Manual
	    *********************************
	  - See "Migrating to GNOME Documentation Build Utilities"
	  http://library.gnome.org/devel/gnome-doc-make/0.12/migrating.html.en

2008-07-27  Curtis Gedak  <gedakc@gmail.com>

	* gparted.in: Added additional check for hald daemon if hal-lock exists
	  - Closes GParted bug #543730

2008-07-26  Curtis Gedak  <gedakc@gmail.com>

	* configure.in: Removed full path from gksu
	  - gksu is only used in desktop file if it is found in path

2008-07-25  Curtis Gedak  <gedakc@gmail.com>

	* src/hfs.cc: Rewrote get_label to use vol_id for hfs file system
	  - Reason:  not all hfsutils packages include hfsck (e.g. Ubuntu 7.10)

	* src/hfsplus.cc: Enhanced support for hfsplus file system
	  - Added create, get_label, and check_repair functionality
	  - Additional feature support is provided by the hfsprogs package

2008-07-23  Curtis Gedak  <gedakc@gmail.com>

	* gparted.desktop.in.in,
	  Makefile.am,
	  configure.in: Added check for gksu for gparted menu invocation.
	  - Permits GNU/Linux distributions with gksu to prompt for root
	    password when invoked from the menu, while not hampering
	    distributions without gksu.
	  - Partially addresses bug 318557 for some GNU/Linux distributions

	* configure.in: Append -svn to version for continuing development

2008-07-10  Curtis Gedak  <gedakc@gmail.com>

	* configure.in: gparted-0.3.8
	  ===================================================

2008-06-18  Curtis Gedak  <gedakc@gmail.com>

	* src/OperationResizeMove.cc: Fixed incorrectly recognized move/resizes
	  - Re-wrote logic to determine proper partition move / resize operation
	  - Closes GParted bug #438570

2008-06-15  Curtis Gedak  <gedakc@gmail.com>

	* src/GParted_Core.cc: Enhanced snap-to-cylinder math
	  - Improved math for rounding starting sector to cylinder
	    boundaries for logical partitions, and the first primary
	    partition for MBR and GPT partition tables.
	  - Closes GParted bugs #432525, and #525137

	* include/Dialog_Base_Partition.h,
	  src/Dialog_Base_Partition.cc,
	  include/Dialog_Partition_New.h,
	  src/Dialog_Partition_New.cc: Migrated checkbutton.
	  - Moved "Round to cylinders" checkbutton from partition new
	    dialog to partition base dialog so that it may be used
	    by all inheritors (e.g., New, Copy, and Resize/Move).

2008-06-12  Curtis Gedak  <gedakc@gmail.com>

	* src/GParted_Core.cc: Changed 3 grammatical errors to dashes.
	  - Closes GParted bug #533637

2008-06-10  Curtis Gedak  <gedakc@gmail.com>

	* src/main.cc: Changed wording of root privilege required warning.
	  - Closes GParted bug #534072

	* src/Dialog_Progress.cc: Added proper PO file plural handling.
	  - fixed a few spelling errors.

	* src/Win_GParted.cc: Added proper PO file plural handling.
	  - Closes GParted bug #315291

2008-05-10  Curtis Gedak  <gedakc@gmail.com>

	* README: Removed absolute requirement for hal-lock.

	* gparted.in: Enhanced script to use hal-lock only if it exists
	  - This removes the absolute requirement for hal-lock and
	    enables systems without HAL to use GParted.

	* configure.in: Removed check for hal-lock program (added 2008-05-08)

2008-05-08  Curtis Gedak  <gedakc@gmail.com>

	* README: Added note about hal-lock and HAL requirement

	* configure.in: Added check for hal-lock program

	* src/GParted_Core.cc: Added parse devices from /proc/partitions
	  - If /proc/partitions doesn't exist then use ped_device_probe_all
	  - Closes GParted bugs #351753, and #453555

2008-05-06  Curtis Gedak  <gedakc@gmail.com>

	* gparted.in: Fixed problem with command line devices being ignored
	  - This problem was introduced in version 0.3.7

	* configure.in: Append -svn to version for continuing development

2008-04-29  Curtis Gedak  <gedakc@gmail.com>

	* configure.in: gparted-0.3.7
	  ===================================================

2008-04-26  Curtis Gedak  <gedakc@gmail.com>

	* gparted.desktop.in.in: Removed gksu from exec line
	  - gksu is not supported in all major GNU/Linux distributions
	    (Fedora for one).
	  - Closes GParted bug #529622
	  - Reopens GParted bug #381557

	* README: Enhanced INSTALL information
	  - Closes GParted bug #529625

2008-04-25  Curtis Gedak  <gedakc@gmail.com>

	* README: Updated to better align with GNU coding standards

2008-04-23  Curtis Gedak  <gedakc@gmail.com>

	* README: Updated installation notes and distribution notes

2008-04-21  Curtis Gedak  <gedakc@gmail.com>

	* src/Dialog_Base_Partition.cc,
	  src/Dialog_Partition_New.cc: Fixed 1 TB partition limit bug
	  - Fixed problem with spinbutton math that limited partition size
	    to a maximum just less than 1 TB.
	    New limit is just less than 1024 TB.
	  - Closes GParted bug #524948

	* Makefile.am: Enhanced for new calling script gparted
	  - Added gparted script installation in sbin
	  - Added installdir parsing for gparted and gparted.desktop

	* gparted.desktop.in: Renamed gparted.desktop.in
	                           to gparted.desktop.in.in
	  - This is to permit installdir parsing in gparted.desktop

	* gparted.in: Added new calling script gparted
	  - This is to permit using hal-lock to acquire device
	    locks to prevent automounting prior to executing gpartedbin.
	  - Closes GParted bug #324220
	  - Thanks to Deji Akingunola for the hal-lock invocation idea

	* src/GParted_Core.cc: Removed gparted-disable-automount.fdi handling
	  - Removed signal handler patch from 2008-01-28
	  - Removed initial work on disabling automount from 2006-08-09
	  - /usr/share/hal/fdi/policy/gparted-disable-automount.fdi is
	    no longer created.
	  - This is to permit preferred alternative of using hal-lock.

	* src/Makefile.am: Renamed gparted binary to gpartedbin
	  - This is to permit a calling script to be named gparted.

2008-04-20  Curtis Gedak  <gedakc@gmail.com>

	* src/Dialog_Disklabel.cc: Improved ability to translate text
	  - Closes GParted bug #529063

2008-04-18  Curtis Gedak  <gedakc@gmail.com>

	* src/Dialog_Disklabel.cc,
	  src/Win_GParted.cc: Changed device menu item and description
	  - Menu text changed from "set disklabel..."
	    to "Create Partition Table..."
	  - Significant change in the wording to increase awareness that
	    setting a disk label (creating a partition table) will
	    ERASE ALL DATA on the disk.
	  - Removed double confirmation of partition table creation
	  - Closes GParted bug #422070 

2008-04-14  Curtis Gedak  <gedakc@gmail.com>

	* Makefile.am,
	  configure.in,
	  doc/,
	  doc/Makefile.am,
	  doc/gparted.8: Added manual page documentation
	  - Command line response for GParted bug #329584

2008-04-09  Curtis Gedak  <gedakc@gmail.com>

	* gparted.desktop.in: Updated to align with standards
	  - Adjusted entries to align with desktop entry specification
	    - Closes GParted bug #518975
	  - Added gksu to Exec line in front of gparted
	    - Closes GParted bug #381557
	  - Updated to align with Human Interface Guidelines
	    - Closes GParted bug #440012

	* src/Makefile.am: Moved gparted install to sbin instead of bin
	  - Closes GParted bug #509495

	* MAINTAINERS: Added ldetrogoff

2008-04-08  Curtis Gedak  <gedakc@gmail.com>

	* src/Dialog_Partition_Label.cc: Increase dialog box size

	* src/linux_swap.cc: Enhanced to work with different versions of vol_id

2008-04-07  Marcel Telka  <marcel@telka.sk>

	* MAINTAINERS: New file (bug #524276).

2008-04-03  Curtis Gedak  <gedakc@gmail.com>

	* configure.in,
	  autogen.sh,
	  po/LINGUAS: Enhanced to use po/LINGUAS for LINGUAS
	  - Closes GParted bug #467459
	  - Thanks to Christian Persch for this patch

2008-04-01  Curtis Gedak  <gedakc@gmail.com>

	* Makefile.am: Removed distclean target enhancements from 2008-02-05
	  - use "make dist" to create a distribution archive file

2008-03-31  Curtis Gedak  <gedakc@gmail.com>

	* src/Utils.cc: Ensure hour portion of time is always displayed
	  - Closes GParted bug #438590

	* src/TreeView_Detail.cc: Removed text_color hard coding
	  - Removed hard coding of Partition and Filesystem text_color
	    which was based on if partition was TYPE_UNALLOCATED.
	  - Removed hard coding of Mount text_color which was based
	    on if partition was busy.  Lock symbol provides this indicator.
	  - Closes GParted bug #413810

	* src/reiser4.cc,
	  src/reiserfs.cc: Tighten get_label regular expression

2008-03-26  Curtis Gedak  <gedakc@gmail.com>

	* configure.in: gparted-0.3.6
	  ===================================================

2008-03-25  Curtis Gedak  <gedakc@gmail.com>

	* configure.in: Added 'sk' to ALL_LINGUAS.
	  Also added 'ko' and 'si' to ALL_LINGUAS.
	
2008-03-21  Curtis Gedak  <gedakc@gmail.com>

	* include/OperationLabelPartition.h,
	  src/OperationLabelPartition.cc: Updated to display label change
	  - Label change now shown prior to apply button being pressed

	* src/Win_GParted.cc:  Added partition duplication for use with UNDO

	* src/Dialog_Partition_Label.cc: Changed label ADD button to OK
	  - Added trim function to get_new_label()

2008-03-19  Curtis Gedak  <gedakc@gmail.com>

	* src/linux_swap.cc: Fill in get_label() functionality using vol_id

	* src/reiser4.cc: Enhanced get_label()
	  - Read partition label up to the first exclamation mark.
	    The exclamation mark is displayed by debugfs.reiser4 when
	    the label is the maximum length of 16 characters.

	* src/ext2.cc,
	  src/ext3.cc,
	  src/fat16.cc,
	  src/fat32.cc,
	  src/hfs.cc,
	  src/jfs.cc,
	  src/linux_swap.cc,
	  src/ntfs.cc,
	  src/reiser4.cc,
	  src/reiserfs.cc,
	  src/xfs.cc: Added partition labelling on filesystem creation

2008-03-18  Curtis Gedak  <gedakc@gmail.com>

	* include/Dialog_Partition_New.h,
	  src/Dialog_Partition_New.cc: Added partition label entry text box

	* src/jfs.cc,
	  src/ntfs.cc,
	  src/reiserfs.cc,
	  src/xfs.cc: Filled in set_label() functionality

2008-03-12  Curtis Gedak  <gedakc@gmail.com>

	* src/fat16.cc,
	  src/fat32.cc: Filled in set_label() functionality

	* src/Win_GParted.cc: trim partition label after input accepted

	* include/Utils.h,
	  src/Utils.cc: Added trim() function
	  - removes leading and trailing whitespace from a string

2008-03-06  Curtis Gedak  <gedakc@gmail.com>

	* include/DialogFeatures.h,
	  src/DialogFeatures.cc: Changed Read_Label to Label

2008-03-05  Curtis Gedak  <gedakc@gmail.com>

	* include/ext2.h,
	  include/ext3.h,
	  include/fat16.h,
	  include/fat32.h,
	  include/hfs.h,
	  include/hfsplus.h,
	  include/jfs.h,
	  include/linux_swap.h,
	  include/ntfs.h,
	  include/reiser4.h,
	  include/reiserfs.h,
	  include/ufs.h
	  include/xfs.h,
	  include/filesystem.h,
	  include/utils.h,
	  src/ext2.cc,
	  src/ext3.cc,
	  src/fat16.cc,
	  src/fat32.cc,
	  src/hfs.cc,
	  src/hfsplus.cc,
	  src/jfs.cc,
	  src/linux_swap.cc,
	  src/ntfs.cc,
	  src/reiser4.cc,
	  src/reiserfs.cc,
	  src/ufs.cc
	  src/xfs.cc: Added set_label() function stub
	  - Filled in set_label for ext2 and ext3
	
	* include/Makefile.am,
	  include/GParted_Core.h,
	  include/Operation.h,
	  include/OperationLabelPartition.h,
	  src/Makefile.am,
	  src/GParted_Core.cc,
	  src/OperationLabelPartition.cc: Created operation label partition

2008-03-04  Curtis Gedak  <gedakc@gmail.com>

	* include/Makefile.am,
	  include/Win_GParted.h,
	  include/Dialog_Partition_Label.h,
	  src/Makefile.am,
	  src/Win_GParted.cc,
	  src/Dialog_Partition_Label.cc: Created partition label menu and dialog

	* src/xfs.cc: Enhanced to read xfs labels while filesystem is mounted
	  - Thanks to Gerald Neil for the tip about adding the -r flag.

2008-02-19  Curtis Gedak  <gedakc@gmail.com>

	* src/Dialog_Progress.cc: Fixed two English spelling mistakes 

	* src/Dialog_Partition_Info.cc: Moved display of label closer to path

	* src/fat16.cc,
	  src/fat32.cc: Changed to use new MTools temporary file functions

	* include/Utils.h,
	  src/Utils.cc: Added create_mtoolsrc_file() and
	    delete_mtoolsrc_file() to handle MTools temporary file

2008-02-16  Curtis Gedak  <gedakc@gmail.com>

	* src/Dialog_Partition_Info.cc: Added display of partition label

2008-02-14  Curtis Gedak  <gedakc@gmail.com>

	* src/Win_GParted.cc: Added my name to list of authors

	* src/ext2.cc,
	  src/ext3.cc,
	  src/fat16.cc,
	  src/fat32.cc,
	  src/jfs.cc,
	  src/ntfs.cc,
	  src/reiser4.cc,
	  src/reiserfs.cc,
	  src/xfs.cc: Fixed bug in get_label()
	  - now returns full text of label for labels that include spaces.

	* include/Utils.h,
	  src/Utils.cc: Added regexp_label() to extract partition label text

2008-02-12  Curtis Gedak  <gedakc@gmail.com>

	* src/fat16.cc,
	  src/fat32.cc: Added get_label() support using mtools mlabel command

2008-02-07  Curtis Gedak  <gedakc@gmail.com>

	* src/GParted_Core.cc (GParted_Core::init_maps): Fix max path length
	  - GParted would crash if realpath() returned more than 255 chars
	  - Closes GParted bug #481768
	  - Thanks to Deji Akingunola for this suggestion.
	  (GParted_Core::read_mountpoints_from_file): Extend length of C strings
	  - Change C strings from 255 to 4096 (current PATH_MAX in limits.h)
	    to reduce chance of buffer overrun.
	  - PATH_MAX name not used because manpage appears to indicate
	    inconsistencies.

2008-02-05  Curtis Gedak  <gedakc@gmail.com>

	* Makefile.am: Enhanced distclean target
	  - Now removes autom4te.cache, .svn, and .cvsignore
	  - Thanks to Francois Dupoux for this suggestion.

2008-02-01  Curtis Gedak  <gedakc@gmail.com>

	* configure.in: gparted-0.3.5
	  ===================================================

2008-02-01  Curtis Gedak  <gedakc@gmail.com>

	* gparted.desktop.in: Rolled back HIG code changes to 0.3.3
	  - Reopens bugs #440012, and #381557
	  - Rolls back debian patch 01_fix-desktop.patch
	  - moved config.in: gparted-0.3.5 entry from 2008-01-30
	    to 2008-02-01 to improve readability of ChangeLog entries

2008-01-29  Curtis Gedak  <gedakc@gmail.com>

	* gparted.desktop.in: Updated to align with GNOME Human
	                      Interface Guidelines 2.0
	  - Closes bug #440012

2008-01-28  Curtis Gedak  <gedakc@gmail.com>

	* src/Win_GParted.cc: Applied debian patch 04_Win_GParted.cc.diff
	  - Fixed "crashes when rescanning devices after any operation",
	    closes: #446522. Patch by Denis Sirotkin <fechiny@gmail.com>

	* src/GParted_Core.cc: Applied debian patch
	                       03_fdi_robustification.patch
	  - Install a signal handler for cleaning up the automount disabling
	     FDI, so that it will be cleaned up on program crashes, too.
	  - Use storage.automount_enabled_hint instead of volume.ignore for the
	    automount disabling FDI. That way, the new drives will at least
	    appear in Gnome and the user can mount them manually.
	  - Patch by Martin Pitt <martin.pitt@ubuntu.com>
	  - LP: #134712
	  - Closes: 434268

	* include/Utils.h,
	  include/OperationDetail.h: Applied debian patch
	                             02_fix-build-failure-with-g++-4.3.patch
	  - Fix build failures with g++-4.3. LP: #138584

	* gparted.desktop.in: Applied debian patch 01_fix-desktop.patch
	  - don't specify the encoding that's deprecated, update the categories
	    and set the translation domain (LP: #145202)
	  - Changes name to `Partition Editor`
	  - Enables gksu to run gparted with

2007-10-14  Yannig Marchegay  <yannig@marchegay.org>

	* configure.in: Added 'oc' to ALL_LINGUAS.

2007-08-10  Inaki Larranaga Murgoitio  <dooteo@zundan.com>

	* configure.in: Added 'eu' to ALL_LINGUAS.

2007-02-25 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* configure.in: gparted-0.3.4
	  ===================================================

2007-01-07 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* src/GParted_Core.cc: added a check to see wether a device is 'real'
	  or not. (thanks to Fran�ois Dupoux for the patch)

2006-12-19  Theppitak Karoonboonyanan  <thep@linux.thai.net>

	* configure.in: Added 'th' (Thai) to ALL_LINGUAS.

2006-12-08 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* include/Device.h,
	  include/Dialog_Base_Partition.h,
	  src/Dialog_Base_Partition.cc: replaced 'long' with 'Sector' to
	  prefent overflows with really large devices.

2006-12-06 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* configure.in: gparted-0.3.3
	  ===================================================

2006-12-05 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* src/GParted_Core.cc: fixed 'Could not detect file system.' error
	  with fat and hfs filesystem when performing a move to the left. 
	  (thanks to 'the Bogerds' for borrowing me an usbstick ;) )

2006-12-01 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* configure.in: gparted-0.3.2
	  ===================================================

2006-12-01 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* src/Partition.cc: fixed issue with overloaded ==

2006-12-01 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* include/Dialog_Progress.h,
	  include/GParted_Core.h,
	  src/Dialog_Progress.cc,
	  src/GParted_Core.cc,
	  src/Win_GParted.cc: added libparted version string to details
	  export.

2006-11-26 Bart Hakvoort <hakvoort@cvs.gnome.org>
	
	* src/Win_GParted.cc: fixed bug with copying partition to a disk
	  without disklabel. Also added some FIXME's.
	
2006-11-26 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* include/Makefile.am,
	  include/Operation.h,
	  include/Win_GParted.h,
	  src/GParted_Core.cc,
	  src/Makefile.am,
	  src/Win_GParted.cc,
	  include/OperationCheck.h (new),
	  src/OperationCheck.cc (new): added 'check' operation. The
	  functionality was already there, but it was not possible yet to
	  activate it from the gui.

2006-11-25  Chao-Hsiung Liao  <j_h_liau@yahoo.com.tw>
	
	* configure.in: Add "zh_HK" to ALL_LINGUAS.

2006-11-24 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* src/GParted_Core.cc: fixed rare bug with modifying logical
	  partitions. (#368199)

2006-11-23 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* configure.in: fixed issue with libparted detection (#330776)
	* src/GParted_Core.cc: add FIXME

2006-11-08  Matic Zgur  <mr.zgur@gmail.com>

	* configure.in: Added sl (Slovenian) to ALL_LINGUAS.

2006-11-01  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in: Added nb to ALL_LINGUAS.

2006-10-22 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* src/Dialog_Progress.cc: gtk+-2.10 seems to return the last valid
	  iterator if get_iter is executed with an invalid treepath. This is
	  different from gtk+-2.8 and gave some problems in the
	  operationdetails. I added a check to make it work in both
	  situations.

2006-10-01 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* src/GParted_Core.cc: only add mountpoints and paths if they exist
	* src/reiser4.cc: don't show '<none>' if volumelabel is empty

2006-10-01 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* src/GParted_Core: Replaced std::abs with llabs (see #357691)
	* src/hfs.cc,
	  src/xfs.cc: added support for reading of volumelabel
	* src/reiserfs.cc: added Fixme

2006-09-26 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* configure.in: Fix libparted detection in case --as-needed flag is
	  passed (#357679)

2006-09-25 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* src/jfs.cc: added support for reading of volumelabel

2006-09-23 Bart Hakvoort <hakvoort@cvs.gnome.org>
	
	* include/DialogFeatures.h,
	  src/DialogFeatures.cc: added 'Read Label' info

2006-09-23 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* src/reiser4.cc
	  src/reiserfs.cc: added support for reading of volumelabel

2006-09-23 Bart Hakvoort <hakvoort@cvs.gnome.org>
	
	* src/ntfs.cc: added support for reading of volumelabel

2006-09-17 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* added popupmenu to operationslist and did some (higrelated) cleanups

2006-09-16 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* include/TreeView_Detail.h,
	  src/TreeView_Detail.cc: trivial cleanups

2006-09-16 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* src/DialogFeatures.cc: higgiefied the dialog a bit (#353104)

2006-09-16 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* include/Win_GParted.h,
	  src/Win_GParted.cc: some small changes to make the GUI more
	  consistent (#353140)

2006-09-14 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* configure.in: changed libpartedcheck a bit. from now on we declare
	  the min. version as variable in one place. This finally closes #330776

2006-09-14 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* src/ext2.cc,
	  src/ext3.cc: fixed a couple of issues with reading of volumelabels
	  (#338528)
	
2006-09-13 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* include/GParted_Core.h,
	  src/GParted_Core.cc: finally fixed problem with 'disappearing'
	  devicenodes by using udevsettle (#352744)

2006-09-12 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* added support for reading volumelabels. Atm we only read ext2/3, but
	  the infrastructure for adding the other filesystems is in place.
	  It's simply a matter of finding the right commands and parsing the
	  output. (see #338528 for more info)

2006-09-11 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* configure.in: bumped to gparted-0.3.1
	  ===================================================

2006-09-11 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* src/GParted_Core.cc: show correct statusmessage when performing the
	  readonly test.

2006-09-11 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* src/GParted_Core.cc: reverted back to parted probing after i heard
	  patches to fix some issues with it are underway. (skipping of floppy
	  and cdrom)
	* src/reiser4.cc,
	  src/reiserfs.cc: added --quiet to the fschecks to prevent the
	  detailswindow from dying under the load. I should find a solution
	  for that anyway.

2006-09-10 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* src/GParted_Core.cc: display total sector info in copy_filesystem()

2006-09-10 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* src/Dialog_Progress.cc: make sure progressfraction stays between 0.0
	  and 1.0
	* include/GParted_Core.h,
	  src/GParted_Core.cc: implemented rollback in case of failed move of
	  overlapping filesystems. Together with the readonly test moving
	  should be quite save now :)

2006-09-09 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* src/fat16.cc,
	  src/fat32.cc: return true if filesystem was succesfully modified by
	  dosfsck.

2006-09-09 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* include/Dialog_Progress.h,
	  src/Dialog_Progress.cc: Show number of warnings after all operations
	  are completed. Also urge people to save their details in case of
	  error.

2006-09-09 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* include/Frame_Resizer_Base.h,
	  src/Frame_Resizer_Base.cc,
	  src/Frame_Resizer_Extended.cc,
	  src/GParted_Core.cc: trivial 'breakfast cleanups' :) 

2006-09-08 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* src/ext2.cc,
	  src/ext3.cc,
	  src/fat16.cc,
	  src/fat32.cc,
	  src/jfs.cc,
	  src/ntfs.cc,
	  src/reiser4.cc,
	  src/reiserfs.cc,
	  src/xfs.cc: be a bit more verbose on error in set_used_sectors()

2006-09-08 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* include/GParted_Core.h,
	  src/GParted_Core.cc: declared char * buf global, so it can be
	  initialized in copy_blocks(). This is a lot more efficient than
	  initializing it on every copy_block()

2006-09-08 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* src/GParted_Core.cc: skip resize/move of partition/filesystem if
	  there are no changes.

2006-09-08  Pema Geyleg  <pgeyleg@gmail.com>

	* configure.in: Added dz to ALL_LINGUAS

2006-09-07 Bart Hakvoort <hakvoort@cvs.gnome.org>
	
	* include/Partition.h,
	  src/Partition.cc: added test_overlap()
	* include/GParted_Core.h,
	  src/GParted_Core.cc: perform a readonly testrun before the actual
	  move if destination overlaps source.

2006-09-07 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* include/GParted_Core.h,
	  src/GParted_Core.cc: parse /proc/partitions to find devices instead
	  of using ped_device_probe_all()

2006-09-06 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* configure.in: finally added a decent check for libparted (see also
	  #330776)

2006-09-04 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* configure.in: bumped to gparted-0.3
	  ===================================================

2006-09-04 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* include/GParted_Core.h,
	  src/GParted_Core.cc: update ntfsbootsector after first sector has
	  changed. This is necessary to let windows boot correctly afterwards.
	* src/ntfs.cc: added FIXME

2006-09-03 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* src/GParted_Core.cc: simplified algorithm to get remaining time

2006-09-03 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* include/GParted_Core.h,
	  src/GParted_Core.cc: check if dest >= src before starting a copy

2006-09-03 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* src/GParted_Core.cc: fixed an issue with copying to unallocated
	  space. It works fine now, but this entire copy operation breaks
	  consistency a bit. I should take a look at that when i have some
	  more time.

2006-09-03 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* src/GParted_Core.cc: added progressfeedback to Delete()

2006-09-03 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* include/GParted_Core.h,
	  src/GParted_Core.cc: more fixes related to moving..

2006-09-01 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* src/Win_GParted.cc: small menu changes

2006-08-31 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* src/GParted_Core.cc: fix errormessage

2006-08-31 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* include/GParted_Core.h,
	  src/GParted_Core.cc: tried to fix a couple of errors with moving to
	  the right with overlap (thanks Larry for hunting ;) )
	  Although everything seems to work well i'm still not sure if
	  everything is 100% ok.
	  I guess everything could use some more testing, which is exactly
	  what i plan to do this weekend :)

2006-08-28 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* src/Win_GParted.cc: usability stuff + trivial fix (#353109, #353111)

2006-08-27 Bart Hakvoort <hakvoort@cvs.gnome.org>
	
	* include/DialogFeatures.h,
	  src/DialogFeatures.cc: added legend (#353104)
	* src/fat32.cc: added FIXME

2006-08-27 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* src/ntfs.cc: replaced ntfscluster with ntfsresize (see #350789)

2006-08-27 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* happy 24th birthday Johannes! :^)
	* include/GParted_Core.h,
	  src/GParted_Core.cc: restructured resize_move() to be more robust.
	  This will hopefully tackle a couple of issues which came up during
	  the public testing.

2006-08-25 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* include/GParted_Core.h,
	  src/GParted_Core.cc: improvements to probe and copy stuff.

2006-08-24 Bart Hakvoort <hakvoort@cvs.gnome.org>
	
	* src/GParted_Core.cc: use Glib::timer instead of std::time stuff for
	  the probing, this is more accurate since the resolution is much
	  higher (microseconds instead of seconds)

2006-08-24 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* src/OperationDetail.cc: catch markup exceptions
	* src/Utils.cc: cleanups 

2006-08-21 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* include/Utils.h,
	  src/Utils.cc: added format_time()
	* include/OperationDetail.h,
	  src/OperationDetail.cc: keep track of elapsed time between
	  STATUS_EXECUTE and STATUS_[ERROR|SUCCES]
	* include/Dialog_Progress.h,
	  src/Dialog_Progress.cc: show elapsed time in the details per (sub)
	  process
	* src/GParted_Core.cc: use Utils::format_time() 

2006-08-21 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* src/FileSystem.cc: added nice -n 19, so that all extensive
	  filesystemoperations will be 'nice' :)
	* src/OperationDetail.cc,
	  src/Utils.cc: cleanups 

2006-08-20 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* src/Dialog_Progress.cc: enabled set_do_overwrite_confirmation() for
	  the detailsfile. 
	* configure.in: raised gtkmm dependency from 2.6 to 2.8

2006-08-20 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* include/Win_GParted.h,
	  src/Win_GParted.cc: replaced hardcoded menu and toolbar indices with
	  variables. This is far more flexible and reliable.

2006-08-20 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* include/GParted_Core.h,
	  src/GParted_Core.cc: fixed some issues with combi move+shrink on
	  fat* and hfs* filesystems. 
	  Also call wait_for_node() from commit() if 'node' was provided.

2006-08-20 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* src/Dialog_Partition_Resize_Move.cc: due to some restrictions it was
	  no longer possible to shrink swap filesystems. fixed.

2006-08-20 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* src/linux_swap.cc: small fix with moving of linux-swap (which seems
	  pretty useless to me :^) )

2006-08-20 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* changed progressfeedbackhandling a bit. Because this affected
	  OperationDetail i had to make changes in almost every file.

2006-08-16 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* src/GParted_Core.cc: added 'time remaining' to progressfeedback.

2006-08-15 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* include/GParted_Core.h,
	  src/GParted_Core.cc: created set_progress_info() (i actually planned
	  on adding some time remaining stuff, but xfiles is waiting ;) )

2006-08-13 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* src/GParted_Core.cc: fixed small issue with lp_partition ->geom
	  stuff sometimes losing values when going out of scope.

2006-08-13 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* include/GParted_Core.h,
	  src/GParted_Core.cc: couple of cleanups in operationhandling and
	  initalizing of p_filesystem.

2006-08-09 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* include/Makefile.am: small fix to pass 'make distcheck'

2006-08-09 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* include/GParted_Core.h,
	  src/GParted_Core.cc: did some work on disabling of automounting of
	  removable drives. The current method is not entirely to my liking
	  but it seems to work.

2006-08-08 Bart Hakvoort <hakvoort@cvs.gnome.org>
	
	* src/Dialog_Partition_Resize_Move.cc: fixed small issue with
	  shrinking of a new (virtual) partition

2006-08-08 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* implemented some stuff to find a good blocksize to use for
	  copy/move. Actually i'm not really happy with it, because probing
	  seems suboptimal, but it's better than nothing. As soon as i have
	  some time i should do some research on the subject to find a better
	  solution.
	  
2006-08-01 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* include/Win_GParted.h,
	  src/Win_GParted.cc: construct operations in the activate*()
	  functions instead of in Add_Operation(). This approach allows for
	  more customization of operations.

2006-08-01 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* src/GParted_Core.cc: made set_partition_type() a bit more verbose
	  and did some cleanups.

2006-08-01 Bart Hakvoort <hakvoort@cvs.gnome.org>
	
	* include/Partition.h,
	  src/Partition.cc: added get_sector()
	* src/GParted_Core.cc: use new Partition::get_sector()

2006-08-01 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* src/Dialog_Partition_Copy.cc,
	  src/GParted_Core.cc,
	  src/Win_GParted.cc: fixed some issues when manipulating a just
	  copied partition. (see also #349513)

2006-07-30 Bart Hakvoort <hakvoort@cvs.gnome.org>
	
	* improved errorhandling a bit. At the initialscan we store
	  errors/warnings now in a list per partition and show the in the
	  partitioninfo dialog.
	  While executing an operation we collect all libparted exceptions in
	  a list and attach this list to the operationdetails when everything
	  is done.

2006-07-29 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* renamed some enums

2006-07-29 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* src/GParted_Core.cc: fixed a couple of small errors in the
	  copy algorithm (which is closely related to moving)

2006-07-29 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* src/GParted_Core.cc: fixed a couple of small errors in the
	  move algorithm

2006-07-29 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* fixed Pango markup problems in operationdetails
	* restructured OperationDetail
	* renamed some enums for improved readability of the source

2006-07-23 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* include/FileSystem.h,
	  include/GParted_Core.h,
	  src/FileSystem.cc,
	  src/GParted_Core.cc,
	  src/ext2.cc,
	  src/ext3.cc,
	  src/ntfs.cc,
	  src/reiserfs.cc: removed cylindersize buffering during resize from
	  the filesystems. It is not needed anymore now we calculate the new
	  position before calling this.
	  Also added some extra progressfeedback in the core

2006-07-23 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* include/GParted_Core.h,
	  src/GParted_Core.cc: more work on moving/resizing sequence

2006-07-23 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* src/GParted_Core.cc: fixed issue with resize/move of extended
	  partitions

2006-07-23 Bart Hakvoort <hakvoort@cvs.gnome.org>
	
	* src/Win_GParted.cc: added FIXME:
	* include/GParted_Core.h,
	  src/GParted_Core.cc,
	  src/fat32.cc: decoupled libparted partition and filesystemresizing.
	  This resulted in a much more consistent core. This also affected
	  several other aspects of resizing/moving in a positive way.

2006-07-20 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* src/GParted_Core.cc: FIXME business
	* src/Win_GParted.cc: only snap to cylinder if operation is != DELETE
	  or FORMAT

2006-07-20 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* include/GParted_Core.h,
	  src/GParted_Core.cc,
	  src/Win_GParted.cc: perform some checks before adding a new
	  operation to the list.
	* src/Partition.cc: made get_length() a bit safer

2006-07-19 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* src/Dialog_Progress.cc: added FIXME
	* src/GParted_Core.cc: removed FIXME

2006-07-19 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* include/Dialog_Progress.h,
	  include/Operation.h,
	  src/Dialog_Progress.cc,
	  src/GParted_Core.cc: show warning in progressfeedback if a certain
	  action is n/a. Of course we only allow these actions if the results
	  are non-lethal.

2006-07-19 Bart Hakvoort <hakvoort@cvs.gnome.org>
	
	* enabled move support for all the filesystems. Also made some small
	  changes to the logic which determines if copy is allowed.

2006-07-19 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* src/GParted_Core.cc: added some progressfeedback 

2006-07-19 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* src/xfs.cc: fixed potential crasher in read algorithm (#347914)

2006-07-18 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* include/GParted_Core.h,
	  src/GParted_Core.cc: worked a bit on progressfeedback..
	* include/Partition.h: added FIXME
	
2006-07-17 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* src/Win_GParted.cc,
	  include/GParted_Core.h,
	  src/GParted_Core.cc: implemented snap to cylinder algorithm.
	  Although the algorithm is very simple, it seems to work perfectly.
	  However, some additional testing is required.

2006-07-11 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* lots of fixes and improvements (mostly move-related)

2006-06-20 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* src/GParted_Core.cc: some more work on the order of operations when
	  performing a move (made use of maximize_filesystem() ).

2006-06-21  Raivis Dejus  <orvils@gmail.com>

	* configure.in: Added Latvian 'lv' entry.

2006-06-20 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* src/GParted_Core.cc: finalized the order of operations when
	  performing a move.

2006-06-18 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* src/GParted_Core.cc: use new copy_block() in copy_filesystem()

2006-06-18 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* include/GParted_Core.h,
	  src/GParted_Core.cc: renamed resize_partition to
	  resize_move_partition to better reflect its functionality.

2006-06-18 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* include/GParted_Core.h,
	  src/GParted_Core.cc: did more work on moving

2006-06-18 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* include/GParted_Core.h,
	  src/GParted_Core.cc,
	  src/Win_GParted.cc: some more cleanups, should be finished now :)

2006-06-17 Bart Hakvoort <hakvoort@cvs.gnome.org>
	
	* restructured the core a bit, over time it had become very messy.

2006-06-17 Bart Hakvoort <hakvoort@cvs.gnome.org>
	
	* more cleanups in the core and the fs'es (these changelogs are
	  getting boring ;^) )

2006-06-17 Bart Hakvoort <hakvoort@cvs.gnome.org>
	
	* cleanups in the core and the fs'es (resize)

2006-06-17 Bart Hakvoort <hakvoort@cvs.gnome.org>
	
	* cleanups in the core and the fs'es (check/repair)

2006-06-17 Bart Hakvoort <hakvoort@cvs.gnome.org>
	
	* src/GParted_Core.cc: use new create_filesystem() in format()

2006-06-17 Bart Hakvoort <hakvoort@cvs.gnome.org>
	
	* cleanups in the core and the fs'es (create)

2006-06-04 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* src/GParted_Core.cc: removed 'EXPERIMENTAL' from move-message to
	  prevent incorrect translations.

2006-05-31 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* include/GParted_Core.h,
	  src/GParted_Core.cc,
	  src/ext2.cc: added movesupport, atm in experimental state and needs
	  lots of cleaning. only enabled for ext2, but should work for all
	  filesystems.
	* src/DialogFeatures.cc: added alternating rowcolours (see #342682)

2006-05-27 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* include/Dialog_Partition_Copy.h,
	  include/GParted_Core.h,
	  include/OperationCopy.h,
	  include/Win_GParted.h,
	  src/Dialog_Partition_Copy.cc,
	  src/GParted_Core.cc,
	  src/OperationCopy.cc,
	  src/Win_GParted.cc: made blocksize settable by the user.

2006-05-26 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* src/GParted_Core.cc: fixed typo (#343015)

2006-05-25 Arangel Angov <ufo@linux.net.mk>

	* Updated mk.po, Macedonian translation.

2006-05-24 Takeshi AIHANA <takeshi.aihana@gmail.com>

	* configure.in: Added 'ja' (Japanese) to ALL_LINGUAS.

2006-05-23 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* Use ped_device_read and ped_device_write instead of 'dd' to copy
	  filesystems.
	  Modified progressdetails to provide more detailed feedback about a
	  process.
	  Basicly these were all changes to the infrastructure to make the
	  incorporation of the 'move-code' a bit easier. 
	
	  ( sorry, not in the mood to list all affected files ;) 

2006-05-13 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* configure.in: bumped to gparted-0.2.5
	  ===================================================

2006-05-13 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* src/Win_GParted.cc: updated copyrightinfo

2006-05-02 Pawan Chitrakar <pchitrakar@gmail.com>

	* ne.po: Added ne ALL_LINGUAS

2006-04-15 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* src/Win_GParted.cc: hide dialogs after setting new disklabel

2006-04-15 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* src/GParted_Core.cc: creating a new partition on a BSD partitiontable
	  failed, causing a segfault when setting the partitiontype. fixed.

2006-04-05 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* src/Dialog_Partition_Copy.cc: only allow growing of copy if there is
	  grow support for the filesystem.
	* src/reiser4.cc: added support for copying reiser4 filesystems

2006-04-05 Bart Hakvoort <hakvoort@cvs.gnome.org>
	
	* src/GParted_Core.cc: modified warning
	* src/hfsplus.cc: added support for shrinking and copying hfs+
	  filesystems

2006-04-05 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* src/Dialog_Partition_Resize_Move.cc,
	  src/GParted_Core.cc,
	  src/Win_GParted.cc,
	  src/hfs.cc: added support for shrinking hfs filesystems 

2006-04-05 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* src/DialogManageFlags.cc: disabled resizing of this dialog
	* include/DialogFeatures.h,
	  include/Makefile.am,
	  include/Win_GParted.h,
	  src/DialogFeatures.cc,
	  src/Makefile.am,
	  src/Win_GParted.cc: renamed 'Filesystems' to 'Features' in the
	  featuredialog to better reflect the actual functionality
	* include/Dialog_Filesystems.h,
	  src/Dialog_Filesystems.cc: removed

2006-04-04 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* configure.in: bumped to gparted-0.2.4
	  ===================================================

2006-04-04 Bart Hakvoort <hakvoort@cvs.gnome.org>
	
	* src/GParted_Core.cc: remove non-existent devices from
	  disabled_automount_devices at every rescan.

2006-04-04 Bart Hakvoort <hakvoort@cvs.gnome.org>
	
	* src/GParted_Core.cc: store libparted error in Partition::error if
	  reading the used/unused space failed.

2006-04-03 Bart Hakvoort <hakvoort@cvs.gnome.org>
	
	* include/Dialog_Filesystems.h,
	  src/Dialog_Filesystems.cc: added column 'check'
	* include/GParted_Core.h,
	  src/GParted_Core.cc: use halproperty
	  'storage.automount_enabled_hint' instead of pmount to disable
	  automounting.
	  
2006-04-02 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* include/GParted_Core.h,
	  src/GParted_Core.cc: improved disabling of automounting. It's still
	  somewhat crude, but right now it's ok for some semi-public testing.
	  I'll do some cleanups tomorrow morning.
	* src/Dialog_Progress.cc: added FIXME

2006-04-02 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* include/GParted_Core.h,
	  src/GParted_Core.cc: an initial solution for the automount problem.
	  I still need to add something to prevent just created partitions from
	  getting mounted. (see #324220 for more info)

2006-04-02 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* include/Dialog_Filesystems.h,
	  include/GParted_Core.h,
	  include/Makefile.am,
	  include/ufs.h,
	  src/GParted_Core.cc,
	  src/Makefile.am,
	  src/ufs.cc: added ufs filesystemclass

2006-04-02 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* include/Win_GParted.h,
	  src/Win_GParted.cc: override Gtk::Window::on_show instead of
	  connecting to signal_show()
	* include/Dialog_Filesystems.h,
	  src/Dialog_Filesystems.cc: added columns 'detect' and 'read'

2006-04-02 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* include/Utils.h,
	  src/Utils.cc: added convenience function
	* src/DialogManageFlags.cc,
	  src/Win_GParted.cc: cleanups

2006-04-02 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* include/DialogManageFlags.h,
	  src/DialogManageFlags.cc,
	  src/Win_GParted.cc: improved behaviour of flagmanagementdialog.
	  
2006-04-01 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* src/OperationResizeMove.cc: fixed another issue in
	  apply_to_visual(), this time with resizing/moveing the extended
	  partition.

2006-03-31 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* src/GParted_Core.cc: trivial cleanups
	* src/OperationResizeMove.cc: fixed a glitch in apply_to_visual()
	* src/ext2.cc,
	  src/ext3.cc: accept returnvalues 0, 1 and 2 instead of 0 and 1
	  
2006-03-31 Bart Hakvoort <hakvoort@cvs.gnome.org>
	
	* include/GParted_Core.h,
	  src/GParted_Core.cc: let create_empty_partition() return a boolean
	  instead of an integer.

2006-03-31 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* include/DialogManageFlags.h,
	  include/GParted_Core.h,
	  include/Makefile.am,
	  include/Utils.h,
	  include/Win_GParted.h,
	  src/DialogManageFlags.cc,
	  src/GParted_Core.cc,
	  src/Makefile.am,
	  src/Win_GParted.cc: add 'flag management' (#330453)

2006-03-29 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* include/Partition.h,
	  src/Partition.cc: added set_used() and operator!=
	* src/Dialog_Partition_Copy.cc,
	  src/GParted_Core.cc,
	  src/OperationCopy.cc,
	  src/Win_GParted.cc: it's now possible to copy from partition to
	  partition. (before this it was only possible to copy to unallocated
	  space)

2006-03-28 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* include/GParted_Core.h,
	  src/GParted_Core.cc: fixed another minor memleak (yeah i'm playing
	  with valgrind ;) )

2006-03-28 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* src/GParted_Core.cc: it appeared i had to free the result of
	  ped_partition_get_path in order to prevent a memleak.

2006-03-28 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* src/OperationCopy.cc: name a copied partition 'copy of <source>'.

2006-03-28 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* configure.in: bumped to gparted-0.2.3
	  ===================================================

2006-03-28 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* src/GParted_Core.cc: removed testdata
	
2006-03-28 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* trivial cleanups

2006-03-27 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* include/TreeView_Detail.h,
	  src/TreeView_Detail.cc: made icon behaviour more intelligent
	* src/GParted_Core.cc: small improvement in open_device_and_disk()

2006-03-26 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* src/GParted_Core.cc: made some small adjustments to devicechecks.

2006-03-26 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* src/GParted_Core.cc: sort devices alphabetically by default.

2006-03-25 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* src/DrawingAreaVisualDisk.cc: prevented a possible segfault at
	  startup. Thanks to LarryT for finding this.

2006-03-24 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* lots of cleanups in operationhandling. This resulted in cleaner/less
	  code and the fixing of some longstanding issues.

2006-03-20 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* include/DrawingAreaVisualDisk.h,
	  src/DrawingAreaVisualDisk.cc: fixed a few issues with
	  selecting/activating partitions.
	* include/Utils.h,
	  src/Utils.cc,
	  src/Dialog_Disklabel.cc,
	  src/Dialog_Partition_Info.cc (mk_label): improved support for
	  aligment.
	* src/Win_GParted.cc: fixed a small alignmentissue in the devices
	  submenu.

2006-03-19 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* include/GParted_Core.h,
	  src/GParted_Core.cc,
	  src/Win_GParted.cc,
	  src/ext2.cc,
	  src/ext3.cc,
	  src/fat16.cc,
	  src/fat32.cc,
	  src/jfs.cc,
	  src/ntfs.cc,
	  src/reiserfs.cc: fixed issues with copying (see also #335004)
	* include/Operation.h,
	  src/Operation.cc: cleanups + added FIXME
	* include/Partition.h,
	  src/Partition.cc: added clear_mountpoints()
	* src/DrawingAreaVisualDisk.cc: added FIXME
	
2006-03-18 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* include/DrawingAreaVisualDisk.h,
	  src/DrawingAreaVisualDisk.cc: another change to highlighting of
	  selected partition.
	* include/Partition.h,
	  src/Win_GParted.cc: deal properly with just formatted partitions
	* src/Operation.cc: added FIXME

2006-03-17 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* src/GParted_Core.cc: moved comment to correct position
	* src/Win_GParted.cc: fixed issues with mountpoints containing
	  underscores and/or spaces.
	  
2006-03-16 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* src/Win_GParted.cc: fixed visual feedback while mounting a partition

2006-03-16 Bart Hakvoort <hakvoort@cvs.gnome.org>
	
	* include/Win_GParted.h,
	  src/Win_GParted.cc: added submenu with mountpoints to 'mount' in
	  partitionmenu. (see also #330327)

2006-03-16 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* compose/.cvsignore: added *.swp
	* compose/README: corrected url

2006-03-16 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* src/ext2.cc,
	  src/ext3.cc,
	  src/fat16.cc,
	  src/fat32.cc,
	  src/jfs.cc,
	  src/ntfs.cc,
	  src/reiser4.cc,
	  src/reiserfs.cc,
	  src/xfs.cc: changed statusmessage, fixed issue with exit_status and
	  tested/confirmed succesfull usage of Partition::get_path() in
	  Set_Used_Sectors() of all filesystems.
	  
2006-03-15 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* include/Device.h,
	  src/Device.cc: overloaded == and !=
	* src/Win_GParted.cc: cleanups

2006-03-15 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* src/Dialog_Partition_Info.cc,
	  src/DrawingAreaVisualDisk.cc: cleanups

2006-03-15 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* include/Partition.h,
	  src/Dialog_Partition_Info.cc,
	  src/GParted_Core.cc,
	  src/Partition.cc,
	  src/TreeView_Detail.cc,
	  src/Win_GParted.cc: Made Partition::mountpoints private
	  
2006-03-14 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* changed the way devices and partitions store their devicepaths.
	  Instead of holding a 'realpath' and a symbolic path we store paths
	  in a list. This allows for improved detection of mountpoins, free
	  space, etc..

	  Also fixed a nasty bug which showed up when you copy a partition
	  from one device to another. (thanks to mario for the report)

2006-03-09 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* include/Makefile.am,
	  src/Makefile.am: sorted filelistings.
	  
2006-03-09 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* src/Win_GParted.cc: only allow 'swapon' on real partitions
	
2006-03-09 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* include/Win_GParted.h,
	  src/Win_GParted.cc: added basic support for mounting unmounted
	  partitions on mountpoints found in /etc/fstab

2006-03-09 Bart Hakvoort <hakvoort@cvs.gnome.org>
	
	* src/DrawingAreaVisualDisk.cc: changed MIN_SIZE from static 20 to
	  BORDER * 2 + 2 
	 
2006-03-09 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* include/DrawingAreaVisualDisk.h,
	  include/Makefile.am,
	  include/Win_GParted.h
	  src/DrawingAreaVisualDisk.cc,
	  src/Makefile.am
	  src/Win_GParted.cc: removed the frame from the visualdiskwidget and
	  changed some visual details. Also changed visual representation of
	  selected partition. The latter might be considered as a work in
	  progress.
	* include/FrameVisualDisk.h,
	  src/FrameVisualDisk.cc: Removed.
	  
2006-03-07 Bart Hakvoort <hakvoort@cvs.gnome.org>
	
	* src/Dialog_Partition_Copy.cc,
	  src/Dialog_Partition_Resize_Move.cc: cleanups

2006-03-07 Bart Hakvoort <hakvoort@cvs.gnome.org>
	
	* include/GParted_Core.h,
	  include/TreeView_Detail.h,
	  src/GParted_Core.cc,
	  src/TreeView_Detail.cc: show greyed-out mountpoint of unmounted
	  partitions in the treeview as an improved way to identify
	  partitions. (#333027)
	* src/Win_GParted.cc: cleanups
	
2006-03-06 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* include/TreeView_Detail.h,
	  src/TreeView_Detail.cc: support showing of warning icon even when a
	  partition is mounted.

2006-03-06 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* src/Win_GParted.cc: made message about max. primary partitions a bit
	  more informative.

2006-03-05 Bart Hakvoort <hakvoort@cvs.gnome.org>
	
	* include/GParted_Core.h,
	  src/GParted_Core.cc: extended scan for mountpoints (see #333370)
	  
2006-03-05 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* src/Dialog_Partition_Info.cc,
	  src/GParted_Core.cc: fixed crasher with busy partition without
	  mountpoint (#332983)
	* src/Win_GParted.cc: added FIXME
	
2006-03-05  Artur Flinta  <aflinta@cvs.gnome.org>

	* configure.in: Added "pl" to ALL_LINGUAS

2006-03-02 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* include/FrameVisualDisk.h,
	  src/FrameVisualDisk.cc: improved the algorithm to deal with lost
	  pixels after seeing some problems with rather insane
	  partitiontables.
	* src/Dialog_Partition_Info.cc: minor cleanup
	* src/GParted_Core.cc: show error in partitioninfo if statvfs fails
	* src/TreeView_Detail.cc: added FIXME
	
2006-03-01 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* src/Dialog_Base_Partition.cc,
	  src/FrameVisualDisk.cc: added FIXME
	* src/Win_GParted.cc: force processing of all pending Gtk::Main events
	  after Refresh_Visual. This fixes an issue with incorrect displayed
	  Visual Partition Display.
	
2006-03-01 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* include/Frame_Resizer_Base.h,
	  include/Frame_Resizer_Extended.h,
	  src/Dialog_Base_Partition.cc,
	  src/Dialog_Partition_Copy.cc,
	  src/Dialog_Partition_New.cc,
	  src/Dialog_Partition_Resize_Move.cc,
	  src/Frame_Resizer_Base.cc,
	  src/Frame_Resizer_Extended.cc: did lots of work on the resizer, it's
	  behaviour should be more natural and satisfying now. (see also
	  #331591)
	* src/Win_GParted.cc: extended partition was resizable even when it's
	  busy. fixed.
	* src/ntfs.cc: made scan output more readable.
	* src/FrameVisualDisk.cc: added FIXME

2006-02-25 Bart Hakvoort <hakvoort@cvs.gnome.org>
	
	* include/GParted_Core.h,
	  src/GParted_Core.cc: catch libparted exceptions and display them in
	  the operationdetails if an operation has failed.
	* src/Dialog_Progress.cc: small cosmetic change to the errordialog.

2006-02-25 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* improved errorhandling in Set_Used_Sectors() in the filesystemclasses
	
2006-02-25 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* in some places i still used MiB's instead of sectors to store sizes.
	  this has been fixed everywhere. Only the spinbuttons still use
	  MiB's. I have a few ideas on how to solve this, but i'll take it up
	  with #usability first.
	  	
2006-02-22 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* configure.in: bumped to gparted-0.2.2
	  ======================================================

2006-02-22 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* src/FrameVisualDisk.cc: prevent crasher when visual_disks is empty.
	* include/Win_GParted.h,
	  src/Win_GParted.cc: load devices at startup on signal_show instead
	  of dispatching it from the c'tor.
	  Also did some cleanups in the behaviour of opening and closing of
	  the operationslist.

2006-02-20 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* include/GParted_Core.h,
	  src/GParted_Core.cc,
	  src/Win_GParted.cc: deal with the rare situation when 2 partitions
	  are mounted on the same mountpoint. (see also #330327)

2006-02-18 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* src/GParted_Core.cc: added some checks before performing a
	  move/resize using libparted.

2006-02-18 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* src/Win_GParted.cc: added shortcut to menuitem
	  'Resize/Move'(#329627)

2006-02-17 Bart Hakvoort <hakvoort@cvs.gnome.org>
	
	* include/GParted_Core.h,
	  include/Partition.h,
	  src/Dialog_Partition_Info.cc,
	  src/GParted_Core.cc,
	  src/Partition.cc,
	  src/TreeView_Detail.cc: store flags in a list instead of a string.
	* Makefile.am,
	  src/Makefile.am: cleanups
	  
2006-02-17 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* include/Utils.h: added FIXME
	* include/Win_GParted.h,
	  src/Win_GParted.cc: cleanups (mostly messagebox related)
	* src/GParted_Core.cc: added some more progressfeedback to create and
	  resize

2006-02-16 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* configure.in: bumped to gparted-0.2.1
	  ======================================================

2006-02-16 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* src/Win_GParted.cc: sync after swapon/swapoff (see also #330327)
	
2006-02-16 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* configure.in: improved check for libparted (thanks to Pete Shinners,
	  see also #330776) 
	
2006-02-15 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* include/GParted_Core.h,
	  include/Partition.h,
	  src/Dialog_Partition_Info.cc,
	  src/GParted_Core.cc,
	  src/Partition.cc,
	  src/TreeView_Detail.cc,
	  src/Win_GParted.cc: support partitions with multiple mountpoints
	  (see also #330327)

2006-02-15 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* src/ntfs.cc: changed a few things after talking with Szaka
	  (ntfsprogs developer)

2006-02-15 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* wrap mount/umount/swapon/swapoff instead of implementing it
	  ourselves (#330641)
	* moved execute_command() to Utils and made the filesystems use it. All
	  in all this decreased the size of the binary with 10% and made stuff
	  more readable.

2006-02-11 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* removed legend after discussion with usability guys

2006-02-10 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* src/TreeView_Detail.cc: finally fixed #169683!! ( party, party! :p )
	* include/Win_GParted.h,
	  src/Win_GParted.cc,
	  src/main.cc: cleanups
	
2006-02-09 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* src/Dialog_Progress.cc: set a min. width for detailstree instead of
	  deducing it from the textlength.
	* src/VBox_VisualDisk.cc: small fix to reap 'lost' pixels.
	
2006-02-09 Bart Hakvoort <hakvoort@cvs.gnome.org>
	
	* include/Win_GParted.h,
	  src/Win_GParted.cc: it shouldn't be possible to remove an extended
	  partition which contains logicals.
	* src/TreeView_Detail.cc: only show mountpoint column when there is
	  mountinfo.

2006-02-08 Bart Hakvoort <hakvoort@cvs.gnome.org>
	
	* include/Win_GParted.h,
	  src/Win_GParted.cc: added support for activating swap (#392672)

2006-02-07 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* src/Dialog_Progress.cc: commented set_do_overwrite_confirmation()
	  since it was only introduced since gtkmm-2.8 and i don't want to
	  raise the deps that high just yet.

2006-02-07 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* src/Win_GParted.cc: removed warning about busy device. It's not
	  really needed and it confuses people.
	* include/Operation.h: set default status of operationdetails to NONE
	* include/Dialog_Progress.h,
	  src/Dialog_Progress.cc: implemented export of operationdetails to
	  external file. This can be very useful for debugging. (#329968)
	
2006-02-02 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* include/GParted_Core.h,
	  include/Win_GParted.h,
	  src/GParted_Core.cc,
	  src/Win_GParted.cc,
	  src/main.cc: added support for commandline arguments (#329414)

2006-02-02 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* include/TreeView_Detail.h,
	  src/TreeView_Detail.cc: added mountpointcolumn (#304688)
	* include/Win_GParted.h,
	  src/Win_GParted.cc: added submenu 'Devices' which allows one to
	  select devices from the menu (#329415)
	
2006-01-31 Bart Hakvoort <hakvoort@cvs.gnome.org>
	
	* confgure.in: added 'tr' to ALL_LINUGAS on request of the Turkish
	  coordinator (gorkem@gorkemcetin.com)

2006-01-30 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* src/GParted_Core.cc: fixed error with mountpoints containing
	  whitespaces. (#329247)

2006-01-30 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* configure.in: bump to gparted-0.2
	  ========================================================

2006-01-29 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* src/FileSystem.cc: sometimes certain commands couldn't be found
	  because PATH was overridden. fixed.

2006-01-28 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* src/Utils.cc: fixed small bug in unmount()
	* src/jfs.cc,
	  src/xfs.cc: check if error actually contains data before adding it
	  to the feedbackdata. (this prevents empty rows in the operationtree)

2006-01-28 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* include/Dialog_Progress.h,
	  src/Dialog_Progress.cc,
	  src/FileSystem.cc: added markup to operationdetails

2006-01-26 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* include/Dialog_Progress.h,
	  src/Dialog_Progress.cc,
	  src/Win_GParted.cc: deal correctly with the progressdialog's
	  delete_event.
	
2006-01-26 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* include/Dialog_Partition_Info.h,
	  include/Win_GParted.h,
	  src/Win_GParted.cc: cleanups

2006-01-26 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* include/Partition.h: added FIXME
	* src/Partition.cc: fixed Update_Number()

2006-01-26 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* include/Dialog_Progress.h,
	  src/Dialog_Progress.cc,
	  src/Win_GParted.cc: made some changes to progressdialog behaviour.
	  
2006-01-26 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* gparted.desktop.in,
	  src/Dialog_Progress.cc,
	  src/Win_GParted.cc: string tweaks. (#328685)

2006-01-25 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* include/Utils.h,
	  src/Utils.cc,
	  src/jfs.cc,
	  src/xfs.cc: fixed small issue with mounting. (discovered on the
	  livecd)

2006-01-25 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* src/GParted_Core.cc: improved scanning for root mountpoint (/)
	* src/Dialog_Partition_Info.cc: use Utils::format_size() instead of
	  displaying every value in MiB's. Also some cleanups and changes.

2006-01-26 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* include/Dialog_Progress.h,
	  src/Dialog_Progress.cc: implemented real 'cancel'.

2006-01-24 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* src/Utils.cc: use realpath() to get absolute path to 'real'
	  /etc/mtab.
	  unmount if something went wrong while adding the line to '/etc/mtab'
	* src/Dialog_Progress.cc: replaced PACK_SHRINK with PACK_EXPAND_WIDGET
	
2006-01-24 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* src/GParted_Core.cc: swapped 'line' and 'c_str' to make
	  get_short_path() work properly.
	
2006-01-24 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* src/jfs.cc,
	  src/xfs.cc: replaced translatable string 'umount' with 'unmount'
	  (#328419)

2006-01-24 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* use Glib::get_tmp_dir() instead of hardcoding it as '/tmp'
	* use Glib::find_program_in_path() instead af a system/which combi
	* display current device in windowtitle

2006-01-22 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* correct partitiontype of destination is now set while copying
	* resizing now return correct status (sometimes it would report
	  succes even when some of the suboperationes failed)
	* fixed some issues with resizing and cylindersizes.
	
2006-01-22 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* removed Execute_Command() and replaced it by execute_command().
	  The latter uses Glib::spawn_sync instead of popen().
	  also made the filesystems call execute_command rather than calling
	  Glib::spawn_sync themselves.

2006-01-22 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* implemented Utils::sector_to_unit() and use it in several places
	* (finally) fixed errors with ntfsresizing (had a lot to do with
	  difference between MB and MiB)
	* resizing of reiserfs now shows more detailed feedback
	* support for TebiByte (TiB) unit

2006-01-21 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* changed KB/MB/GB/TB to KiB/MiB/GiB/TiB after reading http://www.iec.ch/zone/si/si_bytes.htm
	
2006-01-21 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* src/main.cc: cleanups
	* src/ntfs.cc: use ntfsfix for scanning.
	  run a simulation before performing an actual resize. more detailed
	  feedback.

2006-01-20 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* src/xfs.cc: updated copy to provide detailed feedback.

2006-01-20 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* src/jfs.cc: small fix with sequence of mount,remount,unmount
	* src/xfs.cc: resizing now contains detailed feedback
	* src/FileSystem.cc: show exceptiondescription in operationdetails
	
2006-01-19 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* src/jfs.cc: resizing now contains detailed feedback 
	
2006-01-19 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* added detailed progressfeedback. It still needs some polishing, but
	  is already far better then the old situation. And what's more, it's
	  finally threadsafe :p
	  
2006-01-11 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* configure.in: bumped version to 0.1 
	  ================================================================================
	  
2006-01-08 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* include/Win_GParted.h,
	  src/Win_GParted.cc: added visual feedback when unmounting or
	  deactivating swap. This can be useful when it takes longer then
	  usual. 
	  
2006-01-07 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* src/Dialog_Partition_Info.cc: removed separator in accordance to the
	  HIG
	* include/Win_GParted.h,
	  src/Win_GParted.cc: it's now possible to deactivate swap from within
	  gparted.
	* src/GParted_Core.cc: sleep one second after deletion of a partition to
	  give the kernel some time to reread the partitiontable.
	
2006-01-07 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* src/Utils.cc: commented 'ss .imbue( std::locale( "" ) )' (#157871)
	* src/Win_GParted.cc,
	  src/TreeView_Detail.cc,
	  src/Dialog_Base_Partition.cc: cleanups
	* include/Dialog_Partition_New.h,
	  include/Partition.h,
	  src/Dialog_Partition_New.cc,
	  src/GParted_Core.cc,
	  src/Partition.cc: allow forced partitionsizes (aka: do not round to
	  cylinder). (#169486)

2006-01-06 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* src/VBox_VisualDisk.cc: replaced free_color() with deprecated
	  free_colors() to allow building with gtkmm-2.6 (#326013)

2006-01-05 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* include/Device.h,
	  src/Device.cc: replaced 'device_partitions' with 'partitions'
	* src/Win_GParted.cc: use new Device::partitions
	* include/Partition.h,
	  src/Partition.cc: added 'realpath'
	* src/Dialog_Partition_Info.cc: use Partition::realpath..
	* include/GParted_Core.h,
	  src/GParted_Core.cc:use ped_partition_get_path() instead of
	  constructing it ourselves. (#325800)
	  Also use global maps for mountpoints and
	  shortpaths to prevent fileaccess from happening more then once per
	  scan.

2006-01-04 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* include/Partition.h,
	  src/Partition.cc: added get_length()
	* include/Utils.h,
	  src/Utils.cc,
	  src/Dialog_Partition_Info.cc,
	  src/Operation.cc,
	  src/TreeView_Detail.cc,
	  src/VBox_VisualDisk.cc,
	  src/Win_GParted.cc: from now on values >=1024MB are displayed in
	  GB's (#319840)

2006-01-03 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* src/Win_GParted.cc: replaced 'can not' with 'cannot' (#325570)

2006-01-02 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* happy new year ;)
	* src/TreeView_Detail.cc: fixed some alignment issues
	* include/GParted_Core.h,
	  src/GParted_Core.cc,
	  include/Operation.h,
	  src/Operation.cc,
	  include/Win_GParted.h,
	  src/Win_GParted.cc: removed confirmationdialogs for delete and
	  convert partitions (#319841).
	  Also renamed 'convert' to 'format' to reflect the actual
	  functionality.

2005-12-30 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* src/Win_GParted.cc: fixed alignments of cells in combo_devices

2005-12-30 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* include/Win_GParted.h,
	  src/Win_GParted.cc: replaced deprecated OptionMenu with ComboBox.
	  also fixed some issues which arised when no devices were detected.

2005-12-29 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* src/Makefile.am: removed -g from AM_C(XX)FLAGS

2005-12-29 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* src/GParted_Core.cc: replaced access() with Glib::file_test in wait_for_node()

2005-12-29 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* src/Win_GParted.cc: disable treeview and graphical partition display at scantime
	* src/GParted_Core.cc: fixed two (potential) problems with device detection.

2005-12-29 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* src/GParted_Core.cc: because lp_partition didn't get initialized the
	  libpartedscan for free space would always fail. fixed.

2005-12-28 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* replaced popen() with Glib::spawn_command_line_sync() + general
	  cleanups in the set_used_sectors() functions.

2005-12-25 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* merry christmas
	* src/GParted_Core.cc,
	  src/VBox_VisualDisk.cc,
	  src/Win_GParted.cc: cleanups
	* include/FileSystem.h,
	  src/FileSystem.cc,
	  src/ext2.cc,
	  src/ext3.cc: replaced popen() with Glib::spawn_command_line_sync()

2005-12-24 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* src/TreeView_Detail.cc: replaced C-style cast with static_cast
	* src/VBox_VisualDisk.cc: removed unnecessary 'int ext_length'
	
2005-12-24 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* include/TreeView_Detail.h,
	  src/TreeView_Detail.cc,
	  include/VBox_VisualDisk.h,
	  src/VBox_VisualDisk.cc,
	  include/Win_GParted.h,
	  src/Win_GParted.cc: emit proper signals for several events.
	* include/Partition.h,
	  src/Partition.cc: cleanups..

2005-12-22 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* include/Partition.h,
	  src/Partition.cc: overloaded operator ==
	* include/VBox_VisualDisk.h,
	  src/VBox_VisualDisk.cc: rewrote the graphical partitiondisplay. It
	  now supports resizing and the extended partition is also selectable.
	  see also #312656
	* include/Win_GParted.h,
	  src/Win_GParted.cc: use the new graphical partitiondisplay.
	* src/TreeView_Detail.cc: minor cleanups

2005-12-15 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* include/Dialog_Disklabel.h,
	  src/Dialog_Disklabel.cc: replaced deprecated Gtk::Optionmenu with
	  Gtk::ComboBoxText
	
2005-12-15 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* src/GParted_Core.cc: don't wait for node to appear when an extended
	  partition is created.
	
2005-12-15 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* include/Utils.h,
	  src/Utils.cc: added get_color_as_pixbuf() to create colored squares
	  of custom sizes. These can be use throughout the app to represent
	  filesystems. e.g. in the treeview and convertmenu.
	* include/TreeView_Detail.h,
	  src/TreeView_Detail.cc,
	  include/VBox_VisualDisk.h,
	  src/VBox_VisualDisk.cc,
	  include/Win_GParted.h,
	  src/Win_GParted.cc: use Utils::get_color_as_pixbuf() instead of
	  custom drawn widgets.

2005-12-14 Bart Hakvoort <hakvoort@cvs.gnome.org>
	
	* include/FileSystem.h,
	  src/jfs.cc,
	  src/xfs.cc: use mkdir instead of wrapping CLI tool

2005-12-14 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* include/Utils.h,
	  src/Utils.cc: added mount() and unmount()
	* src/Win_GParted.cc,
	  src/jfs.cc,
	  src/xfs.cc: use Utils::mount and Utils::umount instead of wrapping
	  CLI tools.

2005-12-14 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* src/Partition.cc: since we now have the device_path in Partition we
	  don't need to 'calculate' it anymore.

2005-12-14 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* include/GParted_Core.h,
	  src/GParted_Core.cc: did some cleanups
	* include/Operation.h,
	  src/Operation.cc: added get_index_extended to get the ext_index in a
	  uniform way instead of calculating it every time ourselves.
	
2005-12-13 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* src/GParted_Core.cc: check if file is open before using it.
	* src/Utils.cc: removed commented include

2005-12-13 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* replaced the inline Utils functions with static functions.
	  This shaves a few kbytes (24 in fact) off the binary and is a bit
	  cleaner code-wise (imho).

2005-12-12 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* src/GParted_Core.cc: don't use wait_for_node() if resizing an
	  extended partition (they don't have nodes :P)

2005-12-11 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* po/POTFILES.in: added include/Utils.h
	* include/GParted_Core.h,
	  src/GParted_Core.cc: replaced get_sym_path with get_short_path for
	  cleaner code and better performance.

2005-12-11 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* include/GParted_Core.h,
	  src/GParted_Core.cc: use statvfs instead of this ugly df-wrapping.

2005-12-08 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* include/Partition.h,
	  src/Partition.cc: added 'Glib::ustring mountpoint'
	* include/GParted_Core.h,
	  src/GParted_Core.cc: implemented set_mountpoints() to set mountpoint
	  in partitions.
	* include/Dialog_Partition_Info.h,
	  src/Dialog_Partition_Info.cc: use Partition::mountpoint instead of
	  finding it ourselves.

2005-12-07 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* include/Partition.h,
	  src/Partition.cc: from now on each partition has a reference to it's
	  device.
	* src/Win_GParted.cc,
	  src/Dialog_Partition_New.cc: make use of new Set() from partition
	* include/GParted_Core.h,
	  src/GParted_Core.cc: since ped_file_system_clobber() ignored reiser4
	  i've implemented a custom 'filesystem signature remover'.
	  Also made use of the fact a partition now knows on which device it
	  lives.
	* src/Operation.cc: the get_string() didn't use
	  Get_Filesystem_String() and thus returned faulty strings. Also did
	  some cleanups.
	
2005-12-07 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* src/GParted_Core.cc: made warning a bit more informative
	
2005-12-07 Bart Hakvoort <hakvoort@cvs.gnome.org>

	* rewrote quite some stuff to use an enum to indentify filesystems
	  instead of stringcomparisons.

2005-11-29 Bart Hakvoort <hakvoort@cvs.gnome.org>
	* src/jfs.cc: fixed 'broken pipe' warning
	* src/fat16.cc,
	  src/fat32.cc: removed unnecessary 'echo 2 |' from freespace scan.

2005-11-29 Bart Hakvoort <hakvoort@cvs.gnome.org>
	* include/GParted_Core.h,
	  src/GParted_Core.cc: implemented a 'wait_for_node()' function after
	  reading http://bugs.gentoo.org/show_bug.cgi?id=102343. I couldn't
	  reproduce the bug myself, but i hope this wil solve it.
	  Also made 'set_partition_type()' return a boolean for improved
	  errorchecking.

2005-11-28 Bart Hakvoort <hakvoort@cvs.gnome.org>
	* decided to use the Supported enum a bit more efficient in checks
	  ( doh, big deal :P )

2005-11-27 Bart Hakvoort <hakvoort@cvs.gnome.org>
	* include/Win_GParted.h,
	  src/Win_GParted.cc: Added a menu 'Edit' which contains 'Undo' and
	  'Apply'. (#322550)

2005-11-27 Bart Hakvoort <hakvoort@cvs.gnome.org>
	* configure.in: raised dependencies to >=gtkmm-2.6 and >=parted-1.6.25

2005-11-27 Bart Hakvoort <hakvoort@cvs.gnome.org>
	* hmmz, lots of shimmery internals..
	  Instead of using a boolean to indicate support for certain
	  features i now use and enum (NONE, LIBPARTED, EXTENDED).
	  This allowed me to clean up some stuff that annoyed me ;)
	  Still.. the core could use a bit more love...

2005-11-25 Bart Hakvoort <hakvoort@cvs.gnome.org>
	* include/Makefile.am,
	  include/Win_GParted.h,
	  src/Makefile.am: removed Dialog_About.[h,cc]
	* src/Win_GParted.cc: from now on we use Gtk::AboutDialog instead of
	  our own AboutDialog. Also use Gtk::Stock items instead of hardcoded
	  paths to images (about and harddisk).

2005-11-25 Bart Hakvoort <hakvoort@cvs.gnome.org>
	* gparted-0.0.9

2005-11-25 Bart Hakvoort <hakvoort@cvs.gnome.org>
	* gparted finally has a logo/icon ;) (thanks to Alain Clement)
	  see also #162092

2005-11-25 Bart Hakvoort <hakvoort@cvs.gnome.org>
	* include/.cvsignore,
	  src/.cvsignore: added *.swp
	* Makefile.am,
	  include/Dialog_Filesystems.h: some modifications to pass 'make
	  distcheck'
	* src/GParted_Core.cc: minor cleanups
	
2005-11-24 Bart Hakvoort <hakvoort@cvs.gnome.org>
	* include/FileSystem.h: cleanups
	* include/GParted_Core.h,
	  src/GParted_Core.cc: correct partitiontype is now set after creation
	  or conversion. (#322281)

2005-11-18 Bart Hakvoort <hakvoort@cvs.gnome.org>
	* configure.in: added mk to ALL_LINGUAS on request of Arangel

2005-10-05 Bart Hakvoort <hakvoort@cvs.gnome.org>
	* removed INSTALL
	* compose/.cvsignore,
	   compose/Makefile.am,
	   Makefile.am,
	   configure.in,
	   include/Makefile.am: some fixes to make 'make dist' work (thanks to Daniel Holbach)
	   
2005-09-21 Bart Hakvoort <hakvoort@cvs.gnome.org>
	* configure.in: added 'vi' to ALL_LINGUAS

2005-09-13 Bart Hakvoort <hakvoort@cvs.gnome.org>
	* src/Dialog_Filesystems.cc: fixed a11y thingy (#316108)
	* include/GParted_Core.h,
	  src/GParted_Core.cc,
	  include/Dialog_Disklabel.h,
	  src/Dialog_Disklabel.cc,
	  src/Win_GParted.cc : get labeltypes from libparted instead of hardcoding them,
	  also changed some text (#315979)

2005-09-13 Bart Hakvoort <hakvoort@cvs.gnome.org>
	* lots of stuff and cleanups, including fixing getting used/unused space of hfs/hfs+/fat16/fat32
	* also fixes bug #161362
	
2005-08-31 Bart Hakvoort  <hakvoort@cvs.gnome.org>

	* src/Dialog_Filesystems.cc: at startup closebutton is focused (#308381)

2005-08-31 Bart Hakvoort  <hakvoort@cvs.gnome.org>

	* src/Dialog_Progress.cc: fixed bug with big fonts (#301831)

2005-08-30 Bart Hakvoort  <hakvoort@cvs.gnome.org>

	* src/Win_GParted.cc: fixed typo (#312661)

2005-08-30 Bart Hakvoort  <hakvoort@cvs.gnome.org>

	* compose/ucompose.hpp: quick 'fix' for crashers in some locales (#157871)
	* include/Utils.h: basicly the same + minor cleanups
	* src/GParted_Core.cc: replaced C-style cast with static_cast..

2005-07-31  Ilkka Tuohela  <hile@iki.fi>

	* configure.in: Added 'fi' to ALL_LINGUAS.

2005-06-19  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* configure.in: Added 'gl' to ALL_LINGUAS.

2005-05-02  Chao-Hsiung Liao  <j_h_liau@yahoo.com.tw>

	* configure.in: Added "zh_TW" (Traditional Chinese) to ALL_LINGUAS.

2005-04-01  Steve Murphy  <murf@e-tools.com>

        * configure.in: Added "rw" to ALL_LINGUAS.

2005-03-22  Žygimantas Beručka  <uid0@akl.lt>

	* configure.in: Add "lt" (Lithuanian) to ALL_LINGUAS.

2005-02-28  Alexander Shopov  <ash@contact.bg>

	* configure.in: Added "bg" (Bulgarian) to ALL_LINGUAS

2005-02-26  Kostas Papadimas  <pkst@gnome.org>

	* configure.in: Added "el" (Greek) to ALL_LINGUAS.

2005-02-19  Christophe Merlet  <redfox@redfoxcenter.org>

	* configure.in: Added "fr" (French) to ALL_LINGUAS.

2005-02-08 Bart Hakvoort  <hakvoort@cvs.gnome.org>

	* src/hfs.cc,
	  src/jfs.cc,
	  src/ntfs.cc,
	  src/reiserfs.cc : fixed bug with LC_NUMERIC=C .. (thanks to mantiena for reporting)

2005-02-06 Bart Hakvoort  <hakvoort@cvs.gnome.org>

	* src/Win_GParted.cc: fixed a potential infinite loop in Show_Pulsebar() (thanks to xilun)

2005-02-01 Bart Hakvoort  <hakvoort@cvs.gnome.org>

	* Fixed a bunch of bugs (some of them crashers) which showed up if no devices were detected.

2005-01-30 Bart Hakvoort  <hakvoort@cvs.gnome.org>

	* include/Win_GParted.h,
	  src/Win_GParted.cc: Replaced menu "Operations" with "Device" and "Partition". Also implemented a 'set-disklabel feature'.
	* src/Dialog_Disklabel.cc: changed title and header to be more generic (was specific for a new disk).

2005-01-29 Bart Hakvoort  <hakvoort@cvs.gnome.org>

	* src/Dialog_Filesystems.cc: Replaced stockitems APPLY and CANCEL with YES and NO.

2005-01-25 Bart Hakvoort  <hakvoort@cvs.gnome.org>

	* src/Frame_Resizer_Base.cc: hmmz, i forgot to remove one unnecessary check.

2005-01-25 Bart Hakvoort  <hakvoort@cvs.gnome.org>

	* include/Frame_Resizer_Base.h,
	  include/Frame_Resizer_Extended.h,
	  src/Frame_Resizer_Base.cc,
	  src/Frame_Resizer_Extended.cc: finally got around to fix this annoying 'flickering' while using the resizer :)

2005-01-23 Bart Hakvoort  <hakvoort@cvs.gnome.org>

	* src/GParted_Core.cc: write actually used libpartedversion to stdout on startup. (useful for debugging)

2005-01-22 Bart Hakvoort  <hakvoort@cvs.gnome.org>

	* include/Dialog_Base_Partition.h,
	  src/Dialog_Base_Partition.cc,
	  src/Dialog_Partition_Copy.cc,
	  src/Dialog_Partition_Resize_Move.cc: Fixed bug in copy functionality (due to unset ORIG_START startsector wasn't set correctly). Also have ORIG*
	  initialized in ctor of dialogbase to prevent such errors from ever happening again (this one only showed up with gcc-3.3.5) .

2005-01-19 Bart Hakvoort  <hakvoort@cvs.gnome.org>

	* src/GParted_Core.cc: removed sleep( 1 ). This isn't needed anymore now the layout is scanned before the re-readtest. (saves seconds at scantime :) )
	* replaced C-style typeconversion with static_casts throughout the project.

2005-01-18 Bart Hakvoort  <hakvoort@cvs.gnome.org>

	* include/Utils.h: used static_cast<> instead of C-style type conversion.
	* src/Makefile.am: install gparted binary in bin/ instead of sbin/ (as soon as i've time i want to implement a read-only modus)

2005-01-11 Bart Hakvoort  <hakvoort@cvs.gnome.org>

	* src/Win_GParted.cc: activate_convert used old filesystem instead of new one for checks. fixed.

2005-01-09 Bart Hakvoort  <hakvoort@cvs.gnome.org>

	* include/Win_GParted.h,
	  src/Win_GParted.cc: Added menu 'Operations' to menubar. This menu is a duplicate of the popupmenu and imho a bit unnecessary, but lots of
	  people requested this.. :)  Besides this, i removed 'menu_devices' and performed a few other cleanups.

2005-01-09 Bart Hakvoort  <hakvoort@cvs.gnome.org>

	* src/GParted_Core.cc,
	  src/Win_GParted.cc: call GParted_Core::find_supported_filesystems( ) in GParted_Core::GParted_Core() instead of Win_GParted::Win_GParted().
	  Also replaced 0xFFFF with GDK_Delete to improve readability of the source.

2004-12-29 Bart Hakvoort  <hakvoort@cvs.gnome.org>

	* replaced atoi with atol .

2004-12-29 Bart Hakvoort  <hakvoort@cvs.gnome.org>

	* src/jfs.cc: implemented read used/unused space on a jfs filesystem.

2004-12-29 Bart Hakvoort  <hakvoort@cvs.gnome.org>

	* include/GParted_Core.h,
	  src/GParted_Core.cc: As explained in the previous entry i've decided to add reiser4 detection to gparted as well..

2004-12-29 Bart Hakvoort  <hakvoort@cvs.gnome.org>

	* Added support for reiser4 (only creation atm, since the other functionality appears to be non-free software :/ )
	  Also, libparted isn't able to detect reiser4 yet, a patch to fix this is underway, but i should probably add reiser4 detection to gparted as well.

2004-12-28 Bart Hakvoort  <hakvoort@cvs.gnome.org>
	
	* The Filesystemclasses: Changed 'bool Create( const Glib::ustring & device_path, const Partition & new_partition )'
	to 'bool Create( const Partition & new_partition )'. Since i now use external tools for all filesystems, the partitionpath will suffice.

2004-12-28 Bart Hakvoort  <hakvoort@cvs.gnome.org>

	* include/GParted_Core.h,
	  src/GParted_Core.cc,
	  src/linux_swap.cc: fixed some issues with linux-swap. From now on you need 'mkswap' to create/resize/move linux-swap.

2004-12-27 Bart Hakvoort  <hakvoort@cvs.gnome.org>

	* include/Device.h,
	  src/Device.cc,
	  src/GParted_Core.cc,
	  src/Win_GParted.cc: Removed the ugly Get_Highest_Logical_Busy() from Device and added a classvariable instead. This one is set in
	  GParted_Core and used wherever needed. I also removed Device::busy, and used the new variable to check if a device is busy.

2004-12-27 Bart Hakvoort  <gparted@users.sf.net>

	* Added cylsize to Device and made Operation contain a Device instead of only the path and lenght.
	  This way i was able to dump Get_Cyl_Size in the Core. Besides that, i used cylsize in WinGparted and made a lot of
	  cosmetic changes. Most of them were pretty useless, but hey, i'm bored ;)

2004-12-25 Bart Hakvoort  <gparted@users.sf.net>

	* src/GParted_Core.cc,
	  src/Win_GParted.cc,
	  include/Utils.h,
	  include/GParted_Core.h: moved inline Get_FS from Utils.h to GParted_Core, saves a few K in exe size ;)

2004-12-23 Bart Hakvoort  <gparted@users.sf.net>

	* src/GParted_Core.cc: removed sorting of detected devices. I figured we didn't need it anymore now 'deep_scan' is removed.

2004-12-22 Bart Hakvoort  <gparted@users.sf.net>

	* configure.in: bumped to 0.0.8

2004-12-20 Bart Hakvoort  <gparted@users.sf.net>

	* src/Dialog_Partition_Copy.cc,
	  src/Win_GParted.cc,
	  src/xfs.cc: xfs copy now uses xfsdump and xfsrestore. icw some hacks in the other 2 files, it's now possible to shrink an xfs partition
	  while doing the copy. Although i'd rather preffered 'real' (in place) resizing i figured it's better then nothing.
	  Also the sourcefilesystem is now checked before the actual copy is performed. If damaged beyond repair, the copy won't start.
	* src/Dialog_Partition_Resize_Move.cc: removed commented code.

2004-12-18 Bart Hakvoort  <gparted@users.sf.net>

	* include/Dialog_Filesystems.h,
	  src/Dialog_Filesystems.cc: Replaced treestore with liststore. I decided i didn't need a treeview after all...
	* src/Dialog_About.cc: Replaced "Gnome Partition Editor based on libparted" with "Gnome Partition Editor"
	* src/xfs.cc: fixed small error with creation of xfs filesystems (adrighem)

2004-12-17 Bart Hakvoort  <gparted@users.sf.net>

	* include/GParted_Core.h,
	  src/GParted_Core.cc: Removed 'deep_scan' flag. From now on all scans are 'deep scans'.
	* include/Win_GParted.h,
	  src/Win_GParted.cc: Gui is now loaded before anything else. (#161054)

2004-12-17 Bart Hakvoort  <gparted@users.sf.net>

	* src/Win_GParted.cc: fixed bug with enabling/disabling 'copy' in menus.
	* src/ext2.cc,
	  src/ext3.cc: added missing check while deciding to disable/enable copy feature.

2004-12-17 Bart Hakvoort  <gparted@users.sf.net>

	* src/GParted_Core.cc: Only peform partable re-read check if at least one partition on a device is mounted.

2004-12-15 Bart Hakvoort  <gparted@users.sf.net>

	* some minor internal codechanges, which should save a few bytes of mem here and there.
	  (i was in a nitpicking mood :P )

2004-12-15 Bart Hakvoort  <gparted@users.sf.net>

	* Gparted_Core::get_fs now returns a const reference.
	* in copy and resizedialog filesystems with MAX set now have a max size of MAX - one cylinder .

2004-12-15 Bart Hakvoort  <gparted@users.sf.net>

	* (all filesystem classes): fixed bug with thousand separator (#161362).
	* ext2.cc,
	  ext3.cc: fixed bug with incorrect used/unused space after copying.

2004-12-15 Bart Hakvoort  <gparted@users.sf.net>

	* Added dialog (accessable from 'gparted' menu) which shows supported operations for the various filesystems.
	  I plan to put some more info in it, like what is missing etc..

2004-12-15 Bart Hakvoort  <gparted@users.sf.net>

	* src/Dialog_Partition_Copy: fixed small error with incorrect display of used space and did some cleanups.

2004-12-15 Bart Hakvoort  <gparted@users.sf.net>

	* Refined checks for functionality a bit. e.g. even if a filesystem can't be read, it's still possible to grow it 
	  (but shrinking gets disabled). Also removed that stupid grow_only flag from Utils.h and reordered Win_GParted::Set_Valid_Operations()

2004-12-14 Bart Hakvoort  <gparted@users.sf.net>

	* added support for jfs (create, copy, grow) and hfs (create, copy)
	* fixed a bug in copying xfs filesystems.
	* fixed a number of small bugs/annoying issues.
	* I guess this also means gparted now supports more filesystems then any other (OSS) partitionmanager.. (lekker belangrijk ;) )

2004-12-13 Bart Hakvoort  <gparted@users.sf.net>

	* Added support for xfs. this means creating and growing xfs filesystems. Shrinking requires some hacking with dump_xfs etc..
	  i'll add that at a later point. :)

2004-12-13 Bart Hakvoort  <gparted@users.sf.net>

	* Replaced boolean 'resize' with 'shrink' and 'grow'. It seems some filesystems only support growing (e.g. xfs) so i need
	  two flags to control the behaviour of the filesystemclasses.

2004-12-13 Bart Hakvoort  <gparted@users.sf.net>

	* include/GParted_Core.h,
	  src/GParted_Core.cc: Removed a couple of unnecesarry variables. (saves a few bytes in memory =) )

2004-12-12 Bart Hakvoort  <gparted@users.sf.net>

	* include/GParted_Core.h,
	  src/GParted_Core.cc: modified layoutscan a bit for improved handling of metadata.
	* include/Operation.h,
	  src/Operation.cc: modified Insert_Unallocated() to prevent potential crasher.

2004-12-12 Bart Hakvoort  <gparted@users.sf.net>

	* The fixes from 12-09 unearthed a number of long forgotten issues and annoyances. Hopefully they're all resolved now.

2004-12-09 Bart Hakvoort  <gparted@users.sf.net>

	* Fixed a bunch of issues with min. and max. sizes of filesystems.

2004-12-10  Gil Osher  <dolfin@rpg.org.il>

	* configure.in: Added 'he' (Hebrew) to ALL_LINGUAS.

2004-12-09 Bart Hakvoort  <gparted@users.sf.net>

	* src/fat16: use mkdosfs -F16 instead of libparted to create fat16 filesystems 

2004-12-09 Bart Hakvoort  <gparted@users.sf.net>

	 * src/ext2.cc,
	   src/ext3.cc,
	   src/ntfs.cc,
	   src/reiserfs.cc: added LANG=C to the commands which read the used space of a filesystem. This prevent errors with some locales.

2004-12-09 Bart Hakvoort  <gparted@users.sf.net>

	* added MIN and MAX to filesystemstruct to set min. and max sizes of a filesystem. So instead of checking per filesystem
	  i now simply check the fs.MIN or fs.MAX. this results in less and cleaner code. Also this will come in handy when adding
	  support for new filesystems. (This also fixed several minor bugs with filesystemsizes and gained some improvement in resizer
	  performance)

2004-12-07 Bart Hakvoort  <gparted@users.sf.net>

	* src/VBox_VisualDisk.cc: placed a small (2px) border around the legend.

2004-12-08  Dmitry G. Mastrukov  <dmitry@taurussoft.org>

	* configure.in: Added Russian to ALL_LINGUAS.

2004-12-07 Bart Hakvoort  <gparted@users.sf.net>

	* README: updated description to reflect current situation.

2004-12-07 Amanpreet Singh Alam <amanpreetalam@yahoo.com>

	* configure.in: pa is aeed ALL_LINGUAS

2004-12-03 Bart Hakvoort  <gparted@users.sf.net>

	* src/fat16.cc,
	  src/fat32.cc: added correct check for availability of 'dosfsck'
	* configure.in: bumped to 0.0.7  YAY! ;)

2004-12-03 Bart Hakvoort  <gparted@users.sf.net>

	* src/GParted_Core.cc: When ( ! deep_scan ) now only one device is scanned (first found one). Shaves off a couple of millisec from startuptime |-)
	* src/Win_GParted.cc: Fixed small bug with removable devices and the devicemenu. Also fixed redundant calling of 2 functions.

2004-12-02 Bart Hakvoort  <gparted@users.sf.net>

	* src/Win_GParted.cc,
	  src/TreeView_Detail.cc: fixed a minor annoying with treeviewdrawing.(Really minor ;) )

2004-12-01 Bart Hakvoort  <gparted@users.sf.net>

	* src/Dialog_Partition_New.cc,
	  src/Frame_Resizer_Base.cc: Fixed a crasher with the New Partition Dialog (thanks to Tino for reporting)

2004-11-30 Bart Hakvoort  <gparted@users.sf.net>

	* src/fat16.cc,
	  src/fat32.cc: implemented correct filesystemcheck using dosfsck.

2004-11-30 Bart Hakvoort  <gparted@users.sf.net>

	* include/FileSystem.h,
	  src/FileSystem.cc: Execute_Command() now returns exit status of executed command
	* the filesystemclasses: returnvalue (bool) is now set according to the return status of the command
	
2004-11-29 Bart Hakvoort  <gparted@users.sf.net>

	* src/GParted_Core.cc: It seemed some kernels remove and re-add blockdevicepaths after the commit_to_os. This caused trouble at some points
	  where the path was required. I decided to sleep 1 sec after each scan. So rescanning devices will take 1 extra second per device :|
	* src/Win_GParted.cc: fixed typo in string.

2004-11-29 Bart Hakvoort  <gparted@users.sf.net>

	* Every devicescan now tests on beforehand if the kernel is able to reread the partitiontable. If the kernel is unable to do
	  this, i disallow most operations. This may seem weird and even a bad thing to do, but the fact is it protects
	  the innocent user from a lot of potential damage. Till the linuxkernel is able to reread partitiontables no matter what, this seems
	  to be the best option. Of course a dialog with information will popup whenever such a situation is encountered.
	  In a next release i might consider adding an 'advanced mode' for users who know what they're doing.

2004-11-28  Alessio Frusciante  <algol@firenze.linux.it>

	* configure.in: Added "it" (Italian) to ALL_LINGUAS. 

2004-11-28 Bart Hakvoort  <gparted@users.sf.net>

	* src/Dialog_Partition_New.cc: selecting 'extended partition' twice caused a segfault. i cannot believe i didn't detect this bug earlier :| Fixed.
	  also made it possible to create an unformatted partition.
	* src/GParted_Core.cc: backend support for creating partition without filesystem (unformatted).

2004-11-28 Bart Hakvoort  <gparted@users.sf.net>

	* src/Dialog_Disklabel.cc,
	  src/GParted_Core.cc: minor stringchanges (typos)

2004-11-28 Bart Hakvoort  <gparted@users.sf.net>

	* src/Makefile.am: sorted sourcefiles alphabetically, i know, pretty useless, but i like it :P

2004-11-28 Bart Hakvoort  <gparted@users.sf.net>

	* Harddisks without disklabel are now properly initizalized and shown in the menu. When one tries to create a new partition on
	  such a disk a dialog pops up with some blabla about disklabels and offers to create a disklabel. sweet :P (special thanks to mantiena-baltix 
	  for bringing this issue to my attention)
	* fixed minor annoyance with refreshing detailed deviceinfo after a 'deep refresh'

2004-11-24 Bart Hakvoort  <gparted@users.sf.net>

	* src/Dialog_Partition_Resize_Move.cc: fixed small bug with resizing and lower limits.
	* src/GParted_Core.cc: use ped_file_system_clobber before creating a filesystem on a partition.
	* src/Win_GParted.cc: pasting is now only allowed if unallocated >= copied partition + cylindersize.
	  Instead of dividing length device by amount of cylinders i use heads * sectors/track to get cylindersize.
	  Changed device busy warning a bit to more decent english (adamw)
	* src/ntfs.cc: readded '-Q' to mkntfs. The error about an 'unknown filesystem' was related to detection problems and not to
	  faulty creation of the filesystem. Should be solved anyway by implementing ped_file_system_clobber.
	  Also removed ntfsfix since it didn't do anything relevant. Instead i use ntfsresize, because this contains relevant checks (szaka)

2004-11-24 Bart Hakvoort  <gparted@users.sf.net>

	* src/TreeView_Detail.cc: renamed columnheader from 'Type' to 'Filesystem'. Dunno why it was called 'Type' (maybe some PM legacy =)  )
	* src/Win_GParted.cc: Made device busy warning a bit more sensible.

2004-11-24 Bart Hakvoort  <gparted@users.sf.net>

	* include/Utils.h,
	  src/GParted_Core.cc,
	  src/Partition.cc,
	  src/TreeView_Detail.cc,
	  src/VBox_VisualDisk.cc: marked some strings for translation ('unknown', 'used', 'unused') and replaced lowercase 'unallocated' with '---'.

2004-11-24 Bart Hakvoort  <gparted@users.sf.net>

	* include/GParted_Core.h,
	  src/GParted_Core.cc: fixed nasty error with resizing 'fixed-start filesystems'.
	* src/Partition.cc: added a check to prevent unused space from being bigger then total space.
	* src/ntfs.cc: removed -Q from mkntfs. -Q bypassed some safetychecks to gain performance and (so i heard later) also had a
	  tendency of failing ;) (Adrighem)

2004-11-23 Bart Hakvoort  <gparted@users.sf.net>

	* src/Dialog_Partition_New.cc,
	  src/Win_GParted.cc: Fixed some errors with 'unknown' filesystem. + some cosmetics

2004-11-23 Bart Hakvoort  <gparted@users.sf.net>

	* include/GParted_Core.h,
	  src/GParted_Core.cc,
	  src/Makefile.am,
	  include/ntfs.h,
	  src/ntfs.cc: added full ntfs support. (couldn't test it very well due to the absence of a win32 box :P )

2004-11-22 Bart Hakvoort  <gparted@users.sf.net>

	* include/Utils.h: fixed crasher with unknown filesystems.

2004-11-22 Bart Hakvoort  <gparted@users.sf.net>

	* src/GParted_Core.cc: cosmetics
	* src/reiserfs.cc: make use of real commands instead of their symlinks. fixed copy of reiserfs filsystem
	  (the new size wasn't reported correctly)

2004-11-22 Bart Hakvoort  <gparted@users.sf.net>

	* src/ext2.cc,
	  src/ext3.cc: removed ':' from Blocksize scan.
	* src/reiserfs.cc: dumped progsreiserfs. From now on gparted uses the official namesystools (reiserfsprogs)
	  this resulted in much more reliable creation en resizing of reiserfs filesystems.

2004-11-21 Bart Hakvoort  <gparted@users.sf.net>

	* Again way too many chances to create a detailed entry (i'm glad i'm the only dev atm :P ).
	  Resizing of ext2/3 works perfect now. I've even tested it on the partition holding my SG seasons =)
	  Implemented checking of filesystems (only internally used atm).
	  Done some overall tweaking, finetuning etc.. release 0.0.7 is getting shape.

2004-11-19 Bart Hakvoort  <gparted@users.sf.net>

	* include/Device.h,
	  src/Device.cc: Removed bool Get_Any_Busy() in favor of public bool busy which is set in gparted_core.
	  This also fixed a small bug with incorrect mountdetection of logical partitions.
	  Also added a Reset() function to properly reset the contents of a device. to zero/empty .
	* include/GParted_Core.h,
	  src/GParted_Core.cc: 'busyness' of a device is now determined in get_devices().
	  Renamed get_partitions() to set_device_partitions to reflect its proper function.
	  When a new partition is created to contain a copied filesystem the size is now properly set. This fixes
	  a very annoying bug which no one knew about except for me =) .
	* src/Win_GParted.cc: use boolean busy from device instead of Get_Any_Busy() .

2004-11-17 Bart Hakvoort  <gparted@users.sf.net>

	* src/ext3.cc: availability of 'tune2fs' command wasn't detected correctly. fixed
	* src/fat32.cc: make use of dosfs tools (mkdosfs -F32) instead of libparted's Fat-creator.
	
2004-11-17 Bart Hakvoort  <gparted@users.sf.net>

	* Rewrote a large part of gparteds internal code. Filesystemssupport is now much more separated from the rest of gparted and
	  adding support for other filesystems should be a piece of cake now (hope that's true :P)
	  It still needs a lot of love, but the foundations are laid =)

2004-11-07 Bart Hakvoort  <gparted@users.sf.net>

	* include/Operation.h,
	  src/Operation.cc: make use of reference arguments instead of return values in some functions.
	  Also fixed a small bug with deletion of a virtual (new) logical partition.
	* include/VBox_VisualDisk.h,
	  src/VBox_VisualDisk.cc: logical filesystems weren't shown in the legend, fixed.
	* src/Frame_Resizer_Base.cc: fixed small bug with custom cursors.
	* src/TreeView_Detail.cc: removed obsolete, already commented code.
	* src/Win_GParted.cc: make use of reference arguments instead of return values in some functions. (see Operation)

2004-11-06 Bart Hakvoort  <gparted@users.sf.net>

	* include/Win_GParted.h,
	  src/Win_GParted.cc: added umount option. Also include unistd.h to solve some issues with gcc 3.2.x

2004-11-06 Bart Hakvoort  <gparted@users.sf.net>

	* instead of listing all partition in one list, logical partitions are now stored in a sublist in extended partition object.
	This makes partitionhandling in gparted more natural and transparant. It also allowed me to clean up this ugly Operation class ;)

2004-10-31 Bart Hakvoort  <gparted@users.sf.net>

	* include/Partition.h,
	  src/Partition.cc: removed color_string
	* src/VBox_VisualDisk.cc,
	  src/TreeView_Detail.cc: replaced color_string with Get_Color from Utils.h

2004-10-30 Bart Hakvoort  <gparted@users.sf.net>

	* configure.in: added checks for libuuid and libdl. Also refined libparted check a bit.
	* include/Partition.h,
	  src/Partition.cc: removed Get_Color()
	* include/Utils.h: added inline Glib::ustring Get_Color( const Glib::ustring & filesystem )
	* src/Dialog_Partition_New.cc,
	  src/Win_GParted.cc: make use of Get_Color from Utils.h
	* src/Device.cc: fixed a crasher with (at least) pl_PL locale.

2004-10-25 Vincent van Adrighem  <adrighem@gnome.org>

	* debian/*: Added a debian subdir. This dir contains buildscripts
	    for debian.

2004-10-22 Bart Hakvoort  <gparted@users.sf.net>

	* configure.in: bumped to version 0.0.6

2004-10-22 Bart Hakvoort  <gparted@users.sf.net>

	* configure.in: libpartedcheck now looks for correct version number (finally i'll be rid off those stupid bugreports =) )

2004-10-22 Bart Hakvoort  <gparted@users.sf.net>

	* src/Dialog_Partition_Info.cc: codecleanups.. Hey! i was bored :P

2004-10-22 Bart Hakvoort  <gparted@users.sf.net>

	* src/Device.cc: removed libparted messagesdialog. instead, show them on the console. They proved to be pretty useless.
	* src/Win_GParted.cc: fixed crasher when loading gparted (or refresh devices) while there's a (audio) cd in the cdrom-drive.

2004-10-21 Bart Hakvoort  <gparted@users.sf.net>

	* configure.in: modernized use of AM_INIT_AUTOMAKE a bit (according to 
	http://www.gnu.org/software/automake/manual/html_node/Public-macros.html#Public%20macros)

2004-10-21 Bart Hakvoort  <gparted@users.sf.net>

	* include/Dialog_Partition_Resize_Move.h,
	  src/Dialog_Partition_Resize_Move.cc: fixed some bugs with minimum size of resizable partition + some codecleanups.

2004-10-20 Bart Hakvoort  <gparted@users.sf.net>

	* src/Dialog_Base_Partition.cc (Get_New_Partition): Tweaked resizingbehaviour a bit. This solved some minor annoyances.

2004-10-18 Bart Hakvoort  <gparted@users.sf.net>

	* src/Dialog_Partition_New.cc: changed width of optionmenus from 150 to 160 pixels. (in certain langs the strings didn't fit)
	* src/VBox_VisualDisk.cc: used/unused legend doesn't have to show up if there's only linux-swap. 

2004-10-17 Bart Hakvoort  <gparted@users.sf.net>

	* src/Dialog_About.cc (Show_Credits): Fixed Gtk-Warning with unknown pango markup and placed a 5 pixel-border around 
	translators credits.

2004-10-16 Bart Hakvoort  <gparted@users.sf.net>
	
	* src/Device.cc: when the libary of an optional filesystem (atm only reiserfs) wasn't installed, every scan printed an error 
	in the console (df couldn't find the partition listed). Fixed by checking if partition is busy before using df.

2004-10-16 Bart Hakvoort  <gparted@users.sf.net>
	
	* src/Dialog_Progress.cc: changed dialogwidth from 500 to 600 pixels. (icw certain languages the operation didn't fit)

2004-10-16 Bart Hakvoort  <gparted@users.sf.net>

	* include/Win_GParted.h,
	  src/Win_GParted.cc: First load gui and then scan devices, this resulted in way faster startup and is more satisfactory (imho)
	  Also did some minor code cleanups and rearranged some functions needed for applying operations.
	* src/Dialog_Progress.cc: few minor code cleanups.

2004-10-14 Bart Hakvoort  <gparted@users.sf.net>

	* include/Operation.h,
	  src/Operation.h: minor (code) change in displaying errormessage. Made Apply_Resize_Move_Extended_To_Visual() a bit more
	  readable (and thus debugable). This whole class could still use a soft, caring hand though :P
	* src/Device.cc: Unallocate space < 1MB wasn't filtered out. fixed.
	* src/Partition.cc (Set_Used): Unused wasn't set properly. fixed. 

2004-10-11 Bart Hakvoort  <gparted@users.sf.net>

	* src/Win_GParted.cc: i just can't stop tweaking the operationslist =)

2004-10-11 Bart Hakvoort  <gparted@users.sf.net>

	* src/Device.cc (Read_Disk_Layout): logic unallocated space wasn't read correctly, fixed.
	* include/Win_GParted.h: added open_operationslist() and menu_view_operations() .
	* src/Win_GParted.cc: tweaked operationlist behaviour a bit. Also added 'Operations" toggle-item to View menu.

2004-10-11 Bart Hakvoort  <gparted@users.sf.net>

	* src/Device.cc (Read_Disk_Layout): Again =) Decided to use switch ( blahblah ) instead of if else statements.

2004-10-11 Bart Hakvoort  <gparted@users.sf.net>

	* src/Device.cc (Read_Disk_Layout): some internal codechanges. Looks a bit cleaner now.

2004-10-11 Bart Hakvoort  <gparted@users.sf.net>

	* include/Device.h,
	  src/Device.cc: made 'deep-scan' optional in Read_Disk_Layout. Removed obsolete (already) commented function.
	* include/Partition.h,
	  src/Partition.cc: Took used sectors out of Set() and added a Set_Used() function instead. Also added Reset() .
	* src/Dialog_Partition_New.cc: minor change to make use of the new Set() in Partition..
	* include/Win_GParted.h,
	  src/Win_GParted.cc: show pulsing progressbar while refreshing devices.

2004-10-08 Bart Hakvoort  <gparted@users.sf.net>

	* src/Partition.cc: changed color of reiserfs from blue to purple highlight. + some cosmetics.

2004-10-08 Bart Hakvoort  <gparted@users.sf.net>

	* include/Frame_Resizer_Base.h: removed inheritance from sigc::trackable. (this is already done by Glib::Object)
	* src/Dialog_Partition_Copy.cc,
	  src/Frame_Resizer_Base.cc: fixed issues with resizing reiserfs filesystems.

2004-10-08 Bart Hakvoort  <gparted@users.sf.net>

	* src/Dialog_About.cc: updated translatorcomment.

2004-10-08 Bart Hakvoort  <gparted@users.sf.net>

	* src/Dialog_Base_Partition.cc,
	  src/Dialog_Partition_Resize_Move.cc: fixed some resizing-issues with reiserfs.

2004-10-07 Bart Hakvoort  <gparted@users.sf.net>

	* src/Dialog_Base_Partition.cc,
	  src/Win_GParted.cc: removed spaces before some exclamation and question marks (thanks to Jordi Mallach)

2004-10-07 Bart Hakvoort  <gparted@users.sf.net>

	* src/Dialog_About.cc: unmarked 'Copyright' string for translation and replaced (c) with © 

2004-10-07 Bart Hakvoort  <gparted@users.sf.net>

	* include/Utils.h: added support for colored text to mk_label
	* include/VBox_VisualDisk.h,
	  include/VBox_VisualDisk.cc: use UTF-8 character ██ instead of some self-forged widget.

2004-10-06 Bart Hakvoort  <gparted@users.sf.net>

	* implemented mk_label wherever possible (means less code, improved readability)

2004-10-06  David Lodge <dave@cirt.net>

	* configure.in (ALL_LINGUAS): Added "en_GB" (British English).

2004-10-06 Bart Hakvoort  <gparted@users.sf.net>

	* lots of files =) : enabled support for reiserfs, also made filesystemsupport more 'pluggable' so it's easier to
	add support for other filesystems in the future.
	* include/Utils.h: new file containing much used functions and variables.

2004-10-06  Francisco Javier F. Serrador  <serrador@cvs.gnome.org>

	* configure.in (ALL_LINGUAS): Added "es" (Spanish).

2004-10-04  Jordi Mallach  <jordi@sindominio.net>

	* configure.in (ALL_LINGUAS): Added "ca" (Catalan).
	* autogen.sh: Don't use USE_COMMON_DOC_BUILD, as GParted doesn't
	have any GNOME documentation yet.

2004-10-02 Bart Hakvoort  <gparted@users.sf.net>

	* include/Device.h,
	  include/Dialog_Progress.h,
	  include/TreeView_Detail.h,
	  include/VBox_VisualDisk.h: removed unnecessary #include <sstream>

2004-10-02 Bart Hakvoort  <gparted@users.sf.net>

	* src/VBox_VisualDisk.cc: fixed incorrect tooltip with unallocated space

2004-10-02 Bart Hakvoort  <gparted@users.sf.net>

	* include/Dialog_Base_Partition.h,
	  src/Dialog_Base_Partition.cc: added void Set_MinMax_Text( long min, long max )
	* src/Dialog_Partition_Copy.cc: fix incorrect upper limit for fat16 in label
	* src/Dialog_Partition_New.cc: make use of this function, instead of accessing the label directly 
	* src/Dialog_Partition_Resize_Move.cc: fix incorrect upper limit for fat16 in label

2004-10-02 Bart Hakvoort  <gparted@users.sf.net>

	* removed all stringstreams from the project (they were possibly responsible for rare chrashes in certain locales)
	Note that i left 1 in include/Partition.h, this one is needed for int-->string conversions and won't pose a thread.

2004-10-01 Bart Hakvoort  <gparted@users.sf.net>

	* almost all files: cosmetics (mostly tabfixes)

2004-10-01 Bart Hakvoort  <gparted@users.sf.net>

	* src/Dialog_Partition_New.cc: marked 3 strings for translation.
	* src/Operation.cc: fixed an i18n related crasher and did some cosmetic cleanups.

2004-10-01 Bart Hakvoort  <gparted@users.sf.net>

	* src/Dialog_About.cc,
	  src/TreeView_Detail.cc: minor changes to a few strings

2004-10-01 Hendrik Brandt  <hebra@cvs.gnome.org>

	* configure.in: added "de" (German) to ALL_LINGUAS

2004-09-30 Bart Hakvoort  <gparted@users.sf.net>

	* configure.in: bumped version to 0.0.5

2004-09-30 Bart Hakvoort  <gparted@users.sf.net>

	* include/TreeView_Detail.h,
	  src/TreeView_Detail.cc: added colored squares to the tree to highlight filesystems.

2004-09-29 Bart Hakvoort  <gparted@users.sf.net>

	* .cvsignore: ignore all projectfiles 

2004-09-29 Bart Hakvoort  <gparted@users.sf.net>

	* include/Dialog_Partition_Info.h,
	  src/Dialog_Partition_Info: removed Gtk::Label * mk_label( const Glib::ustring & text )
	* include/Partition.h: added inline Gtk::Label * mk_label( const Glib::ustring & text )
	  and inline Glib::ustring num_to_str( Sector number )
	* include/Win_GParted.h,
	  src/Win_GParted.cc: fixed aligment problems with some languages in harddisk-info


2004-09-29 Bart Hakvoort  <gparted@users.sf.net>

	* src/VBox_VisualDisk.cc,
	  src/Win_GParted.cc: minor i18n related tweaks.

2004-09-29  Duarte Loreto <happyguy_pt@hotmail.com>

	* configure.in: Added Portuguese (pt) to ALL_LINGUAS.

2004-09-28 Bart Hakvoort  <gparted@users.sf.net>

	*	src/VBox_VisualDisk.cc: marked 2 minor strings for translation (is a duplicate of an existing string in POT file)
	*	src/Dialog_About.cc: made names (author/translators) selectable
	*	include/Dialog_Partition_Info.h,
		src/Dialog_Partition_Info.cc: solved some alignmentproblems which showed up in certain locales.

2004-09-28  Maxim Dziumanenko <mvd@mylinux.com.ua>

	* configure.in: Added uk to ALL_LINGUAS.

2004-09-27  Bart Hakvoort  <gparted@users.sf.net>

	*	include/Win_GParted.h,
		src/Win_GParted.cc: changed representation of hardisk info

2004-09-27  Bart Hakvoort  <gparted@users.sf.net>

	*	src/Partition.cc: marked "Unallocated" for translatation

2004-09-26  Bart Hakvoort  <gparted@users.sf.net>

	*	src/Dialog_Base_Partition.cc,
		src/	Dialog_Partition_New.cc: fixed alignment problems with some languages

2004-09-26  Bart Hakvoort  <gparted@users.sf.net>

	*	src/Win_GParted.cc: fixed bug that occured while converting the filesystem of a new partition
	*	src/Dialog_About.cc: removed "documented by" tab (didn't need it yet) and fixed alignments of button
	with some languages.

2004-09-26  Bart Hakvoort  <gparted@users.sf.net>

	*	src/Win_GParted.cc: fixed bug with check for max amount of partitions while pasting a copied partition.
	*	src/Partition.cc: changed colors of ext2, ext3 and linux-swap
	
2004-09-25  Raphael Higino  <raphaelh@cvs.gnome.org>

	*	src/Win_GParted.cc: Fixed typo bugs (word "than" written 
as "then" in two strings)

2004-09-25  Bart Hakvoort  <gparted@users.sf.net>
	*	src/Win_GParted.h,
		src/Win_GParted.cc: removed expander. The diskinfo is now always visible.
	*	src/Dialog_Partition_Info.cc: fixed small bug with overlapping text. 
	*	src/Dialog_About.cc: use VERSION instead of hardcoded numbers

2004-09-25  Bart Hakvoort  <gparted@users.sf.net>
	*	Dialog_About.cc: made "Translated by" tab a bit more sensible, also added an translator-credits string.

2004-09-25  Bart Hakvoort  <gparted@users.sf.net>
	*	Operation.h,
		Operation.cc,
		Partition.h,
		Partition.cc
		Dialog_Partition_Copy.cc,
		Dialog_Partition_Info.cc,
		Dialog_Partition_New.cc,
		Win_GParted.cc: prepared "copy of" and "New Partition" for i18n and did some cleanups on the way...
		I believe all relevant strings are now properly marked for translation.	
		
2004-09-25  Bart Hakvoort  <gparted@users.sf.net>
	*	Dialog_Progress.h,
		Operation.h,
		Partition.h,
		Win_GParted.h,
		Dialog_Base_Partition.cc,
		Dialog_Partition_Copy.cc,
		Dialog_Partition_Info.cc,
		Dialog_Partition_New.cc,
		Dialog_Partition_Resize_Move.cc,
		Dialog_Progress.cc,
		Operation.cc,
		Win_GParted.cc: changed some sentences on translators request
	*	compose,
		compose/ucompose.hpp : added composelib to provide sprintf functionality in C++ style
	*	po/POTFILES.in : added ../src/main.cc

2004-09-23  Adam Weinberger  <adamw@gnome.org>

	* configure.in: Added en_CA to ALL_LINGUAS.

2004-09-23  Bart Hakvoort  <gparted@users.sf.net>

	* configure.in,
	   include/i18n.h: fixed some problems with i18n.

2004-09-23  Raphael Higino  <raphaelh@cvs.gnome.org>

	* configure.in: Added "pt_BR" to ALL_LINGUAS.

2004-09-23  Christian Rose  <menthos@menthos.com>

	* configure.in: Added "sv" to ALL_LINGUAS.


**changes**
- replaced some 'dunglish' terms with more decent english. (Thanks to Tino Meinen)
- cleaned up autoconf stuff a bit
- gparted now gets installed in the sbin/ instead of bin/ (1023181)
- maximum amount of primary partition isn't static anymore, it gets asked from the partition table.
- lots of internal code cleanups. this improved performance and stability.
- doubleclick now invokes infodialog
- added .desktop file so gparted is accessible from Gnome/Kde menus (thanks to Stephane LOEUILLET, 1023176)

**fixes**
- sometimes creating new fat filesystems in very small spaces resulted in errors. fixed.
- use copies from buildfiles instead of symlinks to them. (Thanks to Kristof Vansant)
- when performing operations on just copied partitions, there was a chance the operation would be executed on another partition. fixed.
- fixed a rare bug that caused incorrect partitiontable display after an operation went wrong.
- some errormessages were not entirely threadsafe, fixed (hopefully :P )
- fixed annoying bug with warningdialog which pops up after performing an operation on a busy device

--------------------------------------------------------------------------

GParted-0.0.4	04 Sep 2004		:

- fixed another bug with hotpluggable stuff (usbdevices etc...)
- fixed "random" chrasher while performing actions on a device with a mounted partition.
- better alignment of information in deviceinfo and partitioninfo. (there were some problems with certain fonts)
- changed checking for filesystemlimits in new partition dialog a bit.
- fixed small bug in new partition dialog which made it possible to add fat16 partition > 1023MB
- time left in progressbar shows now minutes and seconds
- implemented copy'n paste functionality
- fixed small bug with resizer
- internal code cleanups, gained some performance
- made the operationtitles a bit more informative
- fixed bug with converting non-existent (new) partitions
- implemented new operationslist
- lots of small stuff

-------------------------------------------------------

GParted-0.0.3	26 Aug 2004		:

- and as always, lots of small fixed/changes..
- fixed bug with resizing extended partition
- fixed bug which occasionally occurred when deleting filesystems with errors on them
- fixed small bug with deleting new logical partitions while a partition with a higher number is mounted
- added read-only support for partition flags (e.g. lba, boot, etc...)
- implemented conversion between filesystems. (no big deal, all data is destroyed in the process)
- compiling/running tested on 64bits arch, went perfectly :)
- fixed another small bug with re-reading devices (optionmenu wasn't updated)
- Early check for errors on filesystem. Disable appropiate actions and explain in Info
- When a device can't be read it isn't listed anymore.

------------------------------------------------------

GParted-0.0.2	18 Aug 2004   :

- new create dialog
- far more compliant with HIG
- unallocated space now visible in treeview
- fixed bug with re-reading devices (segfault)
- fixed bug with new extended (segfault)
- a couple of other small things, fixes and improvements 

---------------------------------------------

GParted-0.0.1	12 Aug 2004   :

***FIRST RELEASE!
- Create (ext2, linux-swap, fat16, fat32)
- resize (ext2, ext3, linux-swap, fat16, fat32 )
- move	(linux-swap, fat16, fat32)
- Full operationslist with undo
- much more little stuff
- basicly working, but not tested very well
